Vault Standard Client Help

Copyright © 2003-2024 SourceGear

Table of Contents

Welcome to SourceGear Vault Standard
1. Support
2. Tips for SourceSafe Users
3. Using Vault Standard
Working with Repositories
Connecting to the Server
Profiles
Choosing Repositories
Disconnecting from Server
Working in the Main Window
The Toolbar
Messages
Status Bar
The Folder Tree
The File List
File
Check Outs
Local Version
Remote Version
Status
File List Properties
Ghost Folders and Files
Ghost Folders
Context Menu
Ghost Files
Context Menu
Pending Change Set
List
Toolbar
Search
Search Window Toolbar
Search Dialog
Check Out Status
File Status
Shares/Pins
File State
Search Results List
Find in Files
Find in Files Dialog
Find in Files Tab
Results List
Tool bar
Find in Files context menu
Working with Folders
Create, Add and Delete Folders
Creating Folders
Adding Folders
Deleting Folders
Check Out and Check In Folders
Checking Out Folders
Checking In Folders
Rename and Move Folders
Renaming Folders
Checked Out Folders
Working Folders
Commit Rename
Moving Folders
Commit Move
Pin Folders
Status
Shares
Commit Pin
Cloak Folders
Working with Files
Add, Detect New, View, Edit and Delete Files
Adding Files
Commit Add Files
Detecting New Files and Folders
Viewing Files
Editing Files
Working Folder
Check Out
Editor
Deleting Files
Checked Out Files
Pinned Files
Cloak Files
Commit Delete
Check Out and Check In Files
Checking Out Files
Check Out File Multiple Times
Checking In Files
Rename and Move Files
Renaming Files
Moving Files
Pin Files
Restrictions
Delete a Pinned File
Branch a Pinned File
Pin a Shared File
Share a Pinned File
Commit Pin
Working with Shares and Branches
Share Items
Primary and Secondary
Shared Folders
Modified Shares
Name, Rename, Move Shares
Check Out or Check In Shares
Delete Shares
Commit Share
Branch Items
Branches on Folders
Share Branches
Copy Branches
Snapshots
Working with Labels
Deleted Items
Pinned Items
Shared Items
Viewing Labels
Label Promotion
Copy Label
History Explorer
History Query Filter/Sort
Favorites
General
Dates & Labels
Users
Filenames
Actions
Comments
Sort
Misc
History Results Menus
Query
View
Action
History Diff
Get from History
Help
Folder Versions
Version List
Edit History Favorites
Adding a History Favorite
Renaming a History Favorite
Editing a History Favorite Query
Deleting a History Favorite
Run Query
VSS History
History Favorites
Merge
Merge Window
Merge Branches
Additional Merge Branches Details
Binary Files
Folder Changes Archive
Shelve
What kinds of changes can be shelved?
Finding the Shelve Functions
How Do I Unshelve Changes?
4. Vault Standard Options
General Options
Act on Folders Recursively
Always Request Exclusive Locks
Double-Click on File
Automatic Refresh
Show Snapshot in the folder tree
Show non-version-controlled files ghosted in file list
Show non-version-controlled folders ghosted in folder list
Check for Latest Vault version at startup
Use check boxes to select items
Minimize to System Tray
Make Vault Standard your default SCC provider
Always display command dialog on Get Latest Version (available from Visual Studio only)
Always disconnect from server on Add/Open To/From Source Control (available from Visual Studio only)
Check In Options
Always Keep Files Checked Out
Remove Local Copy after Check In
Auto-Commit after each Operation
Require Check out before Check In
Check In Unchanged Files
Shelve Options
Undo changes in working folder after Shelve
Automatically delete shelveset after successful Unshelve
Local Files Options
Modified Working Copy
Prompt before overwriting locally modified files
Save files in backup folders before overwriting
Perform File Deletes in Working Folders
Perform Repository Deletions Locally
Make Writable
Set File Time
On Undo Checkout
Override Native EOL Type
Detect Modified Files Using CRCs Intead of Modification Times
Only use CRC checks for files smaller than [size]
Cache/Backup Locations
Store Client Cache Folder
Store Working Folder State/Baseline Files
Limit number of baseline files
Open Cache Folder
Reset Repository Cache
Save files in backup folders before overwriting
Store Backup Files
Limit number of backup files
Diff/Merge Options
Default item to diff against
Diff Program
Diff Arguments
Merge Program
Merge Arguments
History/Labels Options
History Diff when single version selected
Label Diff when single version selected
Limit Queries to
Fetch rows in chunks of
Act on queries recursively
Notification Options
External Programs Options
Editor
Viewer
Custom External Applications
Custom External Applications Dialog
View/Edit
Diff
Merge
Diff/Merge Arguments
Command Dialogs Options
File List Columns
Warnings Options
Concurrent Development Style
Network Settings
Use chunked encoding
em: 100-Continue Headers
Request database delta
Proxy
Use system default proxy
Use a manually configured proxy
Do not use a proxy
Reset proxy user
5. SourceGear Vault Standard Classic Client (MSSCCI)
Enable / Disable Integration
Vault Standard Global Options
Accessing Vault Standard Command Options
6. SourceGear Vault Standard Visual Studio Enhanced Client (VSIP)
Configuring the Enhanced Client as the default source control provider
Opening a project or solution file
Uploading a project or solution to the repository
The Change Bindings Dialog
Tool Windows
7. Eclipse Integration
Opening a project
Uploading a project to the repository
Views
8. Using Vault Standard via WebDAV
Configuring WebDAV
Constructing the Vault Standard WebDAV URL
Authentication
Sanity Check
Using WebDAV with Dreamweaver
Limitations
9. Bug Tracking Integration
FogBUGZ
Updating a Case
Viewing a Case
Vault History
Vault Diff
10. Reference Guide
Menus
Main Window
File
Edit
View
Source
Tools
Help
Folder Tree Context Menu
File List Context Menu
Pending Change Set Context Menu
Search Context Menu
Show Label Menus
Label
View
Action
Label Promotion Menus
File
View
History Menus
View
Action
Help
Dialog Boxes
Add Files/Folders
Tree View of Local File System
Files/Folders to be Added
Exclude
Browse
Remove
Comment
OK
Cancel
Blame
Change Password
Check In/Commit
Check Out
File Options
Set File Time
Modified Local Copy
Request Exclusive Lock
Recursive
Only Show this Dialog When the Shift Key is Down
Comment
OK
Cancel
Choose Repository
Connect to Server
Copy Branch
Create Folder
Detect New Files/Folders
Diff
Delete
Edit File
Edit History Favorites
Adding a History Favorite
Renaming a History Favorite
Editing a History Favorite Query
Deleting a History Favorite
Run Query
Edit Profiles
File Properties
General
Check outs
Visual SourceSafe Information
Share Links
File Properties Backup Files
The Find Shelvesets Dialog
Folder Properties
General
Deleted Items
Links
Folder Properties Backup Files
Folder Versions
Get Latest Version
Label Diff
Label File or Folder
Label Promotion
Move
Rename
Save History Results
Set Working Folder
Unset Working Folder
Share
Share Branch
The Shelve Changes Dialog
The Shelveset Details Dialog
Show History For
Show Labels
Show Line History
Snapshot Folder
Undo Check Out
Version Details
Version List
View File
Keyword Expansion
History Keywords
HTML Keywords
Expanding Keywords
Preserving Spacing
Time Formats
Keyboard Shortcuts
Client Logging
Enabling Logging: Finding the Configuration File
Enabling Logging: Editing the Configuration File
What Should I Log?
Where is the Log File?
Special IDE Log File
Examples
Branching a Folder
Folder Shares
Primary and Secondary Shares
Query Description
Rename and Working Folders
Share Branch
Naming Syntax, Conventions and Limitations
User names
User passwords
Repositories
Label Names
File Names
Paths
Groups
Size of File Stored in Database
Number of Versions of a Given File

List of Tables

4.1. Concurrent Development Style Options

List of Examples

8.1. A complete Vault Standard WebDAV URL


Welcome to SourceGear Vault Standard

SourceGear Vault is a cross-platform version system for small and medium-sized teams. Vault was also designed to be a replacement for Visual SourceSafe, providing new features and improved functionality along with a familiar interface.

The Vault Standard Client installer installs the following Client components:

Vault Standard GUI Client for Windows.

A Windows .NET client that connects to the Vault Standard; Server and allows users to locally manage files under source control in a windowed application.

Vault Standard Folder ExportImport Tool

A tool that allows you to output the contents and history of a selected Vault folder to a local file. That file can then be used to import the folder contents and history to a different Vault repository or server.

The Vault Standard Folder ExportImport Tool is called VaultFolderExportImport.exe and is in the Vault Standard directory. Documentation is available in the ExportImport.chm file in the Vault Standard Client directory.

Vault Standard Command Line Client

A command line client that supports many of the commands the GUI client supports, allowing the user to connect to the Vault Standard Server via scripts or without user intervention. This client still requires the .Net framework in order to run.

The Command Line Client is called Vault.exe and is in the Vault Standard Client directory. For documentation, cd to the Vault Standard Client directory via the command line and type "vault help" or "vault helphtml (for help in an HTML format).

Vault Standard Visual Studio Enhanced Client.

Allows Vault Standard to be the source control provider in Visual Studio 2005 and later Visual Studio versions.

Vault Standard Visual Studio Classic Client

Allows Vault Standard to be the source control provider in Visual Basic 6 and Visual C++. Classic Client integration is also available in Visual Studio 2005 and later Visual Studio versions.


Chapter 1. Support

For personal technical support:

  1. Support on our website: support.sourcegear.com

  2. Technical support via email (<support@sourcegear.com>)

We would like to make this the best source code control tool available. Your input is valuable to us. Please, do not hesitate to contact us with problems or suggestions.


Chapter 2. Tips for SourceSafe Users

Vault Standard has been designed to make a seamless transition from SourceSafe and, at the same time, add many improvements. This has resulted in the following differences.

History Explorer Window

The History dialog is replaced by a top-level, non-modal window that allows browsing the repository history through queries. It also does not include a destructive delete function except in the Admin Web Client, where it is called Obliterate.

Branch exists separately from Share.

In SourceSafe, Branch can only be performed after a Share operation, but Vault Standard allows a Branch operation to happen by itself. The functionality is equivalent.

Atomic Check Ins and Check Outs

Add and Delete operations can be scheduled to happen as part of the next check in. Options exist that allow you to specify whether the operations happen immediately, or whether they are included with the next transaction.

SQL Server database

Vault Standard’s repository is stored in SQL Server rather than a collection of files in an undocumented format.

Request Exclusive Lock

In lieu of Allow Multiple Checkouts, Vault Standard has Request Exclusive Lock. The sense of the option is reversed and the default is to not request exclusive locks on files which are considered to be mergeable.

Terms

We have changed the following terms:

In Vault Standard, “Repository” (SourceSafe -- “Database”) refers to the place where source control files and history are stored.

In Vault Standard, “Folder” (SourceSafe -- “Project”) refers to folders in the repository.

Menu Items

The following menu items are no longer used:

The File / Create Shortcut

The Edit / Select

The Web / Check Hyperlinks

The Web / Create Sitemap.

Reports (In SourceSafe, these features serve the same purpose as Print commands.)

Show Differences Feature

Vault Standard only supports the “visual” diff, not “SourceSafe”, not “UNIX”.

Vault Standard does not include the option to Ignore OS Differences because Vault Standard’s diff code already ignores OS differences.

Miscellaneous Differences

The Options dialog has no pane for Command Line Options.

Check In and Check Out only function from and to the working folder.

Vault Standard does not always require files to be explicitly checked out before editing and checking in. Vault Standard may be configured to create working copies.

The Delete command does not include Destroy Permanently. This functionality is present in the Admin Web Client where it is called Obliterate.

Vault Standard does not have a built-in text editor.

There is no option to force MS-DOS compatible filenames.

The Store Only Latest Version feature is not supported. In SourceSafe, it appeared in the File Properties dialog box.

The Get Latest Version command is used to retrieve changes from the repository into the working copies, including any merge or conflict resolution. A file may not be checked in to the repository unless all changes from the server have been merged into the working copy using the Get Latest Version command.

Vault Standard makes use of a hidden state folder (named _sgvault) located in the local file system. These state folders keep track of the current version of files downloaded by the client and also store baseline versions of files for later merges. By default the state folders are kept in a user's application data folder, but a general option can be set to keep the state folders in the current working folders.

All access to the Vault Standard repository occurs through the Vault Standard server. There is no “local-mode client” to manipulate the repository through the file system.


Chapter 3. Using Vault Standard

Table of Contents

Working with Repositories
Connecting to the Server
Profiles
Choosing Repositories
Disconnecting from Server
Working in the Main Window
The Toolbar
Messages
Status Bar
The Folder Tree
The File List
File
Check Outs
Local Version
Remote Version
Status
File List Properties
Ghost Folders and Files
Ghost Folders
Context Menu
Ghost Files
Context Menu
Pending Change Set
List
Toolbar
Search
Search Window Toolbar
Search Dialog
Check Out Status
File Status
Shares/Pins
File State
Search Results List
Find in Files
Find in Files Dialog
Find in Files Tab
Results List
Tool bar
Find in Files context menu
Working with Folders
Create, Add and Delete Folders
Creating Folders
Adding Folders
Deleting Folders
Check Out and Check In Folders
Checking Out Folders
Checking In Folders
Rename and Move Folders
Renaming Folders
Checked Out Folders
Working Folders
Commit Rename
Moving Folders
Commit Move
Pin Folders
Status
Shares
Commit Pin
Cloak Folders
Working with Files
Add, Detect New, View, Edit and Delete Files
Adding Files
Commit Add Files
Detecting New Files and Folders
Viewing Files
Editing Files
Working Folder
Check Out
Editor
Deleting Files
Checked Out Files
Pinned Files
Cloak Files
Commit Delete
Check Out and Check In Files
Checking Out Files
Check Out File Multiple Times
Checking In Files
Rename and Move Files
Renaming Files
Moving Files
Pin Files
Restrictions
Delete a Pinned File
Branch a Pinned File
Pin a Shared File
Share a Pinned File
Commit Pin
Working with Shares and Branches
Share Items
Primary and Secondary
Shared Folders
Modified Shares
Name, Rename, Move Shares
Check Out or Check In Shares
Delete Shares
Commit Share
Branch Items
Branches on Folders
Share Branches
Copy Branches
Snapshots
Working with Labels
Deleted Items
Pinned Items
Shared Items
Viewing Labels
Label Promotion
Copy Label
History Explorer
History Query Filter/Sort
Favorites
General
Dates & Labels
Users
Filenames
Actions
Comments
Sort
Misc
History Results Menus
Query
View
Action
History Diff
Get from History
Help
Folder Versions
Version List
Edit History Favorites
Adding a History Favorite
Renaming a History Favorite
Editing a History Favorite Query
Deleting a History Favorite
Run Query
VSS History
History Favorites
Merge
Merge Window
Merge Branches
Additional Merge Branches Details
Binary Files
Folder Changes Archive
Shelve
What kinds of changes can be shelved?
Finding the Shelve Functions
How Do I Unshelve Changes?


Working with Repositories

In Vault Standard, a repository stores a logical grouping of files. You can have multiple repositories per server. It is recommended that you keep unrelated projects in separate repositories.

You cannot share or branch files across repositories. So, files that need to be shared must exist in the same repository.


Connecting to the Server

Use the Connect to Server dialog box to connect to the Vault Standard server. The dialog box will display when Vault Standard is started unless you have previously chosen to automatically connect.

After the first connection to Vault Standard, the server and username will automatically be filled in. If you previously used a profile to connect, the connection information will be automatically filled in and that profile will be selected by default in the Select Profile dropdown.

Once you are logged in and connected to a server, you can connect to a different server by invoking the Connect to Server command in the File menu.

If you click Cancel from the Connect to Server dialog box and are not currently logged in, the client remains in an unconnected state.


Profiles

Profiles are named sets of connection information. A profile stores connection information to different servers or different configurations of a server allowing you to use that profile to easily connect to a server.

For example, if you have two servers you normally connect to and each server has two repositories that you regularly use, you can define four profiles, one for each repository/server configuration, so you don’t have to remember the connection information.

To automatically connect to a server and then to a repository, you must use a profile.

Profiles are selected from the Connect to Server dialog, and are created and edited using the Edit Profiles dialog.


Choosing Repositories

The Choose Repository dialog box is displayed when you are connecting to the server (unless you are using a profile that automatically opens a repository).

To select another repository from the server you are already connected to, activate the dialog box by clicking Choose Repository from the File menu. You can also choose the Ctrl+P key.

When the Choose Repository dialog box is opened, the repositories you have access to in the currently connected Vault Standard server are displayed. The repository’s version and number of files and folders will also be displayed. Access to a repository is set by the administrator in the Admin Web Client.

If you Cancel the repository selection and a repository is open, the current repository remains open. If no repository is open and you click Cancel, you will remain connected but no repository will be open. To open a repository, select the File menu item and then select Choose Repository.


Disconnecting from Server

To disconnect from the current server go to the File menu and click Disconnect from Server.


Working in the Main Window

When Vault Standard is opened, you must choose a Vault Standard Server and then a repository within that server to connect to. The Repository Name and the Vault Standard Server Name are then displayed in the title bar.

The Main Window of the Vault Standard is composed of dockable panels which make it easy to add, remove, and rearrange items in the window. The panels are: Repository Explorer, which displays the Folder Tree and File List; Pending Change Set, , Messages, Search, Notifications, and Find in Files. The Window also has a Status Bar at the bottom.

The dockable panels can be rearranged in the Vault Standard client. To move a panel, click on the title bar and move to one of the docking points which appears in the client. To close a panel click the X in the upper right. To reopen a panel, select the panel name in the Vault Standard client under the View menu.

The main window has a menu bar with the following menus: File, Edit, View, Source, Tools and Help.


The Toolbar

The standard toolbar contains commands for all the basic tasks.

Create Folder

The Create Folder command allows you to create a new empty folder within the open repository.

Add Files

The Add Files command allows you to add new files or folders to the open repository by selecting files or folders accessible on the local machine.

Label

The Label command allows you to tag a version of a file, or a complete folder structure, for later retrieval.

Delete

The Delete command allows you to delete selected files or folders from the repository. If multiple files are selected, the Delete command will delete them all at the same time.

Please Note: The Delete command is non-destructive. The file or folder still exists in the history of the repository and can be recovered by clicking the Undelete command found in the Folder Properties.

Get Latest Version

The Get Latest Version command allows you to retrieve a copy of the file from the Vault Standard server and place it in your working folder. If there is no current working folder, the Set Working Folder menu dialog will open first since a working folder must exist before files are retrieved.

Check Out

The Check Out command allows you to check out the latest version of a file or folder. You can then modify the file or folder.

Check In

The Check In/Commit command allows you to commit changes made to local files back into the repository. Files may or may not be checked out prior to checking in, depending on which options are set. See Check In Options.

Undo Check Out

The Undo Check Out command allows you to undo the check out and not modify the contents of the file in the repository or change the version number.

Share

The Share command allows you to make files or folders appear in two distinct places in the repository. Shared files are linked, so that when one is modified, the linked file is updated as well.

Branch

The Branch command allows you to break a share (Share Branch)or to copy a file or folder to one or more locations allowing independent edits of the file following the branch (Copy Branch).

View

The View File command allows you to view the repository copy of a file without checking it out.

Edit

The Edit File command allows you to check out and edit a selected file in a single operation.

Diff

The Diff command allows you to compare working files and folders to the repository version or to the last version fetched from the server.

History

The History command allows you to open the History Explorer window to examine past versions to a file or folder.

Set Working Folder

The Set Working Folder menu command allows you to set a folder on the client machine to retrieve repository files.

Refresh

The Refresh command allows you to refresh the file list and folder tree by retrieving the latest information from the server. This command is merely used to update the display of status information – it does not modify the working folders in any way.

Abort

The Abort command allows you to cancel any current operation. After canceling the operation, the working directory and the repository will be in the same state they were before the initiating command was executed.

Help

The Help command allows you to view the Help files.


Messages

The Messages tab displays messages during operations to show status. It also displays error messages (displayed in red) that may require user action. Typical examples of error messages would be permission problems, transactions that fail or not being able to write to files.

This pane supports select and copy operations. The Copy command is available through the right-click menu or Ctrl+C.


Status Bar

The status bar displays the following information.

  1. Status Messages – Displays Ready when nothing is happening and Working, Uploading, Downloading, and Updating Local Files, etc when an operation is in progress.

  2. User – Lists the name of the user who is currently logged in.

  3. Secure Connection Status – Displays a padlock icon when the user is currently connected with SSL.

  4. Connection Status – Shows the connection state: Connected, Offline or Connecting.

  5. Progress Meter – Shows the progress of operations as they occur.


The Folder Tree

The Folder Tree is a listing of the folders in the repository. It reflects the status of folders as they exist on the server and does not reflect any pending changes. The Folder Tree is automatically refreshed periodically to retrieve any changes that may have been made on the server. This can be set in the General Options. The Refresh command (found on the Toolbar and View menu) manually refreshes both the File List and the Folder Tree.

Only one folder can be selected at a time. The files for the selected folder are displayed in the File List. Right-click on a folder to bring up the Folder Tree Context Menu for the selected folder.

The Folder Tree can by navigated by using the arrow keys. Up goes to the previous viewable folder and Down goes to the next one below. The right arrow expands the current node (if expandable) and the left arrow contracts the current folder, if contractible, and moves to the next open node.

The Folder Tree displays the following kinds of folders.

  1. Regular Folders – shown as buff colored folders.

  2. Cloaked Folders – shown as gray folders. See Cloak Folders for more information.

  3. Shared Folders – shown as a folder with a blue double-headed arrow. See Working with Shares and Branches for more information.

  4. Pinned Folders – shown as a folder with a red pin icon over it. See Pin Folders for more information.

  5. Ghost Folders – shown as a light outline of a folder. See Ghost Folders and Files for more information.


The File List

The File List displays the files contained in the selected folder. In VSS mode (auto-commits on), the File List reflects the status of the files on the server since changes have been automatically committed. In CVS Mode, (auto-commits off), the file list may reflect certain pending changes not yet committed to the repository, such as renames, moves and deletes. In CVS mode, shares, pins, adds, and branches, will not appear in the File List until they are committed to the server. Note that in VSS mode with auto-commits off, the file list may also reflect pending changes not yet committed to the repository.

The File List must be refreshed periodically to retrieve any changes which may have been made on the server by other users. This can be set to automatically refresh in the General Options. The Refresh command (found on the Toolbar and View menu) refreshes both the File List and the Folder Tree.

One or multiple files can be selected. Right-click on a selected file to bring up the File List Context Menu for that file. Double-click on the selected file to bring up View or Edit File dialog box. In the General Options, there is a setting to control whether a double-click’s default behavior will view or edit the file.

The File List supports multiple column sorting. Clicking a column without a key will create a single column sort based on the contents of that column. If a new sort is created, it is in ascending order. If the column is already sorted, the sort is reversed. For example, an ascending column will be sorted descending and vice versa. The sorted column is indicated by an arrow. An up arrow indicates the file list is sorted in ascending order. Conversely, a down arrow indicates the list is sorted in descending order. Click a different column to sort the list by that column.

If you depress the SHIFT key while clicking a column, that column will be last on the list of columns to sort by. If no other columns are currently sorted, the clicked column will be new "primary" sorted column.

If any column (even if it is in an existing sort) is clicked without using SHIFT, the sorted columnas are all cleared that that column is now the primary sort in acending order.

The default columns for the File List are File, Checkouts, Local Version, Remote Version and Status. Other columns are available in the Options dialog, File List Columns pane.


File

The File column lists the names of the file in the selected folder. It also includes an icon for the file to indicate the state of the file. The appearance of the icon indicates the status of the file.

  • When the file is not checked out and has not been pinned or shared, the icon is a single "page."

  • When the file is checked out by a single user, regardless of who it is, the icon includes a red check mark.

  • When the file is checked out by more than one user, the icon includes two red check marks.

  • When the file is pinned, the icon includes a red push pin.

  • When the file is shared, the icon includes a blue double-headed arrow.

  • When the file is both shared and checked out, the icon includes a blue double arrow and one or two red check marks depending if it is checked out by one or multiple users.

  • When the file is Cloaked, its file list entry will appear lighter and italicized.

  • When a non-version-controlled file exists in your working folder, the icon a light gray outline of a file (note this type of file will only show up if the “show non-version-controlled files ghosted in file list” option is turned on). See Ghost Folders and Files for more information.


Check Outs

The Check Outs column includes the name of any user(s) who has the file checked out. The term (Exclusive) appears next to the name if the file has an exclusive lock.


Local Version

The Local Version refers to the version number of the file in the working directory.


Remote Version

The Remote Version refers to the latest version number of the file in the repository.


Status

The Status is a one-word description of the state of the working copy of the file. Following is an explanation of the possible status of a file.

Status | Explanation
(blank) | The working copy has not been edited. The working copy matches the version in the repository.
Edited | The working copy has been checked out and modified. The remote version has not changed.
Renegade | The working copy has been modified but is not currently checked out. This status only exists for mergeable files when you require a check out before a check in (see Check In Options).
Needs Merge | The working copy is checked out and edited. The remote version has also been edited. You must use the Show Merge command before this file can be checked in.
Merged | The working copy has been edited. The remote version has been edited and the file has been merged. You can use the Show Merge command to examine what was done or to revert back to Needs Merge status.
Old | The server copy of the file is newer than the working copy. The working copy has not been edited.
Missing | The working copy does not exist.
Unknown | The working copy exists but Vault Standard cannot determine its status.
More Recent | The working copy has not been edited and is a version of the file which is more recent than the current version on the server.


File List Properties

The File List Properties window displays properties for the file currently selected in the File List. The File List Properties window can be displayed by selecting the Repository Explorer File Properties menu item from View menu.


Ghost Folders and Files


Ghost Folders

If the Show non-version-controlled folders ghosted in folder tree is turned on in the General options, non-version-controlled folders that exist in your local file system along with all their contents[1] will show up ghosted in the folder tree. Ghost folders will only show up in the file tree if:

  • The repository folder has a working folder defined.

  • The non-version-controlled folder is not in the “folder exclusions” list defined in the Admin Web Client and is not a “special” Vault Standard folder (_sgvault, _sgbak)

  • Ghost folders will not show up in a folder if that folder is cloaked

Ghost folders are updated in the folder tree when you log on, after a full refresh (f5) and after operations that change the folder tree (add folder, delete folder etc), and when the working folder is changed.

[1] If a Ghost folder has files, its files will show up ghosted in the file list if the Show files not in repository ghosted in file list option is turned on.


Context Menu

The Ghost folder context menu contains these menu items – Explore working folder, Add this folder and Delete this folder.

Add this folder - This command will add the selected ghost folder to Vault Standard at its current location in the folder tree. If you choose to add a ghost folder that’s parent is also a ghost, then the selected folder’s parent will be also be created in the tree and the ghost folder and all of its contents will be added.

Explore working folder – This command opens a Windows Explorer window for the corresponding working folder.


Ghost Files

If the Show non-version-controlled files ghosted in file list option is turned on, non-version-controlled files that exist in your local working folder will show up as ghosted in the file list. Ghost files will only show up in the file list if:

  • The file’s parent repository folder has a working folder

  • The non-version-controlled file is not in excluded by the “file exclusions” list defined in the Admin Web Client

Ghost files are updated when you click on a folder and when you activate the client.


Context Menu

The Ghost File context menu contains these menu items – Add this file, Edit and Delete this file. If at least one ghost file is selected the ghost file context menu will be displayed.

Add this File – The add this file command will add the selected ghost file or files to Vault Standard at the current location in the file list and folder tree. If the file or files selected for addition are in a Ghost Folder, the parent Ghost Folder(s) will also be created in the folder tree.

Edit – The edit command will open the file so you can edit it in the working folder.

Delete this File – The delete this file command will delete the selected ghost file or files to from the working folder.


Pending Change Set

The Pending Change Set tab contains a list of all changes, anywhere in the working folders which are waiting to be checked in to the repository. This provides a constant, visual reminder of items that need to be checked in or committed.

For users who have the auto-commit option disabled, or who are working in the Vault Standard Visual Studio Enhanced Integration Client or Eclipse IDE client, move, rename and deletes in the Pending Change Set will be reflected in the working folder when they are pended. This allows users to see all the implications of a refactoring operation and correct the build before checking in any changes.

Multiple items can be selected by highlighting the items or checking checkboxes next to the items. Operations will apply to the items selected. Checkboxes in the Pending Change Set can be enabled in the Vault Standard client under Tools->Options->General.

Comments can be created for the entire changeset or for individual items within the changeset. If an item does not have an individual comment associated with its action, the changeset comment is automatically applied to it.

Right-click on a file or folder to bring up a Pending Change Set menu for the selected items.

Pending actions can be undone by selecting the action and hitting the delete key, using the Pending Change Set menu or the Pending Change Set toolbar.

The Pending Change Set tab consists of a list and a toolbar.


List

The Pending Change Set list contains the following information.

  1. Item – The full local path of the file or folder name on which the operation is taking place.

  2. Details – For file modifications, this column shows the size of the change (e.g., +9KB or -1KB). If the file has a state of Needs Merged, it is listed here instead of the Type column since the type is Modified.

    For folders, the Details column lists the number of folders and files being added, plus the size of all the files being added.

    If two users (with auto-commits off) rename the same file, and one user commits the rename, the other user will see Namespace Conflict in red text in the Details column.

  3. Type – The type of change. This could be one of the following: Modified, Unmodified, Add, Delete, Branch, Label, Share, Move or Rename.

  4. Repository Path – The full path in the repository that corresponds to the item.

  5. Date – The local date of the item or the date of the pending item.

  6. Comment – The comment that will be applied to this particular item when it is committed / checked in. To change or enter the item comment, right-click on a selected item (or items) to bring up the Pending Change Set menu and click on Edit Item Comment.


Toolbar

The standard toolbar for the Pending Change Set contains the following commands.

  1. Commit – The Commit command allows you to Check In/Commit changes to the repository.

  2. Comment – You can add or edit the changeset comment. Click OK to accept the comment or Cancel to revert to the comment that already exists.

  3. Select All – Click or use the keyboard short cut Cntrl-A to select all the items in the Pending Change Set.

  4. Invert Selection – Click to deselec+ any selected items in the Pending Change Set.

  5. Undo – The Undo command will undo the selected operation. Modified files are reverted to their previous contents before they were edited, and if the file is checked out, it brings up the Undo Check Out dialog box on the selected item.

  6. Show Differences – The Show Differences command brings up the Diff dialog box for the selected file in the list.

  7. Show Merge – Brings up the merge window on the selected file. This is only available if the status of the file is Needs Merge or Merged.

  8. Rescan working folders – Searches all working folders on the local machine for files that have changed, and puts them in the Pending Change Set if they were not already there. This is available only in CVS mode (when “Require Check Out before Check In” is off)

  9. Shelve All – Upload selected changes to the Vault Standard server without committing them.

  10. Unshelve – Download a shelveset from the Vault Standard server into your working folder.


Search

Search Repository allows you to find files in the repository based on file name, working folder status, check out status, deleted state, shared or pinned state and also allows you to locate files in your working folders that have not been added to source control.

While a repository search is in progress, the Search Description text area will be updated with the status of the current search along with a brief description of the search criteria. When a search completes the text area will also display the date and time that the last search completed and the number of files in the results.

The search results are displayed in the Search Result List. Various source control operations can be performed from the Search Result List.


Search Window Toolbar

The standard toolbar for Search contains the following commands:

  1. Search – To perform a search, select a folder in the Folder Tree and click the Search toolbar button, or choose Search from the selected folder's context menu. This will display the Search Dialog where you can specify search criteria and run the search. Vault Standard will remember the last search for the current and subsequent Vault Standard sessions unless the Clear button in the Search Dialog is used to remove the last search.

  2. Stop Search – The Stop Search button will abort the current search in progress.

  3. Clear Search Results – Click the Clear Search Results button to clear the results listed in the Search Results List. This will only clear the items in the list, it will not clear the search criteria.

  4. Refresh Results – Click the Refresh Results button to re-perform the last search.

  5. Automatically Refresh – If the Automatically Refresh Every [] Minutes checkbox is checked, the last search will be refreshed at the specified interval. This option will be enabled if a search has been previously performed. The last search is remembered for the current and subsequent Vault Standard sessions.


Search Dialog

The Search Dialog allows you to select search criteria and perform the search. A file must match all the selected criteria to be included in the search results.

  1. File Name or Pattern – A comma separated list of filenames and/or filename patterns to include in the search results. Wildcards can be used. For example, specifying *.js, *.html for this option will return files with a .js or .html extension.

  2. Excluded Files – Check this option to exclude files from the search results based on filename or pattern.

    Excluded Files Combo Box - A comma separated list of filenames and/or filename patterns to exclude from the search results. Wildcards can be used. For example, entering *.gif, *.jpg for this option will return files in the specified folder that are not .jpg or .gif files. Excluded files take precedence over the included File Name or Pattern criteria. For example, if *.jpg is specified for File Name or Pattern to include, and *blank* is specified for Excluded Files, all .jpg files will be listed except those that have "blank" in the filename.

  3. Recursive – If the Recursive option is checked the search will also return results found in the subfolders of the selected folder.

  4. Include Cloaked – By default most searches will not include files from folders that are Cloaked in the Vault Standard client. Check this option to include files in cloaked folders in the search results. Include Cloaked does not apply if searching for deleted files. Note that the deleted file search will return deleted files regardless of the cloaked state of the parent folders.

  5. Filters – Additionally the search result set can be filtered by Check Out Status, File Status, Pinned/Shared state , or File State (deleted or not in source code control). Selecting an option from the Filters group box will display the search options for that filter in the Criteria group box.

  6. Search, Clear, and Cancel buttons – The Search will only launch when the Search button is clicked. The Clear button will clear previous selections or saved search criteria. Vault Standard will remember the last search for the current and subsequent Vault Standard sessions unless the Clear button in the Search Dialog is used to remove the last search. Cancel will close the Search dialog.


Check Out Status

The Check Out Status search options allow you to filter the search results by Check Outs state (Checked Out, Checked Out Exclusively, Not Checked Out) and/or Check Out User. The Check Out Status criteria options are:

  1. Files are Not Checked Out – If this option is selected the search results will include only files that are not Checked Out.

  2. Files Checked Out To – Select this option to filter the search results by Check Out user.

    1. Exclusive Check Outs Only - Check this option to include only files that are exclusively checked out.

    2. Included Inactive - By default only active users are displayed in the Check Out Users list. Check this option to include all users in the Check Out Users list.

    3. Check Out Users List - Check the users to include in the Check Out Status search. The search result list will include only files checked out by the selected users.

    4. Check/Uncheck all - Click this button to check or uncheck all the users in the Check Out Users list.


File Status

The File Status search options allow you to filter the search results by the working folder file status. The search result list will include only the status values checked in the status criteria list. By default all the status values are checked, which will include files with any or no status in the search results.

Check/Uncheck all - Click this button to check or uncheck all the status values.


Shares/Pins

The Shares/Pins search options allow you to filter the search results by the shared or pinned state of files in the selected folder. The Shared/Pinned criteria options are:

  1. Shares/Pins List – Select the radio next to the Shares/Pins list to filter the result list by the file's shared and/or pinned state. Only files matching the checked values in the Shares/Pins list will be included in the search result list.

    Check/Uncheck all - Click this button to check or uncheck all the values in Shares/Pins list.

  2. Shared/Pinned to Older – If the Shared/Pinned to Older option is selected, only shared files that have been pinned to versions older than their shared counterparts will be included in the result list.


File State

The File State search options allow you to search for files that have been deleted from the repository, or files that are in your local working folder that are not in the repository. The File State options are:

  1. Do Not Filter – Do not filter by File State.

  2. Deleted – Select the Deleted option to search for files that have been deleted in the selected folder. Note that this search will ignore the cloaked status of any sub folders. Deleted files in cloaked folders will always be included in the search result list.

  3. Not in Source Control – Select this option to search for files in your local working folders that are not in Source Control. The results will include non-version-controlled files that are not excluded by the “file exclusions” list defined in the Admin Web Client.


Search Results List

The files matching the search criteria are listed in the Search Results List. Right clicking on an item will display the Search Results context menu . Most Source Control operations can be performed from the search results list. Double-clicking on an an item will select that file in the file list if it exists. Clicking on a column header will sort the results by that value. The result list will display the following information about each file if applicable:

  1. Item – The name of the file.

  2. Repository Folder – The full path to the file in the repository.

  3. Local Folder – The local path of the file in the working folder.

  4. Status – The status of the file in the working folder.

  5. Modified Date – The date the file was last modified locally.

  6. Version – The local version of the file.

  7. Check Out Location – A comma separated list of the file's check out locations (file paths and machine names).

  8. Users – A comma separated list of the users who have the file checked out.

  9. Extension – The file's extension.


Find in Files

Find in Files provides the ability to search for a word or string in files in a Vault Standard repository. The Find in Files command is located on the Vault Standard GUI Client Menu Bar under Tools->Find in Files. Results are displayed in the Find in Files tab at the bottom of the Vault Standard Client.

You can search for a word or string of text within non-binary files in a Vault Standard repository with the Find in Files command. Find in Files searches within the current versions of text-based (non-binary) files in the repository. You can use the Find in Files command on a single file or on a folder. A Find in Files search on Folder can be recursive. Find in Files will provide results only for repository folders where the user has at least R rights. The Find in Files search is similar to the Find function in Visual Studio.

Note

Find in Files indexing must first be enabled or On for the repository. This setting is in the Vault Standard Admin Web Client under Source Control Repositories->[Repository Name]->Find in Files.


Find in Files Dialog

Search for text:

Type the word or string you wish to search for.

Look in:

Enter the repository path or browse for the path to search in. Check Recursive for a recursive search.

Look at these file types:

If you wish to filter by file type or file name, enter the file extension or file name.

Exclude Files

Select file names or types you wish to exclude from your search.

Search Options

  1. Match Case -- for example, a search for Co*, will match "Command" and "Code" but not "command" or "code."

  2. Match Whole Word -- for example, a search for "pass" will match only lines with the word "pass," and not "password" or "encompass."

  3. Use Wild Card Pattern Match -- Examples:

    * - Matches zero or more characters.

    For example, pass* matches any text that includes "pass", such as "passage," "password" or "compass."

    ? - Matches any single character

    For example, if you check Match Whole Word, ?at matches "bat," "cat" or "sat." If you do not check Match Whole Word, the search assumes *?at*, and would match "format," "water," "ate," etc.


Find in Files Tab

The Find in Files tab displays the results of the Find in Files command.


Results List

The Results List contains details about the items that meet the search criteria:

  1. File name

  2. Repository path

  3. File version

  4. Number of lines in the file that contain the word or string

  5. Line number of each line in the file which contains the word or string

  6. Results summary with the number of matching lines and matching files.

The Results List can be expanded or collapsed. Double-clicking on the file information in the Find in Files tab will take you to that file in the file list pane.


Tool bar

View File

Highlight an entry in the Find in File results, then select the View File to view the repository version of the file.

Copy Selected Items

Copy the highlighted selection.

Select All

Select all results in the Find in Files tab.

Invert Selection

The Invert Selection command allows you to invert the already selected results. For each result in the list, if it is selected, it will be unselected and, if it is unselected, it will be selected.

Clear All Results

This command clears all results in the Find in Files tab.

Expand All Nodes

Expands all nodes of the results in the Find in Files tab.

Collapse All Nodes

Collapses all nodes of the results in the Find in Files tab.


Find in Files context menu

A subset of the Find in Files toolbar commands can also be found in the context menu:

  1. View

  2. Copy

  3. Select All

  4. Expand Nodes

  5. Collapse Nodes


Working with Folders


Create, Add and Delete Folders


Creating Folders

The Create Folder command is used to create a new empty folder within the open repository. If a repository has enabled security rights, the user must have permissions set by the administrator in the Admin Web Client to create folders. The dialog box can be activated in several ways.

  • Click Create Folder from the File menu.

  • Select Create Folder on the Toolbar.

  • Right-click on a folder to bring up the Folder Tree Context Menu, select Create Folder.

  • Select the INSERT key.

If Auto-Commit has been selected (default), the folders will be created in the Vault Standard repository immediately. If Auto-Commit has not been selected, the folders will be created in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.


Adding Folders

Adding folders uses the same process as adding files. See the Adding Files section for more information.


Deleting Folders

The Delete command deletes the selected folder and all of its contents, recursively, from the repository. If a repository has enabled security rights, the user must have permissions set by the administrator in the Admin Web Client to delete folders. To activate the Delete dialog box, click Delete Folders from the File menu.

Note

The Delete command is non-destructive. The items still exists in the history of the repository and can be recovered by clicking the Undelete command found in the Folder Properties dialog box.

The Vault Standard client does not allow operations which destroy history. To destroy history, use the Obliterate command available in the Vault Standard Admin Web Client.

Delete a Pinned Folder

A folder with a primary pin can be deleted.

A folder with a secondary pin cannot be deleted (except as part of a deletion on the pinned ancestor). For example, if $/foo/bar is pinned, then the delete operation will succeed at $/foo and $/foo/bar but will fail on any subfolder or file within $/foo/bar. An error message will be displayed if a delete on a secondary pin is attempted. Please see Pin Folders for more information.

Commit Delete

If Auto-Commit has been selected (default), the folders will be deleted in the Vault Standard repository immediately. If Auto-Commit has not been selected, the folders will be deleted in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.


Check Out and Check In Folders


Checking Out Folders

The Check Out command allows you to retrieve the latest version of the folder and set the working copy to read-write. Select the item to be checked out and do one of the following:

  • On the Source menu, click Check Out.

  • Select Check Out on the Toolbar.

  • Right-click on the selected folder to bring up the Folder Tree Context Menu, click Check Out.

  • Ctrl+O.

If a working folder is not set for the item, the Set Working Folder dialog box will appear. After successfully setting the working folder, the check out procedure will continue.

The Check Out on a folder is a multiple (possibly recursive) file checkout. It does not lock the folder and still allows other users to add or delete files from the folder. Use of check out on a folder is discouraged since in most cases an entire directory of files need not be checked out together.


Checking In Folders

The Check In/Commit dialog box allows a user to check in all pending files. Select the item to be checked in and do one of the following:

  1. On the Source menu, click Check In.

  2. On the Toolbar, click Check In.

  3. Right-click on the selected folder to bring up the Folder Tree Context Menu, click Check in.

  4. Ctrl+I.

  5. On the Pending Change Set tab, click the Commit button or select an item and hit Ctrl+M.

Check In comments can be added in the Comment field of the Check In/Commit dialog box. Additional Check In options that can be selected on the dialog box include: Keep Checked Out and Remove Local Copy. See the Check In Options to set additional options.

When checking in a folder, only items within that folder that are also in the Pending Change Set will be listed in the Check In dialog for inclusion for the transaction.


Rename and Move Folders


Renaming Folders

The Rename command allows the names of files and folders to be changed. To activate the dialog box:

  • Click Rename from the File menu.

  • Right-click on the selected item to bring up the Folder Tree Context Menu, click Rename.

  • On the keyboard, use the F2 key.


Checked Out Folders

A folder can be renamed at any time except if it is pinned or if any files are checked out in that folder or subfolder to a different user.


Working Folders

A folder rename will automatically alter the name of the current working folder on disk. The files in the selected folder will retain their status. However, if all checked out files in the folder or any subfolder are assigned to you, those check out locks will be removed. If there are checked out files in the folder any subfolder assigned to another user, a warning will be displayed. See Rename and Working Folders for an example.


Commit Rename

If Auto-Commit has been selected (default), the files and folders will be renamed in the Vault Standard repository immediately. If Auto-Commit has not been selected, the files and folders will appear renamed in Vault Standard Client, but the repository is not updated until the transaction has been committed.

Please see Auto-Commit more information.


Moving Folders

The Move command allows you to move folders from one folder to another. To activate the dialog box, click Move from the File menu.

Moving a folder will lose any associations with working folders that currently exist. If there are explicit rights assigned to the selected folder, they will move with the folder. However, inherited rights from parent folders will not.


Commit Move

If Auto-Commit has been selected (default), the files and folders will be moved in the Vault Standard repository immediately. If Auto-Commit has not been selected, the folders will appear to be moved in Vault Standard Client, but the repository is not updated until the transaction has been committed.

Please see Auto-Commit for more information.


Pin Folders

Folder pins allow you to pin an entire folder at the current version or an earlier version of the folder (primary pin), secondarily pinning all of its files and subfolders (secondary pin). This prevents you from adding, deleting or performing any operation on any file or folder within the pinned folder. To activate or deactivate, click on Pin/Unpin on the Action menu on the History Explorer menu.

The folder primary pin takes precedence over the subfolder or file primary pin. You cannot pin or unpin a file or folder that currently has a secondary pin on it, even if it also has a primary pin. The pin command is not available for items that are secondarily pinned. Since pinning increments version numbers of folders, you can safely pin a folder that currently has a file or subfolder with a primary pin.

If a folder is pinned to a previous version, the folder will appear in your folder and file list exactly as it did in the previous version. Files that existed but have since been deleted will be displayed. Items that did not exist at that version are not displayed.


Status

If a folder is pinned at a previous version, the pin status of every file is reverted to its pin status at the version the folder was pinned. Unpinning the folder reverts back to the current pin status of the files. For example, if a file is pinned in folder version 8 but not in folder version 5, and the folder is pinned to version 5, the file appears unpinned in the newly pinned folder. Unpinning the folder will revert the file to pinned (its current state). Once the folder is pinned you cannot pin or unpin any files within the folder.

After a folder pin, the tree state gets refreshed, but no files themselves are retrieved, so the status of the files will be newer if you pin a folder to a previous version. Unpinning the folder will again refresh the tree state, but not re-get anything. If you pin a folder to a previous version, do a Get Latest, unpin it, then files that have changed since that version will have a status of Old after the unpin.


Shares

Pinning a folder at a previous version causes all shares within the folder to be temporarily broken until the folder is unpinned. This is true regardless of whether the file was shared in the current version or in the version being pinned.


Commit Pin

You can Pin the current version of a file or folder from the main window's context menu, or you can Pin a historical version from the History Explorer. Pin and Unpin operations from the History Explorer are placed in their own changeset (which is independent of any other pending changes) and always happen immediately, regardless of the Auto-Commit option. Pin operations from the main window will obey the Auto-Commit option.


Cloak Folders

The Cloak command allows you to specify that a folder should be ignored during other recursive operations. Right-click the selected folder and click on Cloak/Uncloak. Commands performed directly on a cloaked folder will be completed as though the folder was not cloaked.


Working with Files


Add, Detect New, View, Edit and Delete Files


Adding Files

The Add Files/Folders command allows you to add new files or folders to the open repository by selecting items accessible to the local machine. You can include or exclude any file or folder underneath the selected folder, and a default exclusion list automatically excludes files or folders containing defined string patterns.

To activate the dialog box, do one of the following:

  • Select Add Folders/Files from the File menu.

  • Select Add Folders/Files on the Toolbar.

  • Select Add Folders/Files from the destination Folder’s context menu.

  • Ctrl+N

In addition to invoking the Add Folder/Files command, you can also simply drag a file or a folder to the file list pane of the main window. This will automatically bring up the Add Folders/Files dialog with the contents of your selection from the Windows Explorer.


Commit Add Files

If Auto-Commit has been selected (default), the files and folders will be added to the Vault Standard repository immediately. If Auto-Commit has not been selected, the files and folders will be added to the repository as part of the next check in transaction.

Please see Auto-Commit for more information.


Detecting New Files and Folders

The Detect New Files/Folders command allows you to see which files and folders exist in your local working folder that do not exist in Vault Standard, therefore allowing you to easily add newly created items to the repository.

To activate the dialog box, do one of the following:

  • Select Detect New Files/Folders from the File menu.

  • Select Detect New Files/Folders from the destination Folder’s context menu.


Viewing Files

The View File command allows a user to view the latest version of a file without checking it out or replacing the local copy of the file. To view the most recent version in the repository, select a file. Then do one of the following to bring up the View File dialog box.

  • On the Edit menu, click View File.

  • Click View on the Toolbar.

  • Right-click the selected file to bring up the File List Context Menu, then click View.

  • Double-click the selected file.


Editing Files

The Edit File command checks out a file and launches an external editor in a single operation. Select a file and do one of the following to launch the editor.

  • On the Edit menu, click Edit File.

  • Click Edit on the Toolbar.

  • Right-click the selected file to bring up the File List Context Menu, then click Edit.


Working Folder

A working folder must be defined in order to edit a file. If the working folder is not defined, the Set Working Folder dialog box will be displayed first. Canceling the Set Working Folder will cancel the Edit command.

Note

The Vault Standard Client does not support mulitple users working from the same working folder.

The Vault Standard Client was designed to provide accurate file status information to users, and expects a one-to-one relationship between user, repository folder and working folder. Both the Vault Standard client and Vault Standard integration with Visual Studio use baselines to determine the status of files in the working directory.

Working folder file status values my be erratic if multiple users have configured the Client to use the same working folder, or if the same directory is a working folder for more than one Vault repository.

When a user does a Get Latest from the repository, the Vault Standard Client creates a copy of the file in the _sgvault (baselines) folder. The Vault Standard client gets a new baseline every time the user performs a Get Latest, and when the user checks in a modified file. By default the baselines are in the user's local settings folder.

The client compares the file in the working directory with the baseline to determine if the file has changed. If the file in the working directory has changed, or has a different timestamp than the baseline, Vault considers the file to be Edited, Renegade, More Recent, Needs Merge, etc.

When more than one user works in the same working folder, the Vault Standard Client will display incorrect working folder status because the Vault is comparing working folder files against files not updated by the user's specific Vault Standard client. Also, users may have inadvertently removed the read-only file status or modified the file's timestamp which may cause the Vault Standard client to overwrite files modified by other users.


Check Out

After the working folder is set, the Check Out dialog box is displayed. If Check Out is cancelled or if the check out fails for any reason, the Edit operation is cancelled. If you successfully check the file out, the file will come up in the selected editor.


Editor

In Windows, Notepad is the default editor. To select a different editor as a default, please see External Programs Options.


Deleting Files

The Delete command allows you to delete files from the repository. If multiple files are selected, the Delete command will delete them all at the same time. A user must have permissions set by the administrator in the Admin Web Client to delete files. To activate the dialog box, click Delete from the File menu or on the Toolbar.

Note

The Delete command is non-destructive. The file or folder still exists in the history of the repository and can be recovered by clicking the Undelete command found in the Folder Properties dialog box.

The Vault Standard client does not allow operations which destroy history. The Obliterate command is available in the Vault StandardAdmin Web Client.


Checked Out Files

You can delete a file that is currently checked out, even if it is exclusively checked out. A warning message is displayed before allowing this. If you attempt to check in a file that has been deleted, an error message will be displayed.


Pinned Files

A file with a primary pin on it can be deleted. A file with a secondary pin can be deleted only if the parent folder with the primary pin is also being deleted. For example, if $/foo/bar is pinned, then the delete operation will succeed at $/foo and $/foo/bar but will fail on any subfolder or file within $/foo/bar. Please see Pin Files for more information.


Cloak Files

The Cloak command allows you to specify that a file should be ignored during other operations unless it is explicitly selected. For example, if a file is Cloaked, Get Latest Version or Check Out on the file’s parent folder will not retrieve the file. The cloaked file should explicitly be selected before the command is invoked.

Cloaked files will appear italicized in the File List.


Commit Delete

If Auto-Commit has been selected (default), the files will be deleted in the Vault Standard repository immediately. If Auto-Commit has not selected, the files will not appear in the file list, but will actually be deleted in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.


Check Out and Check In Files


Checking Out Files

The Check Out command allows you to notify others that you intend to make changes to a file and, in the case of exclusive locks, to prevent any other user from checking in a change while the file is locked. Select the item to be checked out and do one of the following:

  • On the Source menu, click Check Out.

  • On the Toolbar, click Check Out.

  • Right-click on the selected item to bring up the File List Context Menu, click Check Out.

  • Ctl+O

If a working folder is not set for the item, Set Working Folder will appear first. After successfully setting the working folder, the check out procedure will continue.

A mergeable file can be checked out by multiple people at the same time. A binary file or a file that is checked out exclusively may only be checked out by one person at a time.

Note that a file does not need to be checked out before being checked in if the Require Checkout before Check In option is off. This option can be set in the Check In Options.

If a shared file is checked out, it appears checked out from all links in the share. If it is checked out by multiple users, then all names are listed in all locations of the shared file, regardless of which link the file was checked out from. For more information, please see Check Out or Check In Shares.


Check Out File Multiple Times

The same user can check out a file multiple times, once per machine. When you check out a file multiple times, your name appears multiple times in the file list and the location is listed in the file properties as a separate checkout.

Checking in such a file is the same as checking in a file that is checked out by multiple people. The file will need merged if there are conflicts. Undoing the check out in one location does not affect the check out in other locations.


Checking In Files

The Check In/Commit dialog box allows a user to check in all pending changes to files or folders. Select the item or items to be checked in and do one of the following:

  • On the Source menu, click Check In.

  • On the Toolbar, click Check In.

  • Right-click the selected item to bring up the File List Context Menu, click Check In.

  • Ctrl+I.

  • On the Pending Change Set tab, click the Commit All button or select an item, hit Ctrl+M.

Check In Comments can be added in the Comment field of the Check In dialog box. Additional Check In options that can be selected on the dialog box include Keep Checked Out and Remove Local Copy. See the Check In Options to set additional options.

If you have Bug Tracking Integration, you will be able to associate the file being checked in with a known bug at this time.

If a file is currently in a Needs Merge state (because it has been modified both locally and remotely since you retrieved it), it cannot be checked in until the merge has been resolved. Please see Merge for more information.


Rename and Move Files


Renaming Files

The Rename command allows the names of files and folders to be changed. To activate the dialog box, do one of the following:

  • Click Rename from the File menu.

  • Right-click on the selected file to bring up the File List Context Menu, select Rename.

  • Select the F2 key.

A file cannot be renamed if it is currently checked out by anyone that is not the person performing the rename. Renaming a file that is checked out by the person performing the rename causes the check out to be removed and the file to go into a Needs Merge status.

If a shared file is renamed, you cannot give it a name of any item (file or folder) that exists in any of the shared link’s parent folders. Changing only the case of the file name will work like any other file rename, including incrementing the version number.

If Auto-Commit has been selected (default), the files and folders will be renamed in the Vault Standard repository immediately. If Auto-Commit has not been selected, the files and folders will appear to be renamed in the client, but will not be renamed in the repository until the the rename transaction is committed.

Please see Auto-Commit for more information.


Moving Files

The Move command allows you to move files from one folder to another. To activate the dialog box, click Move from the File menu.

Moving a file will lose any associations with working folders that currently exist. Inherited rights from parent folders do not move with the file.

If Auto-Commit has been selected (default), the files and folders will be moved in the Vault Standard repository immediately. If Auto-Commit has not selected, the files and folders will appear to be moved in the Vault Client, but will not be moved in the repository until the transaction is committed. transaction.

Please see Auto-Commit for more information.


Pin Files

Pinning a file prevents it from being modified. Essentially, it makes the pinned version the current version of the file and prevents any change to the file that would increase its version number. Doing a Get Latest will retrieve the pinned version of the file. To activate or deactivate, click on Pin/Unpin from the Source menu in the Main Window, or Pin/Unpin in the Action menu on the History Explorer.


Restrictions

  • You cannot pin a file that is already pinned. You must unpin it before pinning it to a different version.

  • You cannot pin a file that is currently checked out to another user.

  • You cannot pin a folder that has a file checked out by another user anywhere below it.


Delete a Pinned File

You can delete a pinned file. If it is undeleted, it remains pinned at the same version number as when it was deleted.


Branch a Pinned File

Branching a pinned file will automatically unpin it at the new location. Branching a shared pinned file will unpin it at its current location since branching a shared file keeps the file in its current location.


Pin a Shared File

If a file has a primary share associated with it, the pin only applies to that link of the shared file. Other links can modify and retrieve the current version. When that shared link is unpinned, the most recent version is immediately available (e.g., the changes made to it via other shares is now available at that link).

If a file has a secondary share associated with it, the pin applies to all links of the secondary share.


Share a Pinned File

If a file is pinned and is then shared (either a primary or a secondary share), the newly shared file inherits the pin. Unpinning a file that is automatically pinned after a primary share unpins it only for that link. All other links are still pinned and must be unpinned individually (just as they were all shared individually).

Please see Share Items for more information.


Working with Shares and Branches


Share Items

The Share command allows you to make files or folders appear in two distinct places in the repository. To activate the Share dialog box, do one of the following:

  • Click Share from the Source menu.

  • Click Share on the Toolbar.

  • Right-click on the selected item to bring up the context menu, click Share.

Any change made to the file or folder in any of its shared locations will be reflected in all locations after the change is made. A file or folder can be shared in any number of other locations.

Shared files and folders are no longer shared when there is only one link remaining after a Branch or Delete command. Once all share links have been deleted or branched, the file is no longer shared. See Branch Items for more information.


Primary and Secondary

A Primary Share is a share on the file or folder itself and will appear as shared in the file list. A Secondary Share is inherited from a folder share and does not actually appear shared in the file list. See Primary and Secondary Shares for examples.


Shared Folders

A Folder Share keeps two or more folders completely in-sync with each other so that any change to the folder or its contents (adds, deletes, check ins, renames, etc.) is automatically updated in all folders that are part of the share. This has the effect of introducing a secondary share on all the files and subfolders within the shared folder to their counterparts in the other links of the shared folder. See Folder Shares for examples.

In a shared folder, individual files and subfolders within the folder are not displayed as shared in the file list unless they were shared prior to the folder share operation. This allows the individual files to be shared elsewhere and differentiates between existing file shares and folder shares. This also allows branching file shares without affecting the folder shares they are a part of. However, any sharing or branching of individual file shares within a folder share are reflected in all links of the folder share.

A folder cannot be shared into one of its descendent folders in order to avoid circular references.


Modified Shares

If you attempt to share a file and another user has modified the file before the share has been committed, the operation still succeeds and the latest version of the file is the one shared.

Likewise, if you share a folder, but files have been added or deleted since you last refreshed, the files that make up the latest version of the folder in the repository are shared.


Name, Rename, Move Shares

A file or folder cannot be shared into a folder with a file or folder of the same name.

A file or folder can be shared into a folder with a deleted item of the same name. See Delete for details.

A shared file or folder can be renamed or moved. All the links are updated to show the new name of the file or location of the new link. A shared file has only one name – renaming it in one location renames it in all locations.


Check Out or Check In Shares

When you check out a shared file, the checkout information is displayed in all links of the share. For example, if Joe checks out $/foo.txt and Mary checks out $/bar/foo.txt, and they are shared, then both Joe and Mary are displayed in both locations as users who have the file checked out.

You must Check In a shared file from the same location it was checked out. In the example above, Joe can check in $/foo.txt, but not $/bar/foo.txt.

Likewise, you must Undo Check Out a shared file from the same location it was checked out.


Delete Shares

Deleting a shared file keeps the share information with the deleted file so that if it becomes undeleted, it will automatically be shared as it was prior to the delete. Deleting a shared file with only one other link will cause the shared file that wasn’t deleted to appear unshared although both files will become shared again after an undelete. Undeleting a shared file when all other links in the share have since been deleted or obliterated will not cause the undeleted file to appear shared.

Obliterating a deleted share will break the link to the shared file. The contents are not really deleted since it came from a share, which is not itself obliterated. However, the shared file is of course no longer available from the location where it was obliterated.


Commit Share

If Auto-Commit has been selected (default), the files will be shared in the Vault Standard repository immediately. If Auto-Commit has not selected, the files will be shared in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.


Branch Items

A Branch allows you to break a link for a shared file, creating a separate file at the location it was shared (Share Branch). It also allows you to branch any file or folder, whether it is shared or not (Copy Branch).

To activate the Branch dialog box, select a file or folder, then do one of the following:

  • Click Branch in the Source menu .

  • Click Branch on the Toolbar.

  • Right-click on the selected item to bring up the context menu, click Branch.

You can select multiple files at the same time, but only one folder at a time to branch. When a new file or folder is created by the branch it is given a new version number. However, there is not a new version number at the folder or file that is being branched.


Branches on Folders

All branches on folders are implied recursive, just as all folder operations in the file explorer are implied recursive. You cannot branch on an item that is currently deleted.

Branching a folder maintains shares between files and subfolders that are self-contained within the branch, but breaks shares to any link outside the new branch. See Branching a Folder for examples.


Share Branches

For an item that is already shared, branch breaks the share link. The location of the newly branched file or folder does not change but underneath the file or folder contents are copied to that location.

If a folder branch is applied to a primary shared folder, it is a Share Branch and implicitly recursive. If a folder branch is applied to a Secondary Share on a folder, the operation is a Copy Branch rather than a Share Branch. You can only Share Branch from a Primary Share. See Share Branch for examples.


Copy Branches

For an item that is not already shared, this command requires you to specify the location and name of the new branch. If there are multiple files selected, only one location is prompted for and all files are placed in the location selected.

The results of a Copy Branch become a full-fledged member of the source tree. The newly branched tree items come pre-filled with a history of changes from their branched ancestor.


Snapshots

A Snapshot is similar to a branch, except that it automatically pins the folder that gets created. Before version 2.0, snapshots were called labels. Version 2.0 of Vault Standard implemented Labels as tags on a folder rather than separate entries in the tree. Snapshots are equivalent to Version 1.0 labels.

  • Snapshots vary from branches in the following ways:

  • Snapshots are only available on folders

  • A snapshot folder is clear rather than buff.

  • Snapshots are automatically pinned after they are created.

  • You can hide snapshot folders from your tree unchecking the “Show snapshots in folder tree” option in Tools->Options.

  • If you do a recursive Get Latest operation above a snapshot, it will not retrieve the snapshot. Snapshots are only retrieved if you do the Get on the snapshot itself.

  • If a folder is shared, doing a snapshot on the shared folder will create a snapshot, not break the share. (If you were to branch a shared folder, it would break the share. This is not the case for a snapshot).

  • You cannot cloak a snapshot folder, because they already act as a cloaked folder would.

It is recommended that you use branches or labels to mark a version of a tree. Snapshots are simply a historical oddity.


Working with Labels

A Label tags a version of a file or complete folder structure, allowing you to go back later and retrieve the file or folder based on the label name you gave it, rather than having to remember the version number. Vault Standard’s Labels are similar to Visual SourceSafe labels. Once applied, the label remains associated with the version of the file or folder structure it was labeled at, even as new modifications are made on the original objects.

To activate the Label dialog box, select a file or folder, and then do one of the following:

  • Select a folder on the Main Window, and invoke the Label command.

  • Select an individual file or group of files on the Main Window, and invoke the Label command. In the case of multiple selected files, the client will create individual file label requests to the server.

  • Highlight a historical item from the History Explorer, and invoke the Label command.

You can label any version of a file or folder. In the case of a labeled folder, all sub-items of the folder will be stamped with an “inherited” label tag. Any file or folder can be labeled, including $/.

Labels do not increment the version numbers of the object after application. As such, they do not occur as part of a changeset, and always are applied immediately.

The label’s text must be unique regardless of case. This also includes inherited labels. Although a Label’s text must be unique per object, there can be multiple labels associated with one specific version.


Deleted Items

When an item is deleted, the label remains, even though you can’t see the labels applied to an item while it is deleted. However, deleted items that had inherited labels applied to them will be retrieved during a Get Label operation on the ancestor, and will be displayed when viewing the label.

For example, if you label $/foo, then label $/foo/bar, and then delete $/foo/bar, you will not be able to retrieve the label on $/foo/bar (because it is currently deleted, and you can’t get any information on it other than it is deleted). However, getting the label on $/foo will retrieve $/foo/bar as it existed at the time of the label.

When an item is obliterated, any labels applied directly against that item will be removed from the database. Additionally, the obliterated item will be removed from any inherited labels. A Get on a label will not retrieve obliterated items.


Pinned Items

You can label a file that is currently pinned at a previous version and it will be applied to the pinned version, not the current version


Shared Items

You can label a shared file or folder. The label will create the label for the shared object and appear in the history of all shared links.

Because shared items will have labels applied from ancestors of any of its shared links, it is a requirement that label text be unique across all labels applied to any shared item.


Viewing Labels

Select Show Labels to view labels applied to the currently selected file or folder, including inherited labels that were applied above the file or folder.

From the same dialog you can also view labels that have been applied to items below the currently selected folder (e.g., recursively search the tree from this folder downward to find labels that have been applied to sub-files and sub-folders).


Label Promotion

Label Promotion is when you modify the contents of a label. Through Label Promotion, you can change the text of the label as well as the associations of file or folder versions of a specific label.

If the label has been applied to a folder, promotion will allow you to:

  • Add files found in the current version of the source directory, which do not exist in the label’s folder.

  • Change versions of current files found in the label’s folders to previous or later versions.

  • Delete files and sub folders from the label.

Once a label has been promoted, it is no longer associated with a single version of the folder the label was applied to. As such, there are operations that can no longer be performed on the label. These include:

  • Share

  • Branch

  • Pin

Label promotion is accomplished from within the Show Labels dialog.


Copy Label

The Copy Label function allows you to create a new label based on the contents of an existing label.

Copy Label can occur anywhere within a given label path, as long as the provided label sub-path is valid within the label. For example, if a label is applied at $/Parent/child1/child2, you can copy label at child2.

Copy Label honors repository security. If a user does not have RCA rights to a path in a sub-folder of a label, the Copy Label command will not label those folder structures.

To copy a label, right click on a folder or file in the repository tree and select "Show Labels." Right-click on a label in the list of labels and select Copy Label. The Copy Label command is also under the Label menu in Show Labels window.

The Copy Labelcommand is only enabled when a single label is selected on either the Labels or Recursive Labels tab.

Once invoked, the client will display the Copy Label dialog. It will fill in the new label name with the existing label's name appended with "- Copy" in the Label's text box. If you wish, you can enter an alternate name for the label copy and enter a comment. Click "OK" to create the new label.

Note

If a label has been promoted, the newly created label copy will have the same promotion changes as the promoted label, unless a copy of the label was made in a subpath that has not been promoted.


History Explorer

As files and folders change over time, their change history is stored in the Vault Standard server. This history is accessible to users via the History Explorer.

The History Explorer offers a powerful way to see what has changed in the repository, compare versions of a folder or file, and get previous versions of your code.

You can also save pre-defined queries via History Favorites, which allow you to quickly query based on common history requests.

To use History Explorer, select a file or folder in the repository, then click Show History on the View menu, Show History on the Toolbar or right-click on the file or folder and select Show History in the context menu. The History Query Filter/Sort command will come up to allow you to create a query.


History Query Filter/Sort

The History Query Filter/Sort dialog box allows you to define the criteria for the query and determine a sort order for the results.

To open the History Query Filter/Sort dialog box:

  1. Click the View menu on the menu bar, then select Show History.

  2. Right-click on folder to bring up the Folder Context Menu, and select Show History.

  3. Right-click on file to bring up the File List Context Menu, and select Show History.

  4. Click on the Show History icon on the Toolbar.

  5. Use Ctrl+H from the keyboard.

  6. In the History Explorer results window, from the Query menu select Filter/Sort

If this dialog box is brought up while an existing query is displayed in the History Explorer, the controls are set to match that query allowing you to tweak an existing query. If you want a fresh query, a new History Explorer window must be opened.

The following criteria are available on separate tabs:


Favorites

Favorites Menu

The Favorites menu in the History Query Filter/Sort dialog has two menu Items:

  1. Save as . . . allows you to save the currently selected criteria in this dialog as a new History Favorite. Selecting Save will ask you to name the query, and it will be stored with the other History Favorites.

  2. View brings up the Edit History Favorites dialog, which allows you to manage history favorites.


General

Show History for

The Show History for box shows the current History Top Object. This can be changed by clicking the Change Top Object to bring up the Show History for dialog box.

Search Type

This determines the type of items displayed for folder history searches. There are two options for folder history:

  1. View folder history by item – Shows individual item history in the History Explorer window. This shows the history of each item within a folder as a separate entry.

  2. View folder history by version – Shows changesets that resulted in a version change to the folder. This will list each transaction and the resulting version number of the folder in the Folder Versions window. When this type is chosen, the Dates & Labels, Users, Comments and Sort tabs are the only criteria available to query by. All other criteria are disabled.

    The default is View folder history by item.

NOTE: The radio buttons are disabled on file history.

Recursive Search

Check the Recursive checkbox to search on all of a folder’s descendents in the same query. If this is not checked, the search will be on the Top folder and any files that are direct children of that folder.

The default is Checked.

Only show this dialog when the shift key is down.

When Only show this dialog when the shift key is down is checked, the History Query Filter/Sort dialog box will not display when the Show History has been selected. The History command will automatically do a recursive search on the History Top for the selected item.


Dates & Labels

The Dates & Labels tab allows you to limit the query by dates or by the dates of labels that have been applied to file or folder. It includes the following selections. Click the radio button for the appropriate search. Note: you can only choose dates or labels, not both.

Dates

  • Do not filter by date

  • On or after – Include changes which occur on or after a given date – Type a date or select one from the calendar.

  • On or before – Include changes which occur on or before a given date – Type a date or select one from the calendar.

  • Include range (of dates) – Include changes which occur between a range of dates – The dates are inclusive. Type the dates or select them from the calendar.

  • Include past X days – Include changes which occur a number of days prior to the current date – Type the number of days or select by clicking the up or down arrow.

Labels

  • Do not filter by label.

  • On or after label. Include changes which occur after the label was applied. Either type a label, or select one using the Browse button.

  • On or before label. Include changes which occur before the label was applied. Either type a label, or select one using the Browse button.

  • Include Range (of labels). Include changes that occur between the From Label and To Label. Either type the label names, or select labels by using the Browse button.

The default is Do not filter by date or label.


Users

The Users tab includes the following selections. Check the appropriate filter for the search.

  • Do not filter by user

  • Include only selected users – When this box has been checked, the query includes only those changes made by specific users. Select a user from the list of all available users. Multiple users can be selected by holding the CTRL or SHIFT key down as you select.

The default is Do not filter by user.


Filenames

The Filenames tab includes the following selections. Check the appropriate filter for the search. Valid wild card characters are * and ? . To search for any string of zero or more characters use *. To search for any single character use ?.

  • Do not filter by filename

  • Include by file extension – Include only files with the specified file extension. File types can be separated by spaces, commas or semicolons. If a period is not entered before the string, it will be added. You can use the wildcard character ‘*’, but it only applies to the file extension, and not to any other part of the file (so, for example, *.txt will not retrieve any .txt files, but both .t*t and t*t will).

  • Include by name substring – Include only files whose names match the input substring. The ‘*’ wildcard character can be used in the substring You cannot enter multiple substrings to query against.

The default is Do not filter by filename.


Actions

The Actions tab allows you to include only specific actions in the query. Check the appropriate filter for the search from the following list. Multiple actions can be chosen. Click Uncheck All to deselect all actions.

  • Check in

  • Add

  • Delete

  • Undelete

  • Obliterate

  • Pin/Unpin

  • Label (non-recursive)

  • Rollback

  • Rename

  • Move

  • Share

  • Branch

  • Property Change

  • Snapshot

The default has all of the actions Checked.


Comments

The Comments tab includes the following selections. Check the appropriate filter for the search.

  • Do not filter by comments

  • Include any comments – This includes only entries that have check in comments. Entries with no comments are not retrieved.

  • Include by search string – This includes only entries that match the substring entered. You cannot enter multiple substrings to query against.

The default is Do not filter by comments.


Sort

The Sort tab allows you to specify the order in which the results of the query will be sorted. The sort columns are Name, User, Date, Version, Action and Comment. Select the appropriate columns and ascending or descending sort.

The default selection is Date with a descending sort.


Misc

OK

Click OK to filter the items and close the History Query Filter/Sort dialog box. the History Explorer will come up with results of the selected query.

Cancel

Click Cancel to close the History Query Filter/Sort dialog box. The filter criteria will not change.

Help

Click Help to open context-sensitve Help for History.


History Results Menus

The following menus and menu items appear in the History Explorer query results dialog.


Query

Top

The Top command allows you to specify which portion of the repository is to be included in the query by opening the Show History For dialog box. If the Top of the query is specified to be a file, then that file is the only object of interest. More commonly, the Top of the query is specified to be a folder, in which case the query includes all changes to that folder and all of its contents, recursively.

Filter/Sort

The Filter/Sort command allows you to specify criteria which define a subset of changes which are of interest for the query and to sort those results by opening the History Query Filter/Sort dialog box.

Add to Favories

The Add to Favories command allows you to save the parameters of the History query. Type a name for the query and click Save. Click Cancel to close the History Favorite dialog without saving the name.

Save Results As

The Save Results As command allows you to export the results of the query for other uses by opening the Save History Results dialog box. This command will retrieve and export all of the results, not just the ones currently being viewed by the paging code. The results can be saved as a .csv, .txt or .html file.

Note: Only Vault Standard history will be saved. If the item was imported from Visual SourceSafe, its VSS history will not be saved.

Close

The History Close command closes the History Explorer window.


View

Refresh

The Refresh command allows you to re-query the server with the same filter/sort criteria, showing you changes in history made since the history window was first invoked.

Act Recursively

The Act Recursively command is a toggle that shows whether the current query is a recursive query, and allows you to change the value, and re-query with the value toggled from how it is currently set.


Action

Diff

The History Diff command allows you to compare a version with a previous version, current version or the working folder version. If two versions have been selected, the command retrieves both versions and compares them against each other using the default Diff Program. If only one version is selected, the History Diff dialog will be displayed to allow you to choose from several diff options, including a label applied to the folder/file, any local file or any repository folder/file.

View

If a file is selected, the History View command allows you to retrieve the selected version and display its contents by launching the appropriate editor.

View is not supported for an entire folder.

Get

The History Get command gets the version that corresponds to the current selection. For example, if the current selection is a file check in, it retrieves the version associated with that check in. If the current selection is a folder, it retrieves the files (and their versions) that existed at the time of that folder version. Files are retrieved to their working folders by default. To retrieve files to a non-working folder, type in the folder path or browse to the folder.

Details

The Details command allows you to see the details for the entire change set, including the other files included in that file version’s check in. The Version Details dialog box also displays any change set comments or item comments for files within the change set.

Pin

The Pin command allows you to pin the selected item.

Unpin

The Unpin command allows you to unpin the selected item.

Share

History Share works similarly to the regular Share command except that it works on a historical version of a file or folder instead of sharing the most recent version.

In the case of a file, it will share the file to a new location, and then pin it to the version you have selected in the list. For folders, it will share the folder to a new location and pin the folder to the version that was selected.

A History Share will always pin the file or folder being shared even if it is the most recent version. If the file or folder being shared is already shared, it will merely add the new file or folder as another link in the shared file.

Branch

The Branch command allows you to branch on the selected file or folder at the version that is selected. You cannot branch a deleted file or folder.

Note

A branch on a previous version of an item is always a Copy Branch. A branch on the current version follows the normal rules of branch. See Branch Items for more information.

Label

The Label command allows you to label the selected file or folder at the version that is selected. You cannot label a deleted file or folder.

Rollback (File)

The History Rollback command is a non-destructive way to make a previous version the current version. It checks out the file at the version selected and checks in that file as the latest version. A rollback does not break a share.

Rollback is not available when the file is pinned.

Check Out

The History Check Out command is used to check out a file while simultaneously retrieving the selected version. This only allows a single checkout at a time.


History Diff

The History Diff dialog box allows you to compare a file or folder with a previous version or the working folder version. This dialog is only displayed when a single file or folder is selected in the History Explorer.

The History Diff dialog box can be opened:

  • In the History Explorer window, select Action menu, then Diff

  • Right-click on a file in the History Explorer window and select Diff

Select one of the following options. The default is Diff against working folder version. See History/Labels Options to change the default.

Diff against previous version in repository

Check the Diff against previous version checkbox to diff against the compare version previous to the one selected. This allows you to see the changes that were introduced in this version of the file

Diff against current version in repository now

Check the Diff against current version in repository now checkbox to compare the version of the file or folder selected against the most recent version checked into the repository.

Diff against working folder version

Check the Diff against working folder checkbox to compare the version of the file or folder selected against the file in the working folder.

If a working folder is not set for the selected file or folder, the Set Working Folder menu dialog box will open first. Select the working folder and click OK to continue with the Diff command.

A Label applied to this folder/file

Check the label applied to this folder/file to compare the version of the file or folder selected to a version of the same file or folder that is part of a label that was previously applied. The Browse button will display the list of available labels that can be compared to the selected file or folder version.

Any local folder/file

Check any local folder/file to compare the version of the file or folder selected to a file or folder on the local disk. The browse button will display a local file/folder chooser that allows you to choose which file or folder to compare against the selected file or folder version.

Any repository folder/file

Check any repository folder/file to compare the file or folder selected to the current version of any file or folder in the repository. The Browse button will display the current repository tree and allow you to select a repository file or folder to compare against the selected file or folder version.

Only show this dialog when the shift key is down

If you select this option, the dialog will be disabled and will not appear unless the shift-key is being held down. The default selections will apply to any item selected. See History/Labels Options to change the default selections.

OK

Click OK to bring up the default Diff Program.

Cancel

Click Cancel to close the History Diff dialog box.


Get from History

When the Get command is clicked in History Explorer, the Get Latest Version dialog box will open on the selected version of a file or folder. For example, if the current selection is a file checkin, it gets the version associated with that check in. If the current selection is a folder, it will retrieve the files (and their versions) that existed at the time of the selected folder version. The file status will be Old.

If you choose to get previous versions into the current working folder, it will overwrite what is there. If a file to be overwritten has been modified by you since the last time it was retrieved from the repository, it will be backed up in the _sgbak folder within the working folder.

For more information, please see History Explorer.


Help

Contents

The Contents command will bring up the Help files opened to the History Explorer.

About Vault Standard

The About Vault Standard command will show you the version number and copyright dates.


Folder Versions

The Folder Versions dialog box shows all versions of the TOP folder in a list. Each version of a folder corresponds to a changeset that changed some part of the folder or its descendants. This dialog box lists the versions and allows you to view the changeset that caused the folder to increment its version number. For more information, please see History Explorer.

To open the dialog box, select a file or folder, then:

  • From the Query menu in the History Explorer, select View Folder Tree by version.

Folder Tree Versions for:

The path of the selected folder is displayed at top. The list shows all the versions for the selected item. The columns include:

  • Version

  • Date

  • User

  • Comment

Select a version to make the controls on the dialog box available. You can also double-click an item in the list to get the details for that transaction.

Close

Click Close to close the Tree Version dialog box.

Details

Click Details to view the Version Details.

Diff

Click Diff to bring up the default Diff Program on two selected versions or to show the diff between that version and its previous version if only one version is selected.

Share

Click Share to bring up the Share dialog box for the selected version of the tree. This will share the folder, then pin the new share link it to the version selected.

Branch

Click Branch to open the Copy Branch dialog box and branch the selected version.

Label

Click Label to open the Label dialog box and label the selected version.

Pin/Unpin

Click Pin to pin the selected version. If the selected version is already pinned, the button will say Unpin. Click Unpin to unpin the selected version.

Working Folder Rollback

Working Folder Rollback compares the contents of the current version of the selected folder to the selected historical version of that folder, and creates a group of changeset items. If those changeset items are committed, the resulting version of the folder will appear to be identical to the selected historical version of that folder.

Click Working Folder Rollback to initiate the rollback to an earlier folder version.

The Working Folder Rollback dialog displays the following information:

Selected Folder
Current version
Target version
Comment
Status
Required Changes

Click OK to accept the changes listed in the dialog. Click Cancel to close the Working Folder Rollback dialog without making changes.

The candidate changes for rollback will be added to the Pending Change Set. Changes will not be automatically commited. If a user has chosen to auto-commit actions in their Vault GUI Client, that setting will be ignored in the case of Working Folder Rollback. To complete the Working Folder Rollback, select all items in the Pending Changset and click Commit.

A folder rollback may involve any number of transaction types: files could be rolled back to earlier versions, renamed back to an old name, added, shared, deleted, undeleted, pinned, etc. The difference between Folder Rollback and and the existing File Rollback is that Working Folder Rollback encompasses multiple types of transactions and multiple items. The end result is that the selected folder should look like it did at the time of the selected historical version.

Note

Working Folder Rollback attempts to contain the rollback to the specific folder selected, rather than to roll back every item in the transaction. A complete rollback could cause unintended changes to a different folder. For instance, the folder version might include items that have been moved, shared or branched into an unrelated, outside folder. Working Folder Rollback attempts to minimize changes to outside folders.

Working Folder Rollback is recursive. Subfolders and files within subfolders of the folder selected for Working Folder Rollback will be rolled back.

Because Pins fix a file or folder at a particular version, pins must be removed for a Working Folder Rollback. The user will be prompted to unpin any pinned items in the source or target. sgsupportSince pins can be nested, there may be multiple unpin steps before the rollback can be completed.

To avoid namespace and version conflicts, there can be no existing pending changes to the selected folder when initiating a Working Folder Rollback. The user will be prompted to undo those changes or to cancel out of Working Folder Rollback.

View Tree

Click View Tree to view the tree at the time of the selected version. This brings up a window with a tree view and file list containing the entire folder tree for that selected version. This allows you to get selected files or folders from within that tree.

Get Tree

Click Get Tree to open the Get Latest Version dialog box. Click OK to download the entire tree associated with the version.


Version List

The Version List displays all changes to the database that match the current query. It displays changes to the repository at the location they happened – it does not list folder versions that cascade up as a result of a change.

Only one entry exists per change, except for shared items. For example, adding a file to the repository lists the file as the change item and does not list all the incremented folder versions up to the root node that happens as a result of the change. If a query includes multiple links in a shared file or folder, all links in the share will report the same action separately.

Recursive operations list history for every item affected. For example, recursively adding an entire folder of files as part of one check in will display every file that was added as a separate entry in this list (unless filtered out by one of the filter criteria).

Double-clicking an item in the list brings up the details of the change.

See the menu items section for information on the menu items available from this dialog.

This list contains the following columns:

  • Name – The item the operation occurs on.

  • User – The user who made the change.

  • Date – The date and time the change was added to the repository.

  • Version – The version number of the file or folder that resulted from the change, if applicable.

  • Action – The action used that created the change to the repository.

  • Comment – The user comment.

The following table lists how actions affect what is displayed in the list.

Action | Parent Folder Action | Item History Action
Add Folder Add File Create Folder | Added [item name] | Created
File Check In | (no entry) | Checked In
Delete File Delete Folder | Deleted [item name] | (no entry)
Undelete File Undelete Folder | Undeleted [item name] | (no entry)
Obliterate File Obliterate Folder | “Obliterated [item name]” | (no entry)
Pin File Pin Folder | Pinned [item name] at version [number] | (no entry)
Move | (To Parent Folder): “Moved [item] from [from folder]” (From Parent Folder): “Moved [item] to [to folder]”. | (no entry)
Renamed File Renamed Folder | Renamed [old item name] to [new item name | Renamed from [old item name] to [new item name]
Share File Share Folder | (Destination folder only): Shared [repos path of shared item] as [new link item] | New item lists all history from other share links.
Share Branch File Share Branch Folder | Branched [item name] from share | Branched from share
Copy Branch File Copy Branch Folder | Branched [item name] from [trunk item path] | Branched from [trunk item path]
Property Change | (no entry) | [Property name] changed to [new property value]
File Label | (no entry) | (no entry)
Folder Label | (Destination Parent)) Labeled [from item path] as [to item name) (Source Parent): (no entry) | (Destination Folder) Labeled from [from item path] (Source Folder) (no entry) (Every new file/folder created within the destination folder) Labeled from [item path]

For more information, please see History Explorer.


Edit History Favorites

The Edit History Favorites dialog allows you to change and create history favorites. It lists all of your defined history favorites in alphabetical order. Clicking on a history favorite in the list will display a brief description of the query for the selected favorite beneath the favorites list.


Adding a History Favorite

To add a new History Favorite, click the New button. This will display the History Query Filter/Sort dialog. Choose the history filter options you want for your history favorite then click the Save button. Provide a name for your favorite then click OK.


Renaming a History Favorite

Click the Rename button and enter a new name in the dialog.


Editing a History Favorite Query

Select a history favorite from the list and choose Edit to edit the query associated with the favorite. This will display the History Query Filter/Sort dialog with the currently filtered items selected. Make your changes to the filter options and then click the Save button.


Deleting a History Favorite

To delete a History Favorite, select one or more items from the History Favorites list then click the delete button.


Run Query

To see the query results for a History Favorite, select an item from the History Favorite menu then click the Run Query button. The query results will be displayed in a new History Explorer window.


VSS History

If the history query was performed on a file which was imported from VSS, a Show VSS History button will appear. Clicking that button will query the original VSS database to return the history of the file.

Note

VSS History is not available on folders. VSS History is not available on folders. Vault does not support querying VSS folder history or getting VSS folders by date or label.

In the VSS history list, the following options will be available in the context menu.

Diff against version

Use this option to diff the selected VSS version against the version selected in the Vault Standard history list.

Diff against...

This option will bring up the Diff dialog.

View

This option will bring up the View dialog to view that VSS version .


History Favorites

History Favorites allow you to define history criteria so that common searches can be easily run without re-defining the query.

A History Favorite query can be run from the View->History Favorites->(favorite name) menu item from the main window menu, or from the History Favorites->(favorite name) menu item in the Vault Standard Folder and File History context menus. A History Favorite query can also be run from the Edit History Favorites dialog.


Merge

Merge allows you to handle cases where you have modified a file locally on your client and someone else then checks in another version on the server underneath you. In this situation, the changes applied on the server must be merged into the local version before a checkin can take place, otherwise the server changes would be overwritten when you check in your file.

This command has two different, but similar, functions:

  1. Resolve conflicts between the two files

  2. Examine how Vault Standard automatically resolves the conflicts.

The first case will arise when the you specify Merge Later on the Get Latest Version dialog box, or when an attempt at an automatic merge has failed. When either of these situations happens, select Show Merge to specify how the conflicts should be resolved.

The second will arise when you specify Attempt Automatic Merge on the Get Latest Version dialog box and the automatic merge succeeds. In this case, select Show Merge to examine precisely what was done by the automatic merge.

To activate the Merge window, select Show Merge in the Source menu or from the context menu.

Background

A merge involves four files:

  1. Baseline File – The original version of the file before edits.

  2. Local File – The local working copy.

  3. Repository File – The new version of the file in the repository made by a different user.

  4. Merged File – The file created by merging both the local and the new repository file together, to be checked back into the repository.

A successful merge will replace the local working copy with the merged file. This is true for automated merges that have produced no conflicts as well

If the repository (server) copy is revised again after a local merge has been completed, then the baseline file changes to the version of the file that was merged against locally. This essentially becomes a new merge at that point, and if an automatic merge reveals a conflict based on the new baseline, you must manually resolve them again. If there is no conflict, the results of the automated merge will replace the local working copy.

You have the ability to view a merge that has occurred on the current baseline only. If you do not like how the file was merged, click Undo on the Merge window to revert back to a local file’s pre-merge state.


Merge Window

Selecting Show Merge brings up the merge tool you have specified in the Options. By default, this is SourceGear’s DiffMerge. Documentation for SourceGear DiffMerge is available from within the tool itself. Documentation for other tools is available from the vendor who provides the tool.


Merge Branches

The Merge Branches command allows you to merge changes from any folder in Vault Standard to any another folder within the same repository. Usually, these are folders that have been branched from each other and modifications have been continuing in one or both of them. At some point, you may want to resolve all differences between the branches, or move all the changes from one folder to another.

The folder from which changes are to be migrated is called the origin folder, and the folder which changes are to be applied to is called the target folder. The Merge Branches Wizard will merge file modifications, file and folder adds, renames, moves, and shares.

You can choose to create a Merge Marker upon completion of the Merge Branches Wizard. The next time the Merge Branches Wizard is run, you can see what changesets have already been merged.

Note

Vault does not look at the contents of folders in a folder merge; it looks at transaction history. The Merge Branches merges changesets or transactions. When you merge branches, you select a range of changesets to merge into the target folder.

To begin the merge, go to the Tools menu and click Merge Branches. A wizard will come up to lead you through the steps. The screens in the Merge Branches wizard are:

Welcome Screen

The Welcome Screen of the wizard explains the steps in the Merge Branches process. There are two check-boxes at the lower left of the Welcome Screen.

If you click the Auto Advance No-Op Steps checkbox, the wizard will automatically skip steps where no action is required. For example, if you did not rename any files or folders, the wizard will skip the step for renames.

If you want to skip the Welcome Screen the next time you start the Merge Branches Wizard, click the checkbox for Skip this step except when shift key is down. This setting will take effect after a completed merge. The Welcome screen can be re-enabled by holding down the SHIFT key while launching the Merge Branches Wizard.

Specify Origin Folder.

Select the origin folder, the folder which contains changes to be merged into a target folder. If you hold down CTRL and double-click the folder, the Wizard will advance to the next step.

Specify Target Folder.

Select the target folder, which will be modified by changes from the Origin Folder. If you hold down CTRL and double-click the folder, the Wizard will advance to the next step

Select Changes To Be Merged

This screen presents a list of all revisions of the Origin Folder. You can filter the list by choosing one of the Version Retrieval Options. Double-click a row to see the details of what was changed in that transaction. Select the changesets you would like to apply to the target folder. Select one or more changesets in the list, and the differences in those versions in the origin folder will be applied to the target folder. Note that non-contiguous changes are allowed only if the paths are not part of any omitted changeset. For example, if you added a file in Changeset 5 and modified it in Changeset 6, you cannot merge the modification without the creation of the file, so you must choose to merge both changesets 5 and 6.

Select the versions by using CTRL and the left mouse button to select versions to be merged.

The earliest version you choose essentially becomes the baseline version between the origin and target folders. If the target file is different from the baseline version you’ve chosen, then a file merge takes place between the source and target files to resolve the differences, so that both sets of differences will be reflected in the merged target version.

Version Retrieval Options

  • Since your last merge marker -- Retrieve history since the last merge marker (if any) for the currently logged on Vault user.

  • Include past X day(s) -- Retrieve history for the specified number of days.

  • All Historical Versions -- Retrieve all history of the Origin Folder.

  • Retrieve Versions -- Click the Retrieve Versions button to list the versions specified in the Version Retrieval Options. The Retrieve Versions Command can also be used to refresh the change set list.

  • Retrieve Labels for History Items -- If checked, the history query will retrieve folder label names for the returned version history. The Labels column will display the 20 most recent labels found for that particular folder version. Labels which were directly applied or inherited will be listed, but not recursive labels. No label data will be retrieved if the box is unchecked.

Merge Markers

  • Show Merge Markers for all users -- A merge marker is a visual cue of what versions were previously merged. Merge Markers "bookend" the range of history versions in that Merge Branches operation. The Merge Marker is a begin and end pair, similar to a bracket. Merge Markers are named to to indicate the user who created the Merge Marker and the date.

    By default, Merge Markers for the logged in user will be shown. To show merge markers from all users, click the Show Merge Markers for all users checkbox.

  • Create a New Merge Marker upon Finish. -- You can choose to create a Merge Marker upon finish of the Merge Branches Wizard. The next time the Merge Branches Wizard is run, you can see what changesets have already been merged. A Merge Marker is tied uniquely to both the source and destination folders' object IDs, and also contains information such as a self-generated name, user who created the marker, date it was created as well as an array of the changeset transactions participating in the merged branch.

Retrieve and Analyze Selected Changes

This step will retrieve the historical data for selected changeset data from the server, and analyze the results.

Click step by step through the wizard, which will show items to be merged.

  1. Items which cannot proceed are shown with a red background. For example, if a file was modified in the branch but has been deleted in the trunk, the merge could not proceed. Double-click on an item with a red background for more information.

  2. Items which appear to have no issues are shown with a white background and they are checked by default.

  3. Items which can proceed but may be undesirable are shown with a yellow background.

  4. Items which do not need to proceed are shown red. When you click on an item, the line becomes blue and suggests an alternative. These are cases where the trunk is in exactly the state it would be in if the merge were to occur anyway. For example, if a file has been renamed in the branch and has been renamed the same way in the trunk, then nothing needs to be done.

Moves And Shares

The Moves and Shares page lists all the move and share operations to be performed as part of the merge. Only moves and shares taking place wholly within the Origin folder and its subfolders will be listed here. Moves and Shares from outside the Origin Folder will be treated as Adds.

Choose the items that are to be included in the merge by selecting the checkbox next to each item. Note: If Auto-commit is enabled in the Vault Standard, the move operations will be performed and committed to the repository immediately, as the wizard proceeds.

Renames

The Rename page lists all the rename operations in the same manner as the Move/Share list. Choose the items that are to be included in the merge by selecting the checkbox next to each item. The rename operations will be performed and committed to the repository immediately, as the wizard proceeds.

Note

If a file was renamed in the branch and has also been renamed in the trunk (to something else), then this operation will not be checked and will have a red background. Double-Click on the item to bring up the Choose Alternate File dialog. This will allow you to locate the file which was renamed in the trunk and apply the rename from the branch to the trunk.

Scan Target Folder

The Wizard checks for edited files in the working folder of the Target Folder so that these are not overwritten during the merge. If edited files exist, a warning message is displayed.

Retrieve Files from Server

In order to do the merge branches operation, files are retrieved from the server, so Vault Standard can compute the differences between the versions. The Retrieve Files from Server page shows you the status of the file downloads as they are being downloaded from the server.

Adds, Deletes, Edits

The Adds, Deletes, Edits page lists all adds, deletes and edits in the same manner as the Move list. Choose the items that are to be included in the merge by selecting the checkbox next to each item. These operations will be added to the Pending Change Set for your review and can be committed once you’ve reviewed the changes. Any files in a Needs Merge status after the Merge Branches will need to have their conflicts resolved before the changes can be committed. Items shown in red indicated errors. Double-click those items for more information.

Settings

This screen allows you to enter the following settings:

  • Attempt Automatic Merge on Individual Files. If checked, Merge Branches will attempt to automatically resolve conflicts in files that have been changed in both the origin and the target folders. If unchecked, any file that needs merged will be added to the Pending Change Set with “Needs Merge” status, and you will need to manually resolve each merge.

  • Review the changeset comments generated by Merge Branches. By default, the Merge Branches Wizard creates a comment that begins with "Merge Branches: Origin=" and the path of the Origin folder, plus the list of versions which will be merged. The Vault Admin can create comment templates in the Vault Admin Web Client under Server Settings -> Merge Branches Comments. You can modify the comments created by the template or add to the content of the changeset comments for the changes that result from the Merge Branches operation.

Modify Files

The Modify Files page shows you the progress of the merge and when it is completed.

Summary

The Summary page will show you all the operations that were performed and the ones which remain pending. The merge operation is not complete until these changes are committed to the repository.

Finished

Close the dialog to finish the Merge Branches Wizard. Finally, complete the merge by committing the changes from the Vault Standard GUI Client Pending Change Set.


Additional Merge Branches Details

The Merge Branches Wizard supports the following operations:

  • File modifications

  • File and folder Renames, Moves, Adds and Deletions

  • File and folder Shares. Shares created within the origin are created in the target folder, but are not shared between the origin and the target.

    Shares going into or out of the origin from folders outside the origin folder are not shared in the target. Files and folders in the origin that are shared outside the origin will be ignored in the target, but a warning message will be put in the summary page indicating this. Files and folders shared into the origin will be treated as adds.

  • File and folder Share Branch

  • File and folder Copy Branch and Folder Snapshot. These are treated as adds in the target, and not as branches or Snapshots.

The following operations are completely ignored when merging a folder. The changes in the origin will not be applied in the target, and they will not show up in the wizard list:

  • Cloak

  • File Property Change

  • Pin Status

  • File and Folder Label

  • Folder security changes

  • File/folder undelete. Since branches don’t create deleted items in the branch, you can’t undelete a file or folder in the branch that existed in the trunk. You can delete and then undelete a file in the branch, but this won’t have any effect in the trunk unless the file was modified in some other way.

The Move and Rename operations are automatically committed to the repository as the wizard progresses. The other changes are not committed but are put in the Pending Change Set for your review.


Binary Files

Merge operations cannot be done on binary files. However, a binary file can have a status of Needs Merged if it was modified locally and then checked out after another user checked in a change to the file. You can overwrite the version in the repository and change the status to Edited by selecting Merge. A warning dialog will appear.

Click Yes and the status of the file becomes Edited and the working file is not touched.

Click on No to cancel the operation. The file will retain the Needs Merged status.


Folder Changes Archive

Folder Changes Archive allows you to retrieve files and folders which have changed between two dates or between two labels.

When you create an archive, the Vault Standard Server does a diff between two versions of a folder, two labels on the same folder or a folder version and label applied to that folder. Next, the server creates a compressed .zip file containing added and modified files of the diffed results. All files found in the compressed .zip file are placed in path folders relative to the "root" of where Folder Changes Archive was invoked. Once the .zip file has been prepared by the Vault Standard Server, the Vault Standard Client will download the file to a specified location on disk. You must have at least Read access to create an archive. The archive will contain any adds, deletes, renames, and modifications.

To create a Folder Changes Archive, click on a folder in the repository tree, then go to the Tools menu and select Create Folder Changes Archive. In the Folder Changes Archive dialog, select Archive options:

Repository Path

This is the path you selected in the Repository tree. Click the Recursive checkbox to get file changes from that folder and its subfolders.

Set file time

Set file time allows you to select the timestamp to be assigned to the files and folders stored within the archive. Select one of the following options:

  • Current – The client's current time will be placed on the timestamp of the files and folders within the archive file.

  • Modification – The file and folder timestamps will be set to the last modified time before it was checked in. This timestamp is dependent on the clock of the client machine where it was checked in.

  • Check In – The file and folder timestamps will be set to the server's time the when the changeset was commited on the server.

Save As

Provide the path and name for the archive file. By default, this path points to your Downloads directory. The default name of the file is vaultarchive.zip. Or, click the Browse button to browse to a different path on disk.

Begin

Select a Begin Date or Label for the changes you wish to get. You can use the calendar to select the date. The time control can be used to set a specific time.

End

Select an End Date and time or Label for the changes you wish to get.

Include summary report of changes

Check the checkbox for a text-based summary report of the changes retrieved.

Include only these files

Filter the archive results by including only certain file names or extensions.

Exclude files

Check the Exclude Files checkbox to filter the archive results by excluding certain file names or extensions.

You can specify a beginning date, ending date, or both. If a beginning is specified, but not an ending, the Folder Changes will start at that date/label. If an ending is specified, but not a beginning the Folder Changes will end at that date/label. If both are specified, Folder Changes will start at the specified date/label, and end at the specified date/label.

Click OK to create the Folder Changes Archive, or click Cancel to cancel the operation.


Shelve

Shelve is a feature which allows you to upload a set of changes in your working folder to the Vault Standard server without committing them. In order to commit these shelved changes (called a shelveset), you must first unshelve them to a working folder. After unshelving the changes, you may commit them just as you would a normal changeset. Some cases where shelve is useful are:

  1. Archiving changes. If you are interrupted while working on a task, shelve allows you to set aside your changes and come back to them at a later time.

  2. Sharing changes before checkin (code review). All shelvesets are visible to all users with access to that repository. By informing your reviewers of the name of your shelveset, they can unshelve it to their working folder, or view the shelveset in the web client.

  3. Accepting Patches (untrusted code review). If there are users with Read Only folder security settings for the repository, they may still shelve changes and view other user's shelvesets. Using this, an untrusted developer could shelve a set of changes, which must be reviewed and checked in by a trusted developer.

    Note

    In order to shelve changes, the Read Only user must disable the Require Check out before Check in option. When that option is enabled, only checked out files appear in the pending changeset. Read Only users are not allowed to check out files.


What kinds of changes can be shelved?

All pending change types can be shelved. Special care should be used when shelving files resulting from a Rollback, as versions may have been added since the Rollback was shelved. On committing an unshelved Rollback, the contents of those versions would be rolled back as well.


Finding the Shelve Functions

You will find Shelve functions in the following places:

  1. The Pending Changes Control. This control is found in the Visual Studio Enhanced Client, the Eclipse client and the standalone GUI client (in the Pending Changes tab). You can bring up the Shelve Changes dialog by selecting a set of changes and selecting Shelve… from the context menu. There are two shelve related buttons.

    1. Shelve All This button will bring up the Shelve Changes dialog with all currently pending changes.

    2. Unshelve This button will bring up the Find Shelveset dialog.

  2. View Shelved Changes. This menu item is available in the View menu of the standalone GUI client. This menu item will bring up the Find Shelveset dialog.

  3. Source Control Web Client. Each repository will have a page for Shelved changes. Here you may view the shelves, their details and diff their file changes.


How Do I Unshelve Changes?

Once you’ve used the Unshelve button in the Shelveset Details dialog, the unshelve process will begin. You will be asked to make decisions when complications arise in the unshelve process. Any of these complications will negate the “Automatically delete shelveset after I unshelve it” setting. Some complications are:

  1. There is no working folder set for the destination of one of the items in a shelveset. You will be prompted to set a working folder, or to unshelve to non-working folder. No baseline information will be set in the non-working folder case, so you will not be able to check in that change.

  2. A newer version of a file has been checked in since the change was shelved and the working folder file has not been edited. The file will be unshelved, and the status of the file will be Needs Merge.

  3. There is an edited file in the working folder at the location. You will be prompted with the same prompt dialog used in the get latest process. You may Diff the files, Do Nothing, or Overwrite the files. The options when diffing the file are:

    • Diff the shelved file against shelved file's baseline

    • Diff the shelved file against the file in the working folder

    • Diff the file in the working folder against the last version retrieved from the server

    Automerge is not an option, since there are four files which would need to be merged. We're sorry for the inconvenience, but hopefully you have all of the diff options available that will let you easily merge the contents manually.

  4. The file no longer has the same name as it did when it was shelved. In this case, the unshelve process will unshelve the change into a file with the new name.

  5. The file is no longer in the same location that it was when it was shelved. If its new location can be determined, then it will be unshelved to the new location. If the new location cannot be determined, you will be prompted for a location to put the file as a non-working folder unshelve. You will not be able to directly check in the file from the non-working folder.

  6. The file was deleted from the location where it was shelved. If the file is now deleted, you will be prompted for a location to put the file as a non-working folder unshelve. You will not be able to directly check in the file from the non-working folder.

  7. If a Check-Out operation fails for any of the unshelved files, the shelveset will not be automatically deleted.

Other notes about unshelve:

  • If there is not a working folder for the target directory of an Add File and Add Folder operation, it will be unshelved into a temporary directory, and not into the working folder. If a file or folder with the name already exists in the working folder, it will be renamed, and the unshelved file or folder will be put in its place.

  • If you have the "Require Check-Out before Check-In" (VSS Mode) option specified, then you will be presented with a list of files that will need to be checked out and the opportunity to provide a checkout comment. If any of those checkouts fails, the shelveset will not be automatically deleted. You will be prompted to continue the unshelving operation or cancel the operation for each Check Out failure.

  • When unshelving file modifications, you can choose Modification or Current for the timestamp applied to the unshelved file(s).

    • Modification- The Modification timestamp is the last file modification date before the file was shelved.

    • Current- The Current timestamp is the time the file was unshelved.

After the unshelve process is complete, a summary dialog will be displayed to list which files were successfully unshelved, which had errors, and whether the shelveset was automatically deleted.


Chapter 4. Vault Standard Options

Table of Contents

General Options
Act on Folders Recursively
Always Request Exclusive Locks
Double-Click on File
Automatic Refresh
Show Snapshot in the folder tree
Show non-version-controlled files ghosted in file list
Show non-version-controlled folders ghosted in folder list
Check for Latest Vault version at startup
Use check boxes to select items
Minimize to System Tray
Make Vault Standard your default SCC provider
Always display command dialog on Get Latest Version (available from Visual Studio only)
Always disconnect from server on Add/Open To/From Source Control (available from Visual Studio only)
Check In Options
Always Keep Files Checked Out
Remove Local Copy after Check In
Auto-Commit after each Operation
Require Check out before Check In
Check In Unchanged Files
Shelve Options
Undo changes in working folder after Shelve
Automatically delete shelveset after successful Unshelve
Local Files Options
Modified Working Copy
Prompt before overwriting locally modified files
Save files in backup folders before overwriting
Perform File Deletes in Working Folders
Perform Repository Deletions Locally
Make Writable
Set File Time
On Undo Checkout
Override Native EOL Type
Detect Modified Files Using CRCs Intead of Modification Times
Only use CRC checks for files smaller than [size]
Cache/Backup Locations
Store Client Cache Folder
Store Working Folder State/Baseline Files
Limit number of baseline files
Open Cache Folder
Reset Repository Cache
Save files in backup folders before overwriting
Store Backup Files
Limit number of backup files
Diff/Merge Options
Default item to diff against
Diff Program
Diff Arguments
Merge Program
Merge Arguments
History/Labels Options
History Diff when single version selected
Label Diff when single version selected
Limit Queries to
Fetch rows in chunks of
Act on queries recursively
Notification Options
External Programs Options
Editor
Viewer
Custom External Applications
Custom External Applications Dialog
View/Edit
Diff
Merge
Diff/Merge Arguments
Command Dialogs Options
File List Columns
Warnings Options
Concurrent Development Style
Network Settings
Use chunked encoding
em: 100-Continue Headers
Request database delta
Proxy
Use system default proxy
Use a manually configured proxy
Do not use a proxy
Reset proxy user


General Options


Act on Folders Recursively

This option allows you to specify whether commands should operate recursively on folders instead of simply on the folder itself and the files directly within it. Several dialog boxes contain a checkbox labeled Recursive. This global option establishes the default setting for all such checkboxes. If you change the recursive checkbox in one of the dialog boxes, it does not change the global option.

The default is Checked.


Always Request Exclusive Locks

This option allows you to establish a default for the Request Exclusive Lock checkbox in the Check Out dialog box. An exclusive lock on a file means that no one else can check the file in or out while the current user has it checked out.

The default is Checked.


Double-Click on File

This option allows you to specify which operation will be activated on a file that has been double-clicked. The possible values are:

  • Edit

  • View

The default is View.


Automatic Refresh

This option allows you to specify whether the Vault Standard client should automatically perform the Refresh command and, if so, at what interval.

The default is Checked with the interval set at 10 minutes.


Show Snapshot in the folder tree

This option allows you to specify whether snapshots will appear in the tree control. This setting is for all snapshot folders – there is no option to display some but not others.

The default is Checked.


Show non-version-controlled files ghosted in file list

Check the Show non-version-controlled files ghosted in file list option if you want non-version-controlled files that exist in your local working folders to appear ghosted in the Vault Standard file list.


Show non-version-controlled folders ghosted in folder list

Check the Show non-version-controlled folders ghosted in folder tree option if you want non-version-controlled folders that exist in your local working folders to appear ghosted in the Vault Standard folder tree.

Enabling this option may slow down the load of the folder tree depending on the number of non-version controlled folders that exist in your working folders.


Check for Latest Vault version at startup

When the Vault Standard GUI client is started, it does a few checks to verify the version numbers of the product you are running. One of these checks contacts the SourceGear website to see if you are running the most recent Vault Standard release. No information from your computer or repository is transmitted to SourceGear. Nonetheless, if you prefer to disable this Version Check, you can do so by changing this setting.


Use check boxes to select items

Check this setting to display check boxes next to items in the Vault Standard Pending Changeset.


Minimize to System Tray

If this option is checked, when you minimize the Vault Standard GUI Client, it will be minimized to the System Tray.


Make Vault Standard your default SCC provider

Check Make Vault Standard your default SCC provider if you want Vault Standard to be your default source control provider in Visual Studio (or other compliant IDE). Checking this allows you to check in / check out files from within Visual Studio 2005, 2008, 2010, Visual Studio C++ 6.0 or Visual Basic 6.0 without using the Vault Standard GUI client. This integration uses the Vault Standard Visual Studio Classic Client integration. Please see Visual Studio Integration for more information.

Note

The “Express” versions of Visual Studio do not support source control integration, and enabling this option does not override these limitations.

The default is set during installation of the Client.


Always display command dialog on Get Latest Version (available from Visual Studio only)

In the Visual Studio Classic Client IDE, the Get pre-command dialog does not come up by default, due to the way Visual Studio calls into Vault Standard, which asks to display the dialog far more often than seems necessary. By default, Vault Standard ignores these requests, so that the Get dialog does not get in the way of retrieving files. However, the Always display command dialog on Get Latest Version option, when checked, will dutifully display the dialog every time Visual Studio asks Vault Standard to. Sometimes this is valuable, for example, when you want to apply different Get options to different files as part of the Get.

When the Vault Standard Classic Client plugin is used, this setting is in Visual Studio under Tools->Options->Source Control->Plugin Settings->Advanced->General.


Always disconnect from server on Add/Open To/From Source Control (available from Visual Studio only)

In the Visual Studio Classic Client IDE, you can switch projects while the IDE is still up. However, if you select or open a project that is stored on a different Vault Standard server, the login dialog does not come up by default to allow you to choose a different server. Checking the Always disconnect from server on Add/Open To/From Source Control will bring up the dialog on operations where it is possible you might want to choose a different server.

When the Vault Standard Classic Client plugin is used, this setting is in Visual Studio under Tools->Options->Source Control->Plugin Settings->Advanced->General.


Check In Options

You can set the default options for checking in files:

  • Always Keep Files Checked out

  • Remove Local Copy after Check In

  • Auto-Commit after each Operation

  • Require Check out before Check In

  • Check In Unchanged Files


Always Keep Files Checked Out

This option allows you to establish a default for the Keep Checked Out checkbox in the Check In/Commit dialog box.

The default is Unchecked.


Remove Local Copy after Check In

This option allows you to establish a default for the Remove Local Copy checkbox in the Check In/Commit dialog box.

The default is Unchecked.


Auto-Commit after each Operation

This option allows you to specify that all global operations except Check Out and Check In happen immediately. These include add, delete, label, pin, branch, move, rename, pin/unpin and property changes. With Auto-Commit off, these operations are put into changesets, and you must explicitly commit or check in the changes. See Pending Change Set for more information.

The default is Checked.


Require Check out before Check In

This option allows you to specify that only files explicitly checked out can be checked in.

When this option is off, the file status of Renegade does not exist because it is assumed that any file that has been modified is going to eventually be checked in and is therefore not renegade. (See Status in the File List section for more information on Renegade files.)

In addition, when this option is off, all files that have been modified are included in the checkin dialog list of files to be checked in. When on, only files that are checked out appear in that list.

The default is Checked.


Check In Unchanged Files

This option allows you to establish the default for checking in files that have not changed. This option only applies to files that are explicitly checked out.

Select one of the following two options.

  1. Check In – Checks the file in normally which creates a new version. However, the diff will show no changes between versions.

  2. Undo Check Out – Uses the Undo Check Out command so the file’s version does not increment. This is the default.

The default is Undo Check Out.


Shelve Options


Undo changes in working folder after Shelve

This option controls the default state of the "Undo changes in working folder" in the Shelve Changes dialog.

The default is Unchecked.


Automatically delete shelveset after successful Unshelve

This option controls the default state of the "Automatically delete shelveset after unshelve" in the Shelveset Details dialog.

The default is Unchecked.


Local Files Options


Modified Working Copy

This option allows you to establish a default for Modified Local File list in the Get Latest Version dialog box and the Check Out dialog box. This option applies only to files that have been modified locally in the working folder or have Unknown status and not to files that are known versions in the repository.

  • Overwrite Working Copy – This overwrites the local file. If the file is not in your working directory (because you changed the To: field in this dialog), it will simply be overwritten. If the file is in your working folder and has a status of Unknown, it will be backed up in the _sgbak directory before being overwritten

  • Do Not Overwrite/Merge Later – This will not overwrite an existing file if it has been changed locally. If the download is to the working folder, it will still download a new repository version into the hidden state folder, allowing you to manually merge the file later (in which case the file’s status becomes Needs Merge). If the download is not to the working folder, the file will simply not be retrieved.

  • Attempt Automatic Merge – Vault Standard will attempt to merge the changes from the server copy into the working copy. If it can do so without irresolvable conflicts, then it will do so. All three files will be archived so you can examine precisely what was done in the automatic merge step. However, if the file cannot be merged automatically, the behavior is identical to that of the Do Not Overwrite setting above: the working copy is untouched and you must resolve the conflict later before a check in is allowed. A message is written in red in the Messages pane for each file that could not be merged.

  • If the file is being retrieved to a folder other than the working folder, this option is disabled altogether, since the working folder is required for merges. Overwrite becomes the default in this case.

The default is Attempt Automatic Merge.


Prompt before overwriting locally modified files

If checked, a dialog will be displayed before a locally modified file is overwritten by Vault Standard, verifying the user’s choice for how to handle the file. This prompt will only be displayed for files that have been modified by the user. It does not apply to versions of files that can be re-created by the Vault Standard server (e.g., files with an Old status).


Save files in backup folders before overwriting

If checked, any file that Vault Standard cannot recreate will be backed up into a backup folder. See Cache/Backup Locations for the location of the actual backup folder.

The default is Checked.


Perform File Deletes in Working Folders

If this setting is checked, you will be given the option to delete the file from the working folder when you delete a file from the Vault Standard repository.

The default is Unchecked.


Perform Repository Deletions Locally

This option allows you to establish the delete behavior for your local files when another user deletes items from the repository. The setting you choose will be used for the Perform Repository Deletions Locally list in the Get Latest Version dialog box. This setting determines whether a Get Latest will remove the deleted items from your working directory.

Select one of the following options:

  • Remove working copy

  • Do not remove working copy

  • Remove working copy only if unmodified

The default is Remove working copy only if unmodified.

This option also affects renames and moves and is applied in the following manner:

  • Do not remove working copy – the file will be copied and renamed or moved.

  • Remove working copy – the file will be renamed or moved.

  • Remove working copy only if unmodified – if the file has been edited, the file will be copied and renamed or moved.

The default is Remove working copy only if unmodified.


Make Writable

This option allows you to establish a default for the Make Writable list in the Get Latest Version dialog box.

Select one of the following options.

  • Make binary files read-only

  • Make all files read-only

  • Make all files writable

The default is Make all files read-only.


Set File Time

This option allows you to establish a default for the Set File Time list in the Get Latest Version dialog box as well as the Check Out dialog box.

Select one of the following options.

  • Current – the time the file was downloaded from the server.

  • Modification – the time the client reports it last modified the file. This does account for time zones, but can not account for incorrect times set on a client machine.

  • Check In – the server time at the time this version was checked in.

The default is Current.


On Undo Checkout

This option allows you to establish a default for the Local Copy option in the Undo Check Out dialog box. It determines what to do with the local version of a checked out file when that file’s checkout is undone.

Select one of the following options.

  • Revert – Overwrite the local file with the baseline version (the version of the file that existed at the time of the check out).

  • Revert (touch file) – Overwrite the local file with the baseline version (the version of the file that existed at the time of the check out), and set the file's timestamp to the system's current date and time.

  • Leave – Do not modify the local file after undoing the check out.

  • Delete – Remove the local file from the file system after undoing the check out.

The default is Leave.


Override Native EOL Type

This option allows you to override the current End of Line setting for files that are set to use “Native” EOL. The Native EOL is determined by the operating system the client is currently running on. For example, if this is a Windows client, the Native EOL for a file is CRLF, and text files retrieved from the database will use Windows EOL.

This option allows you to change the Native EOL type for this user to a value other than the current operating system. For example, if this is a Windows client, but retrieves files to a working folder that is actually a Unix disk, you can change this value to Unix when getting files to that folder so it will have the correct End of Line characters.

This value only overrides when the EOL type is Native for a given file. If the file’s EOL type is set to anything else, it will be used instead of this.

Select one of the following options.

  • Do not override – Don’t override – continue to use the Native EOL type.

  • Windows (CRLF) – Use CRLF when Native EOL is specified.

  • Unix (LF) – Use LF when Native EOL is specified.

  • Mac (CR) – Use CR when Native EOL is specified.

The default is Do not override.


Detect Modified Files Using CRCs Intead of Modification Times

This option allows you to determine whether files have been edited based on their contents instead of using the modification time of the file. A CRC is a computed number that is theoretically unique based on the contents of the file.

Using this option will cause Vault Standard to be slower than using modification time when determining file status.


Only use CRC checks for files smaller than [size]

Since CRC checks are slower than modification time checks, this option allows you to compute the CRC only when a file is below a certain size, which allows CRC checks to be faster than they otherwise would be. However, any files above the size specified will still use modification time to determine file status.


Cache/Backup Locations


Store Client Cache Folder

The client cache is where Vault Standard stores state information (such as working folder associations) and other data for faster retrieval (such as a copy of the repository structure).

By default, these cache files are located in the current user’s Local Settings folder (e.g., C:\Documents and Settings\user\Local Settings\Application Data\SourceGear).

Note

Prior to Vault 3.1, these files were stored in the Application Data settings folder, such as C:\Documents and Settings\user\Application Data\SourceGear, so if your cache files are there, it is because that machine had a Vault version prior to 3.1 loaded.

You may change the location of these files to any disk location, but in doing so you will cause the client to lose all of its state information. For example, your working folder associations will be lost, and after you reset working folders, the files in the working folders will have Unknown statuses (if your baseline files are stored here too – see next option below).

If you want to keep your client state it is recommended that you move your state folder (Vault_1) into the new location prior to changing the location of the cache files. Click the Open Cache Folder button to easily access the Vault_1 folder.

Note

This change does not take effect until you restart the client. It is highly recommended that you restart the client immediately after changing this option.


Store Working Folder State/Baseline Files

A baseline file is the version of the file the user retrieved from the server prior to editing it. Baseline files provide Vault Standard with working folder state information, enabling the client to know when a file has been edited, and is also used to compute a delta for the file that is sent to the server (so that less information needs to be sent and stored).

These baseline files can be stored in one of two places: Inside the client cache folder (whose location is determined in the option above), or within the working folder itself. Because these folders will grow quite large, you will want to make sure they are located in a place where there is plenty of disk space.

If you choose to store baseline files inside the working folder, an _sgvault folder will be created in each working folder.

As with changing the location of the client cache, if you change this option, working folder data and status will be lost (files will become of Unknown status).

The default is “In Client Cache Folder”.


Limit number of baseline files

If checked, Vault Standard will only keep a specified number of the most recent baseline files per file.

The default is Unchecked. The default number of files to keep is 3.


Open Cache Folder

This button provides quick access to your Vault Client cache folder, without the need to browse. The Vault client cache is in the Vault_1 folder.


Reset Repository Cache

This button provides a way to clear information cached in the client. There are four areas that can be cleared.

  1. Change Set Information - Checking this option will clear entries in the cache related to Change Sets. Uncommitted Change Set Comments, Commit Dialog Bug Associations, Pending Local Deletions and Pending Server Namespace Changes will be removed.

  2. Repository Information - Checking this option will remove information stored in the cache about the Repository. If the local copy of the repository structure is not synchronized with the Vault Standard Server, you can reset it with this option. This will delete the CacheMember_LastStructureGetTime and CacheMember_Repository files from the client cache. The client will then request the entire tree structure from the Vault Standard Server.

    Checking this option will also clear entries in the cache related to the Check Out List, and Expanded Tree Nodes.

  3. Working Folder Information - Checking this option will clear all of your working folder associations.

  4. Baseline Files - Checking this option will delete any Working Folder State/Baseline Files in the Client Cache Folder. It will not delete Working Folder State/Baseline Files stored in Working Folders.


Save files in backup folders before overwriting

If checked, any modified file that Vault Standard overwrites in the working folder will be backed up into the backup folder specified below.

The default is Checked.


Store Backup Files

This tells the Vault Standard client where to store the backup files. Choosing “In Working Folders”, will place them in a folder named “_sgbak” within the working folder of the file being backed up.

Choosing a custom location will backup the files in the folder that you choose.

The default is “In Working Folders”.


Limit number of backup files

If checked, Vault Standard will only keep a specified number of the most recent backup files per file.

The default is Checked. The default number of files to keep is 5.


Diff/Merge Options

Options for file diff along with the default applications used for diffing and merging files can be configured on the Diff/Merge Options page.


Default item to diff against

This option allows you to specify the default option when doing a diff of a working file against other items.

Select one of the following options.

  1. Diff against last version retrieved from the repository. This is the baseline version, and will show you what changes you made to the file.

  2. Diff against current version in repository. This option will show you what changes you will introduce to the repository version if you check the file in. This is different from the baseline version if someone has checked in another version since you began editing.

The default is Diff against last version retrieved from the repository.


Diff Program

This option allows you to specify an external application to be launched by the Diff command.

Either type the full path to the External Diff program, or use the Browse button to find the diff tool, if necessary. The macro %VAULT_EXE_DIR% can be used to specify the location where the Vault Standard client is currently running, and will expand to the actual folder of the executable folder.

The default entry for this field contains the default that is appropriate for SourceGear’s DiffMerge tool: %VAULT_EXE_DIR%/sgdm.exe


Diff Arguments

This option allows you to specify the arguments to supply to the diff tool when it is invoked, such as the files to use for the diff, and labels to use for them, if the diff tool accepts such arguments. The following macros are available:

  1. %LEFT_LABEL% - expands to be the label Vault Standard will supply to the file being diffed on the left side of the diff output.

  2. %LEFT_PATH% - expands to the path of the file that Vault Standard will supply for the left side of the diff output.

  3. %RIGHT_LABEL% - expands to be the label Vault Standard will supply to the file being diffed on the right side of the diff output.

  4. %RIGHT_PATH% - expands to the path of the file that Vault Standard will supply for the right side of the diff output.

The default entry for this field contains the default that is appropriate for SourceGear’s DiffMerge tool:

/ro1 /ro2 /title1:"%LEFT_LABEL%" /title2:"%RIGHT_LABEL%" "%LEFT_PATH%" "%RIGHT_PATH%"


Merge Program

This option allows you to specify an external application to be launched by the Merge command.

Either type the full path to the External Merge program, or use the Browse button to find the merge tool, if necessary. The macro %VAULT_EXE_DIR% can be used to specify the location where the Vault Standard client is currently running, and will expand to the actual folder of the executable folder.

The default entry for this field contains the default that is appropriate for SourceGear’s DiffMerge tool: %VAULT_EXE_DIR%/sgdm.exe


Merge Arguments

This option allows you to specify the arguments to supply to the merge tool when it is invoked, such as the files to use for the merge, and labels to use for them, if the merge tool accepts such arguments. The following macros are available:

  1. %WORKING_PATH% – expands to the user’s working file that is being merged.

  2. %WORKING_LABEL% – expands to the label supplied by Vault Standard to put on top of the working file.

  3. %DEST_PATH% – expands to the file that will be saved when the user merges the files together. In Vault Standard, this is actually the same as the working file, but merge tools usually have a separate argument for this, so Vault Standard will just supply the working file as this file.

  4. %DEST_LABEL% – expands to the label supplied by Vault Standard to put on top of the merged file.

  5. %OTHER_PATH% – expands to the path of the “other” file being merged. For most cases, this is the current repository version that is being merged, but in the case of merge branches, it is the origin version of the file that needs merged with the target version.

  6. %OTHER_LABEL% – expands to the label supplied by Vault Standard to put on top of the “other” file being merged.

  7. %BASELINE_PATH% – expands to the path of the file that is the common ancestor, or baseline between the 2 files being merged.

The default entry for this field contains the default that is appropriate for SourceGear’s DiffMerge tool:

/ro1 /ro3 /merge /title1:"%WORKING_LABEL%" /title2:"%DEST_LABEL%" /title3:"%OTHER_LABEL%" /result:"%DEST_PATH%" "%WORKING_PATH%" "%BASELINE_PATH%" "%OTHER_PATH%"


History/Labels Options


History Diff when single version selected

This option allows you to specify the version the history diff will diff against when only one file is selected in the version list.

Select one of the following options.

  • Diff against previous version in repository

  • Diff against current version in the repository

  • Diff against working folder copy

The default is Diff against previous version in repository.


Label Diff when single version selected

This option allows you to specify the version the diff from the Show Labels dialog will diff against when only one label is selected in the label list.

Select one of the following options.

  • Diff against current version in the repository

  • Diff against working folder copy

The default is Diff against current version in repository.


Limit Queries to

This option allows you to limit the number of rows returned for a single history or label query. The number must be greater than 0.

This limit exists because the user interface will reach a limit to how many rows of text it can display at one time. This option will ensure that the user interface will always be able to handle the query sent by the server, even if the user accidentally created a query that was not intended and retrieved far more rows than the interface can handle.

The default is 1000 and there is an upper limit of 10,000.


Fetch rows in chunks of

History and label entries are fetched in chunks so you need not wait for all the data to be transferred before viewing the results. As you scroll to areas where data has not been fetched, the History Explorer and the labels dialog will automatically fetch the rows needed.

This option allows you to configure how many rows to fetch at a time.

The default is 200 rows.


Act on queries recursively

This option sets the default for whether a history or a label query will be recursive or not.

The default is Checked.


Notification Options

Notifications appear in the Notifications tab of the Vault Standard GUI Client and in the Notifications Pane in Visual Studio Enhanced Client integration.

Notification options are configured in the Vault Standard Client under Tools->Options->Notifications. Notifications can also be configured from Visual Studio under Tools->Options->Source Control -> Vault Standard ->Advanced Options->Notifications.

You can choose to receive notifications in the Vault Standard Client or in Visual Studio. You can also subscribe to email notifications, or you can choose both methods of notification. You can also choose not to receive any notifications by not enabling Email or Application Notifications.

Note

If you are upgrading from an earlier version of Vault, your email notification settings will be preserved. You will continue to get email notifications of events as configured in the previous version.

Enable Email Notifications

Click the checkbox to Enable Email Notifications.

Email Address

Enter the email address which will receive Vault Standard notifications. You may select one or both of the following options:

  • Receive Email notifications as a daily digest

  • Receive HTML Email notifications

Enable Application Notifications

Click the checkbox to activate notifications within the Vault Standard Client application. Use the numeric text boxes to configure these notification options:

  1. Refresh every X minutes. This is the frequency at which notifications will be refreshed. The default is 5 minutes

  2. Display Limit. This is the number of rows/items which will appear in the Notifications tab. The default is 250.

Suppress Self-Generated Notifications

Click the checkbox if you do not wish to be notified of your own updates.

Source Code Control

Note: To enable notifications for a repository, you must first log into that repository.

Get Notifications for Modifications in a Repository Path:

In the Watched Repository Paths tab, Add or Delete the repository path you wish to "watch" or "unwatch." To add a path, click the Add button, then browse to the repository folder or file you wish to watch. To delete a watched path, select the path or paths, and click Delete. You will receive notifications when source code modifications occur in that path. Notifications are not sent for actions that do not modify code, such as login, checkout, etc.

Get Notifications for Selected Events in All Repositories:

Click the checkboxes in the Source Code Control Events tab to activate notifications for specific Vault Standard Source Code Events, such as Add, Branch, Checkout, etc. Click Check All to select all available Source Code Events. You will receive notifications for the selected events in all repositories that you have access to.

Note that Watched Repository Paths and Source Control Events are independent functions. Source Control Events is not a filter for Watched Repository Paths. If you "watch" a repository path, you will receive notifications for all source control events in that path, not just the selections in the Source Control Events tab. And, if you have source control events checked in the Source Control Events tab, you will receive notifications whether or not you have a Watched Path configured.


External Programs Options

The default external applications for viewing and editing files can be configured on the External Programs Options page.


Editor

This option allows you to specify a default for the external application to be launched by the Edit File commands.

Select either Use system default for this file type or type the full path to the editor. Use the Browse button to find the editor, if necessary.

The default is the system default for the file type.


Viewer

This option allows you to specify a default for the external application to be launched by the View File commands.

Select either Use system default for this file type or type the full path to the viewer. Use the Browse button to find the viewer, if necessary.

The default is the system default for the file type.


Custom External Applications

The Custom External Applications option allows you to configure custom applications for for viewing, editing, diffing and merging files in the repository based on file extension. Custom External Applications are configured for each local installation. These settings are specific to the current windows account.

The Custom External Applications Tree contains the currently configured custom applications.

To add a Custom External Application click the Add Button to display the Custom External Application Dialog.

To edit a Custom External Application, select an entry from the Custom External Applications Tree and click the Edit Button to display the Custom External Application Dialog.

To delete a Custom External Application select an entry from the Custom External Applications Tree and click the Delete Button. If a Custom External Application configuration is deleted the applications specified in the External Program and Diff/Merge options will be used for viewing, editing, diffing and merging.


Custom External Applications Dialog

Custom External Applications for viewing/editing, diffing and merging files can be added and edited in the Custom External Applications Dialog.

Name

Enter a unique name to define a grouping of file extensions and behaviors. For example, you can create an entry for "Image Files" so different applications can be used to view, edit, diff or merge image files.

File Extensions

Enter a comma separated list of file extensions used to determine which application will be used when viewing, editing, diffing, or merging a type of file.

For example: .bmp, .jpg, .png, .tiff


View/Edit

This tab allows you to configure a custom viewing and editing application for the specified file extensions. The same application will be used for both viewing and editing.

Select Use Vault External Program to use the application for viewing and editing files configured in the External Program options.

Select Use Custom Application to configure a custom application for viewing and editing files. Enter the full path to the custom viewing/editing application in the text box.


Diff

This tab allows you to configure a custom diff application for the specified file extensions.

Select Use Vault Diff to use the application for diffing files specified in the Diff/Merge options.

Select Use Custom Application to configure a custom diff application. Enter the full path to the diff application in the text box.

Enter the Arguments required to launch the custom diff application if Use Custom Application is selected. See the Diff/Merge Arguments section for more details.


Merge

This tab allows you to configure a custom merge application for the specified file extensions.

Select Use Vault Diff to use the application for merging files specified in the Diff/Merge options.

Select Use Custom Application to configure a custom merge application. Enter the full path to the merge application in the text box.

Enter the Arguments required to launch the custom merge application if Use Custom Application is selected. See the Diff/Merge Arguments section for more details.

Check the Resolve Status with Return Code and enter the custom merge application's success return code. If the merge tool returns the successful merge code, Vault Standard will prompt to resolve the file's status upon closing the merge application. For example, SourceGear DiffMerge will return '0' upon a successful merge. If this option is enabled with a value of '0' Vault Standard will prompt to change the file's status after closing DiffMerge.


Diff/Merge Arguments

Custom diff and merge applications require that command line arguments be configured to launch the diff or merge programs. See the documentation for your specific diff or merge application for details on how to launch the application from a command line.

For diff, the following arguments can be configured:

%1 – First File. %1 will be replaced with the first file's path.
%2 – Second File. %2 will be replaced with the second file's path.
%t1 – Title for %1. %t1 will be replaced with a user friendly title for the first file (optional).
%t2 – Title for %2. %t2 will be replaced with a user friendly title for the second file (optional).

For example, considering the command line arguments to launch SourceGear's DiffMerge for diffing two files are:
diffmerge [-t1=title1] [-t2=title2] {file1} [file2]

If DiffMerge were configured as a custom diff application the arguments would be:
-t1="%t1" -t2="%t2" "%1" "%2"

The file paths passed in for %1 and %2 along with the titles will vary depending on the type of diff.

For Merge, the following arguments can be configured:

%1 – Working Folder File. %1 will be replaced with the path to the file in the working folder.
%2 – Repository File. %2 will be replaced with the path to the Repository file.
%3 – Baseline/Common Ancestor. %3 will be replaced with the path to the baseline/common ancestor file.
%4 – Destination File. A special 'output' file in which the merge will save results. Upon successful merge,
     this file will end up in the working folder.
%t1 – Title for %1. A user friendly title for the working folder file (optional).
%t2 – Title for %2. A user friendly title for the repository file (optional).
%t4 – Title for Destination File. A user friendly title for the destination file (optional).

For example, considering the command line arguments to launch SourceGear's DiffMerge
for merging files are:

diffmerge [-merge] [-result=resultfile] [-t1=title1] [-t2=title2] [-t3=title3] {file1} {file2} {file3}

If DiffMerge were configured as a custom merge application the arguments would be:
-merge -t1="%t1" -t2="%t4" -t3="%t2" -result="%4" "%1" "%3" "%2"

Titles (%tX) are optional and not all diff and merge applications will accept titles as a command line parameter. If titles are not specified the full path to the file be be displayed.


Command Dialogs Options

Several commands bring up a dialog box which has a checkbox that says “Only show this dialog when the shift key is down”. If that checkbox is selected, the dialog box will be disabled and will not appear when the commands are opened unless the shift-key is held down.

This option can also be set in the Command Dialogs options.

When the following operations are checked, the dialog boxes will be displayed when the commands are opened. When unchecked, the dialog boxes are not displayed unless the Shift-Key is pressed along with the command. If the dialog box is not displayed, the default selections are used.

The commands used on files that can be disabled:

  • Get Latest Version

  • Check Out

  • Undo Check Out

  • Diff

  • History Filter

  • History Diff

  • Label Diff

  • Edit

  • View

The commands used on folders that can be disabled:

  • Get Latest Version

  • Check Out

  • Undo Check Out

  • Diff

  • History Filter

  • History Diff

  • Label Diff


File List Columns

This pane allows you to select which columns you want displayed in the file list of the repository explorer. Checking a column will cause the column to be displayed, and unchecking a column will cause it to not be displayed.

The available columns are:

  • Checkouts (the list of users who currently have the file checked out)

  • Status (The state of the file, such as Old, Edited, Needs Merge, etc)

  • Local Version (the version number of the file on the local machine)

  • Remote Version (the current version number of the file in the repository)

  • Local Date (the datetime of the file on the local machine)

  • Remote Date (the datetime of the checkin of the latest version in the repository)

  • Modified Date (the datetime of the last time the file was edited on a client’s machine before it was checked in, and therefore dependent on client machine clock accuracy)

  • File Type (as determined by the file suffix)

  • Local Size (the size of the file on the local machine)

  • Remote Size (the size of the latest version of the file in the repository)

  • Checkout Location (the folder on the client machine where the file is checked out)

The default set of columns to display is: Checkouts, Status, Local Version, Remote Version.


Warnings Options

The various warning dialog boxes that appear throughout Vault Standard are listed on this pane. Select the warnings that you do not want to be displayed.

The default for all the warnings is ON.


Concurrent Development Style

This option pane allows you to choose SourceSafe style, CVS style or customize the style for concurrent development. All of the settings exist elsewhere in the options and changing the options here will update the other controls to reflect the new values.

Table 4.1. Concurrent Development Style Options

 | SourceSafe Style Checkout/Edit/Checkin | CVS Style Edit/Merge/Commit
Auto-Commit | ON | OFF
Require Check Outs | ON | OFF
Make all files... | Read-Only | Writable
Always Request Exclusive Locks | ON | OFF


Network Settings


Use chunked encoding

This option allows you to reduce the memory consumption of the Vault StandardClient during file uploads. Without chunked encoding, the entire file must be read into memory before it can be uploaded. This means the amount of memory available on the computer must be greater than the size of the file being uploaded. This setting is not compatible with some proxy servers, routers or firewalls.

The default is unchecked


em: 100-Continue Headers

The inherent behavior of Vault Standard, as an ASP.NET web application, is for the client to notify the server that a request is pending and for the server to OK the request with an HTTP Continue before the client can continue. By default this is enabled.

However, on high latency networks, such as satellite networks, this constant notification and verification can impede performance. If Use Expect 100-Continue Headers is disabled, the client sends the request and the transaction data at the same time, reducing the number of round trips to the server.


Request database delta

When this option is enabled, the Vault Standard Client requests a database delta (rather than the full tree) if your local cached Vault Standard repository is many versions out of date. This is the recommended default setting. If the option is unchecked, the Vault Standard Server will send a new full repository tree.


Proxy

Please note that changes to your proxy settings will not take effect until the next time that you connect to a Vault Standard Server.


Use system default proxy

This setting causes Vault Standard to use the system default proxy which is specified in Control Panel -> Internet Options -> Connections -> LAN Settings. Note that due to a limitation in the .NET Framework, automatic configuration is not supported. If your LAN uses automatic configuration to set the proxy server, you must manually configure that proxy server in Vault Standard.

This is the default setting for Proxy.


Use a manually configured proxy

This option allows you to specify the address and port of the proxy that should be used. Type the proxy server name in the Address text box and the port number in the Port text box.


Do not use a proxy

This option allows you to connect directly to the Vault Standard Server overriding any system default proxy.


Reset proxy user

Click this button to clear any saved authentication information used while connecting to an authenticated proxy


Chapter 5. SourceGear Vault Standard Classic Client (MSSCCI)

Table of Contents

Enable / Disable Integration
Vault Standard Global Options
Accessing Vault Standard Command Options

The SourceGear Vault Standard Classic Client can be used within one of the supported Integrated Development Environments (IDE). The supported IDEs are listed in the Compatibility Chart posted on the SourceGear website under Documentation.


Enable / Disable Integration

To enable IDE Integration in Visual Basic and Visual C++:

  1. Go to Tools on the Vault Standard client menu bar. Select Options.

  2. Under General Options, check “Make Vault Standard your default SCC provider”.

To disable IDE Integration, uncheck the box.

The default setting is unchecked.

Note

The “Express” versions of Visual Studio do not support source control integration and enabling this option does not override these limitations.

You can select Vault Standard Classic Client IDE Integration in Visual Studio 2005 and later by clicking Tools->Options->Source Control->Plugin Selection and selecting SourceGear Vault Standard Classic Client for the current source control plugin.


Vault Standard Global Options

Vault Standard gives you the ability to work in either VSS mode, CVS mode or a combination of both.

However, when using Classic Client IDE integration, the IDE will always work as if in VSS mode. The global Vault Standard options that contradict working in VSS mode are disabled from within the IDE.


Accessing Vault Standard Command Options

When performing basic source code control operations from within the IDE, an Advanced button appears on each of the applicable dialogs. Click Advanced to set Vault Standard’s command options for that particular command.

For example, click Advanced in the Visual Studio Check Out dialog to bring up the Vault Standard Check Out dialog. This allows you to set the available Vault Standard options relevant to the check out operation.


Chapter 6. SourceGear Vault Standard Visual Studio Enhanced Client (VSIP)

Table of Contents

Configuring the Enhanced Client as the default source control provider
Opening a project or solution file
Uploading a project or solution to the repository
The Change Bindings Dialog
Tool Windows

An advanced version of the Vault Standard source control client can be used with newer versions of the Microsoft Visual Studio Integrated Development Environments (IDE). The supported IDEs are listed in the Compatibility Chart posted on the SourceGear website under Documentation.

The Enhanced Client allows a level of flexibility and integration that was not possible with earlier versions of Visual Studio. The Enhanced Client offers the following benefits in addition to the features of the previous IDE clients:

  • Move, Rename, and Delete are immediately reflected in the working folder, before they are checked in. This allows you to use Visual Studio's Refactor operations to rename or move a file without immediately having to check in the change.

  • Work in either VSS mode or CVS mode inside the IDE. Previous IDE clients forced every user to work in VSS mode.

  • The new Line History function allows you to select a set of lines in Visual Studio and easily find the last Source Control operation that changed any of those lines.


Configuring the Enhanced Client as the default source control provider

In order to configure Visual Studio to use the Enhanced Client:

  1. Open Visual Studio

  2. Open the Options dialog by selecting the Tools menu and choosing Options.

  3. In the Options dialog, select the Source Control node.

  4. In the Source Control panel, select the SourceGear Vault Standard Visual Studio Enhanced Client in the current source control plug-in drop down box.

To disable IDE Integration, select a different plug-in.

Note

The “Express” versions of Visual Studio do not support source control integration and enabling this option does not override these limitations.


Opening a project or solution file

To open a project or solution which has already been added to the repository, but is not on your local machine:

  1. Open Visual Studio

  2. From the File menu, choose the Open From Vault Standard menu item.

  3. Browse the repository to find the solution or project file that you wish to open.

  4. If no working folder has been set for the folder containing the solution, you will be prompted for the disk location to put the project or solution. If a working folder is already set, the project will be downloaded to that location and opened.

To open a project or solution which has already been added to the repository and is on your local machine, click on the solution or project file on disk to open the project. You will be prompted to log in to the repository.


Uploading a project or solution to the repository

To upload or add a solution that exists on the local disk, but not in the repository:

  1. Open the solution in Visual Studio

  2. Right-click the project or solution node in the Solution Explorer. Choose the Add to Vault Standard menu item. If you do not see the menu item, then verify that you have already configured the Enhanced Client as the default source control provider.

  3. You will get a server login dialog and a repository list. Select the repository. Next, you will be prompted for the location in the repository to put the solution hierarchy. By default, the solution will be placed in its own folder and each project will have a subfolder created, where it will be placed. You may enter a name for the solution folder, or delete all characters in the text box to put the solution file directly in the selected repository folder. Project subfolders will always be created.

  4. In the Add dialog, there is a check box to control the manner in which projects inside the solution will be added. In the common case, all projects will be placed in the repositories as child folders of the solution’s folder. In the case where this is not acceptable (if two projects have the same name, for example), use this Preserve Relative paths check box to force the working folder project layout to be copied into the repository.


The Change Bindings Dialog

The Change Bindings dialog allows you to configure Vault Standard as the source control provider for projects which are already on disk and in the Vault Standard repository. You can get to this dialog by choosing the Change Vault Standard Bindings menu item in the File menu.

  • Bind and Unbind Solutions and Projects.

  • Turn source control Online and Offline

How do I bind a solution and all of its projects?

Bring up the Change Vault Standard Bindings dialog, and select the solution and click the Bind… Button. In the Bind dialog, you will be asked to map the Deepest Common Ancestor of the selected projects.

How do I bind Projects without binding the Solution?

If you already have the project on disk and in the repository, you may select any project that you wish to bind and click the Bind button. There are some things that should be noted when trying to work this way:

  1. Add to Vault Standard and Open From Vault Standard operations are still solution-specific. You cannot yet add or open just one project. You will have to use the Vault Standard standalone GUI client to add new projects and download projects that are in the repository but not on disk.

  2. If you select multiple projects to bind, you will be prompted to map a working folder for the Deepest Common Ancestor. If you’re prompted to map an unexpected folder (for example, C:\), then bind the projects one at a time.

How do I add just one project to the Vault Standard repository, but not the solution file or other projects in the solution?

At the moment, this is not supported through the Enhanced Client. You should upload the project using the standalone GUI client and then use the Change Bindings dialog to bind the project on disk to the project in the repository.

How do I add just one project from the Vault Standard repository to my current solution?

At the moment, Add from Source Control is not supported through the Enhanced Client. You should download the project using the standalone GUI client, use Add Existing Project to add it to the solution, and then use the Change Bindings dialog to bind the project on disk to the project in the repository.

How do I go offline for my bound Solutions and Projects?

Uncheck the Online/Offline checkbox at the bottom of the Change Bindings dialog. This will set all projects that use the current Vault Standard repository to Offline. You will no longer be prompted to login when loading any project bound to that repository.

How do I go back to online status?

You can select any node in the Solution Explorer and click the Online button to return to Online status. Alternatively, you may check the checkbox at the bottom of the Change Bindings dialog. A prompt will appear for you to log in to the Vault Standard server.

How do I fix common binding problems?

Most problems can be corrected by rebinding the project. Select the project or solution, and click the Bind button. Find the project in the Vault Standard repository, and rebind the solution or project. If the project or solution can not be found in the repository, then you should use the Add Solution to Vault Standard context menu in the Solution Explorer, or add the project manually using the standalone GUI client.

What do each of the binding Statuses mean?

  • Not Bound – The project on disk is not associated with Vault Standard.

  • Bound (Offline) – The project is bound to Vault Standard, but the Vault Standard IDE client is currently set Offline for that project’s repository. Right click on the solution or project file and select Go Online. Or, use the Online/Offline checkbox at the bottom of the Change Bindings dialog to return to Online status.

  • Invalid – The project is bound to Vault Standard, but there is a problem. Click the link in the status column to read a more detailed reason for the binding problem. Some common causes of problems are:

    • The Working Folder Association is missing.

    • The project/solution file does not exist in the location that is expected by the current working folder association.

    • The project file is bound to a different repository than the solution (or other projects).

  • Valid – The project is bound to Vault Standard and working as expected.

  • Pending Add – The project has been bound to Vault Standard, but not yet been added to the repository.

What is the Deepest Common Ancestor?

If you are binding multiple projects, or a solution which contains multiple projects, you will be asked to map a working folder for the Deepest Common Ancestor of all of those projects. In the simplest case, suppose that you are mapping two projects in an unbound solution. If the working folder is structured as:

  • C:\work\Project1

  • C:\work\Project2

then, you will be asked to provide a working folder mapping for the C:\work directory on your disk.

If you have a slightly more complicated example of two projects structured as:

  • C:\work\Project1

  • C:\work\otherfolder\Project2

You will be asked to provide a working folder mapping for the C:\work directory on your disk.

The most common case where the Deepest Common ancestor is completely unexpected is when the two projects being mapped share no common ancestor other than the root of the drive. For example:

  • C:\inetpub\wwwroot\TestWebSite

  • C:\work\Project2

The Deepest Common Ancestor would be C:\. In this case, it is advisable to bind each project one at a time.


Tool Windows

Vault tool windows are available in Visual Studio under the View menu. The primary tool window that you will need to interact with the Enhanced Client is Pending Changes. This tool window will allow you to see at a glance all of the changes that you have yet to commit to the repository. If this view is accidentally closed, you can open it again using the View->Vault Standard Pending Changes menu item.

The Notifications window provides real-time notifications of updates to your source control repository.

To open the Notifications window in Visual Studio, select View >Vault Standard Notifications.


Chapter 7. Eclipse Integration

Table of Contents

Opening a project
Uploading a project to the repository
Views

An advanced version of the Vault Standard source control client can be used with newer versions of Eclipse.


Opening a project

To open a project which has already been added to the repository:

  1. Open Eclipse

  2. From the File menu, choose Import menu item.

  3. In the Import Wizard, choose Team->Project from Vault Standard as the import source.

  4. Enter your username, password, and server to login to Vault Standard.

  5. Select the repository containing the project you wish to open.

  6. Browse the repository to find the project that you wish to open.

  7. If Eclipse does not detect a .project file, you can either continue in the wizard to choose how Eclipse will open the project or choose Finish to conclude the import process. If a .project file is detected by Eclipse, it will automatically open the project using that information when the import is concluded.


Uploading a project to the repository

To upload a project that exists on the local disk, but not in the repository:

  1. Open the project in Eclipse.

  2. Right-click the project node in the Package Explorer or Navigator. Choose the Team->Share Project menu item to open the Share Project Wizard.

  3. Choose Vault Standard as the repository type.

  4. Enter your username, password, and server to login to Vault Standard.

  5. Choose a repository.

  6. Browse the contents of the selected repository and choose a destination folder.

  7. The Share Project Wizard will have auto-pended an add/create for all the files and folders in your project (with the exception of those types that are specifically excluded by Vault Standard or Eclipse). You can tell that these files and folders have a pended add because they will be decorated with an asterisk and a plus sign in the Package Explorer and Navigator. The pended adds will also show up in the Pending Change Set View. To complete the sharing process, open the Pending Change Set View and Commit All.


Views

  1. The primary view that you will need to interact with the Eclipse plug-in is Pending Change Set View. This view will allow you to see at a glance all of the changes that you have yet to commit to the repository. To open the view, choose the Window->Show View->Other… menu item. In the Show View dialog, select Vault Standard->Pending Change Set.


Chapter 8. Using Vault Standard via WebDAV

Table of Contents

Configuring WebDAV
Constructing the Vault Standard WebDAV URL
Authentication
Sanity Check
Using WebDAV with Dreamweaver
Limitations

Vault Standard repositories may be accessed via WebDAV (Web-based Distributed Authoring and Versioning).

WebDAV allows Vault Standard-controlled files to be accessed from a wide range of clients and tools, including those in environments not explicitly supported by Vault Standard. For example, Vault Standard repositories can be mounted as "folders" from Mac OS, as Web Folders from Windows, and from editors and tools (e.g. Dreamweaver) that support WebDAV for file sharing and locking.


Configuring WebDAV

Setting up WebDAV access to Vault Standard is relatively straightforward, in that no additional client software needs to be installed. However, since the setup is not as automated as connecting a Vault Standard Windows Client to the server, the details must be handled carefully.


Constructing the Vault Standard WebDAV URL

All WebDAV access to Vault Standard is via URLs. A Vault Standard WebDAV URL is composed of 4 parts:

The WebDAV Server

This is almost always on the same host as your Vault Standard server, at /sgdav/wd.ashx.

For example, if Vault Standard lives at http://example.com/VaultService, WebDAV lives at http://example.com/sgdav/wd.ashx

The Vault Standard server name

The host name where Vault Standard resides.

For example, if Vault Standard lives at http://example.com/VaultService, the host name is simply example.com

Note: Vault's WebDAV does not support SSL. The WebDav URL can be configured to use http:// but not https://.

The Repository name

The specific repository with which you'll be working, as it appears in your Repository List.

For example, "Initial Repository" or "ERP".

The File or Folder path

The full path to the file or folder we're after.

For example, to access the $/bigproject/trunk/includes Vault Standard folder, we would use /bigproject/trunk/includes

Although file-by-file access is possible via WebDAV, when configuring a client it is much more common to pick the high-level folder corresponding to the project or group of files you're working with.

Example 8.1. A complete Vault Standard WebDAV URL

Let's say that Vault Standard, and its WebDAV component, reside on scc.example.com; that we're using the "Initial Repository" repository there; and that we wish to work within the $/myproject/trunk/ folder.

This URL would be built as follows:

http://scc.example.com/sgdav/wd.ashx/scc.example.com/Initial%20Repository/myproject/trunk

Note: Special characters in WebDAV URLs

If your repository name or folder path contains special characters (spaces, punctuation other than "/", etc.) you'll need to URL-escape those characters.

For example, "My Repository" would be escaped as "My%20Repository"; "/trunk/Odds&Ends" would be escaped as "/trunk/Odds%26Ends".

See the Percent-encoding Wikipedia page for more examples and further reading on URL encoding.


Authentication

You'll need to login via WebDAV, using a valid Vault Standard username and password. Some clients will also want you to use a "check out name" or "scc username" for WebDAV's own purposes -- in this case, you should use the same username as you do for Vault Standard. (See the Dreamweaver example)


Sanity Check

To ensure that your WebDAV URL is correct, it's a good idea to use the built-in "sanity check". This will give you a quick overview of what WebDAV sees, and note any errors that occur if the URL is incorrect.

Use the same URL as discussed in Constructing the Vault Standard WebDAV URL, but replace the folder/file portion with "SanityCheck". Using the previous example, this would be:

http://scc.example.com/sgdav/wd.ashx/scc.example.com/Initial%20Repository/SanityCheck

If all goes well, you'll see something like:

Request URI:	 http://scc.example.com:80/sgdav/wd.ashx/scc.example.com/Initial%20Repository/SanityCheck
Vault/Vaultpro server:	 scc.example.com
Vault/Vaultpro repository: 	Initial Repository
Vault credentials: 	minion722/*********
Working folder: 	C:\Windows\TEMP\

Top-level folders:
  $/wdom2
  $/WorldDomination


Using WebDAV with Dreamweaver

One of the more-common uses for version control via WebDAV is in Adobe's Dreamweaver®. This allows users on both Windows and Mac systems to safely manage their code through the same UI, with no additional software to install on the user's system.

The following example shows a Dreamweaver Site using the same WebDAV settings described in the preceding example.

URL:

The WebDAV folder URL, constructed as above.

Login and Password:

Your Vault Standard username and password.

Enable file check in and check out:

Make sure this is checked.

Check out name:

Note that this is the same as the "Login:" username.

Email address:

Your email address.


Limitations

While accessing Vault Standard via WebDAV has a number of advantages cross-platform, no special client software needed, relatively immune to client upgrades it's not perfect.

Some limitations you should be aware of:

  • Vault's WebDAV does not support SSL. The WebDav URL can be configured to use http:// only.

  • There is no way to add checkin comments. The standard WebDAV protocol simply doesn't support it. Vault Standard will add a "Checked in via WebDAV" comment with each checkin, but this is not the same as descriptive comments.

  • Checkins via WebDAV are non-atomic, and one-at-a-time. The base WebDAV protocol does not support changesets. You can still select a number of files or folders to check in at once, but within Vault Standard's history, they'll appear as a series of individual commits.


Chapter 9. Bug Tracking Integration

Table of Contents

FogBUGZ
Updating a Case
Viewing a Case
Vault History
Vault Diff

Vault currently supports integration with FogCreek’s FogBUGZ. Bug tracking integration refers to the ability to update bug tracking items from within a Vault client, and for the bug tracking system to see changes in source control that resulted from changing the status of a bug.

Note

For additional work item integration options, consider upgrading to Vault Professional. Vault Professional contains the same version control features found in Vault Standard, with the addition of tightly-integrated, native work item tracking, plus optional integration with Axosoft OnTime defect tracking. For more information, see http://www.sourcegear.com/vaultpro/index.html.


FogBUGZ

Vault Standard supports integration with FogBUGZ, a web-based, bug-tracking product developed by Fog Creek Software.( fogcreek.com/FogBUGZ)

FogBUGZ must first be configured to communicate with Vault. To do this, you must have admin rights for both Vault and FogBUGZ. For more information, see the Vault Admin Web Client documentation.

Once FogBUGZ and Vault have been configured, you can associate a file in Vault with a case in FogBUGZ.

Note

In FogBUGZ, a bug is referred to as a case.


Updating a Case

The Vault Check In/Commit dialog allows you to associate a Vault file with a FogBUGZ case during the check in process. Type the case number in the Update Bugs box. When the commit has been completed, the Vault file name and path will appear in the FogBUGZ case detail page.


Viewing a Case

In FogBUGZ, go to the detail page of a selected case.

A list of all the files that have been associated to the case through Vault’s check in process will appear next to the CheckIn label. This list includes:

  • The Vault Repository ID

  • The path to the associated file

  • The version of the file.

Click on the file to view the Vault History page.


Vault History

The Vault History page gives you a detail history of the selected file on the case detail page. The page shows the following information for each check in operation completed:

  • The user who committed the change

  • The version of the file created

  • The action that was performed

  • Any comment the user may have entered as part of the commit

On the first attempt to see the history page during a FogBUGZ session, you will be asked for a username and password. Upon success of the login, you will be presented with the Vault History page.


Vault Diff

The Vault Diff page shows you the diff between the selected file and the previous version.

Note

Diff must first be configured on the FogBUGZ Site Configuration screen. To do this, you must have admin rights for both Vault and FogBUGZ. For more information, see the Vault Admin Web Client documentation.

Click the link showing the version number of the file. The diff window will appear and display a side by side comparison of the two versions of the file, in a manner similar to the current diff application in Vault. Line numbers are displayed for each line of the file, modified lines are colored red, added lines green, and deleted lines blue.


Chapter 10. Reference Guide

Table of Contents

Menus
Main Window
File
Edit
View
Source
Tools
Help
Folder Tree Context Menu
File List Context Menu
Pending Change Set Context Menu
Search Context Menu
Show Label Menus
Label
View
Action
Label Promotion Menus
File
View
History Menus
View
Action
Help
Dialog Boxes
Add Files/Folders
Tree View of Local File System
Files/Folders to be Added
Exclude
Browse
Remove
Comment
OK
Cancel
Blame
Change Password
Check In/Commit
Check Out
File Options
Set File Time
Modified Local Copy
Request Exclusive Lock
Recursive
Only Show this Dialog When the Shift Key is Down
Comment
OK
Cancel
Choose Repository
Connect to Server
Copy Branch
Create Folder
Detect New Files/Folders
Diff
Delete
Edit File
Edit History Favorites
Adding a History Favorite
Renaming a History Favorite
Editing a History Favorite Query
Deleting a History Favorite
Run Query
Edit Profiles
File Properties
General
Check outs
Visual SourceSafe Information
Share Links
File Properties Backup Files
The Find Shelvesets Dialog
Folder Properties
General
Deleted Items
Links
Folder Properties Backup Files
Folder Versions
Get Latest Version
Label Diff
Label File or Folder
Label Promotion
Move
Rename
Save History Results
Set Working Folder
Unset Working Folder
Share
Share Branch
The Shelve Changes Dialog
The Shelveset Details Dialog
Show History For
Show Labels
Show Line History
Snapshot Folder
Undo Check Out
Version Details
Version List
View File
Keyword Expansion
History Keywords
HTML Keywords
Expanding Keywords
Preserving Spacing
Time Formats
Keyboard Shortcuts
Client Logging
Enabling Logging: Finding the Configuration File
Enabling Logging: Editing the Configuration File
What Should I Log?
Where is the Log File?
Special IDE Log File
Examples
Branching a Folder
Folder Shares
Primary and Secondary Shares
Query Description
Rename and Working Folders
Share Branch
Naming Syntax, Conventions and Limitations
User names
User passwords
Repositories
Label Names
File Names
Paths
Groups
Size of File Stored in Database
Number of Versions of a Given File


Menus


Main Window

The following menus and menu items appear in Vault Standard’s Main Window.


File

Connect to Server

The Connect to Server command allows you to connect to the Vault Standard server. This command is also available on the Toolbar and will display when Vault Standard is started. You can choose to automatically connect on startup with a profile.

Disconnect from Server

The Disconnect from Server command allows you to disconnect from the current server.

Choose Repository

The Choose Repository command allows you to select the repository from the connected server. You can choose to automatically open a repository when connecting to Vault Standard by using a profile.

Add Files/Folders

The Add Files/Folders command allows you to add new files or folders to the open repository by selecting files or folders accessible on the local machine. The Add Files command can also be found on the Toolbar.

Detect New Files/Folders

The Detect New Files/Folders command allows you to see which items exist in your local working folder that do not exist in Vault Standard, therefore allowing you to easily add new items to the repository.

Create Folder

The Create Folder command allows you to create a new empty folder within the open repository. The Create Folder command can also be found on the Toolbar.

Delete

The Delete command allows you to delete files or folders from the repository. The Delete command can also be found on the Toolbar.

Note

The Delete command is non-destructive. The items still exists in the history of the repository and can be recovered by clicking the Undelete command found in the Folder Properties.

Rename

The Rename command allows the names of the selected files or folders to be changed.

Move

The Move command allows you to move the selected files or folders from one folder to another.

Properties

The Properties command allows you to view and modify the properties of the selected file (File Properties) or folder (Folder Properties).

Set Working Folder

The Set Working Folder command allows you to set a directory on the client machine to store files retrieved from the server. The Set Working Folder command can also be found on the Toolbar.

A working folder must be set in order to Get Latest , Check Out or Edit.

Explore Working Folder

The Explore Working Folder command allows you to open a Windows Explorer window on the corresponding working folder. If there is no working folder set or the working folder does not exist, the command will not be available.

Exit

The Exit command closes the Vault Standard client application.


Edit

View File

The View File command allows you to view the repository’s latest version of a selected file without checking out or replacing the local copy of the file. The View File command can also be found on the Toolbar.

Edit File

The Edit File command allows you to check out and edit a selected file in a single operation. The Edit File command can also be found on the Toolbar.

Select All

The Select All command allows you to select all of the files in the file list.

Invert Selection

The Invert Selection command allows you to invert the already selected files. For each file in the file list, if it is selected, it will be unselected and, if it is unselected, it will be selected.


View

Refresh

The Refresh command refreshes the file list and folder tree by retrieving the latest information from the server. This command is merely used to update the display of status information, it does not modify the working folders in any way.

See Automatic Refresh in General Options to set the refresh option.

Show Differences

The Show Differences command opens the Diff dialog box to examine the differences between versions of a file. The Diff command can also be found on the Toolbar.

Show Blame

The Show Blame command opens Blame in the Vault Web Client. Blame is a line by line file history which shows the last user to modify any given line in a file.

Show Labels

The Show Labels command opens the Show Labels dialog to examine labels that have been applied to the currently selected file or folder, or labels that have been created recursively below that file or folder.

Show History

The Show History command opens the History Explorer to examine past versions to a tree or repository. The History command can also be found on the Toolbar.

History Favorites->Edit Favorites

The History Favorites->Edit Favorites command opens the Edit History Favorites dialog that allows you to manage saved queries.

History Favorites->(Saved Query)

The History Favorites->(Saved Query) command invokes a specific named query and displays it in the History Explorer dialog.

Show Line History

The Show Line History command opens the Show Line History wizard to search through the history of a file to find all modifications to a line, or a group of lines.

View Shelved Changes

The View Shelved Changes command opens the View Shelved Changes to list the shelvesets that have been uploaded to the Vault Standard server.

Dockable Panels

The panel commands at the bottom of the View menu provide options for displaying dockable panels in the Vault Standard GUI Client. Click the panel command in the View menu to open the panel. Click the X in the upper corner of the panel to close the panel. To move a panel, click on the title bar and move to one of the docking points which appears in the client.

Repository Explorer

The Repository Explorercommand opens a panel that contains the Folder Tree and File List for the current repository. By default, the panel is always displayed.

Pending Change Set

The Pending Change Set command opens a panel that contains the Pending Change set for the current repository.

Messages

The Messages command opens a panel that displays status messages from the Vault Standard server.

Search

The Search command opens the Repository Search panel.

Notifications

The Notifications command opens a panel that displays real-time source control and event notifications.

Find in Files

The Find in Files command opens a panel to search file contents within the Vault Standard repository.


Source

Get Latest Version

The Get Latest Version command retrieves a copy of the file from the Vault Standard server and places it in your working folder. If there is no current working directory, the Set Working Folder dialog box is displayed first since a working directory must exist before files are retrieved. The Get Latest Version command can also be found on the Toolbar.

Check Out

The Check Out command allows you to check out the latest version of a file or folder to modify the item. The Check Out command can also be found on the Toolbar.

Check In/Commit

The Check In/Commit command allows you to commit changes made to local files back into the repository. The Check In command can also be found on the Toolbar.

Undo Check Out

The Undo Check Out command allows you to undo a checkout and not modify contents of the file in the repository or change the version number. The Undo Check Out command can also be found on the Toolbar.

Show Merge

The Show Merge command allows you to resolve merges for files of status Needs Merge and also to examine how Vault Standard automatically resolved the conflicts between two files.

Resolve Merge Status

The Resolve Merge Status command resets the status of a file from Needs Merge to Edited Status, which allows you to check in the file. Vault Standard will only prompt to Resolve Merge Status if you are using SourceGear’s DiffMerge tool.

Note: The best practice is to first view the Show Merge results, as there may be file conflicts that must be manually resolved. If there are unresolved merge conflicts, Resolve Merge Status will revert any conflicting changes back to the lines in the common ancestor of the two files being merged. This may cause modifications to be lost.

Label

The Label command allows you to tag a version of a file or folder with a text string. The Label command can also be found on the Toolbar.

Share

The Share command allows you to make files or folders appear in two distinct places in the repository. The Share command can also be found on the Toolbar.

Branch

The Branch command allows you to either Share Branch or Copy Branch. A Share Branch allows you to break a link for a shared file; creating a separate file at the location it was shared. A Copy Branch allows you to branch any file or folder, whether it is shared or not. The Branch command can also be found on the Toolbar.

Snapshot

The Snapshot command allows you apply snapshots to a folder. This command has been deprecated in favor of Branch or Label.

Pin/Unpin

The Pin command allows you to pin a file or pin a folder to its current version, disallowing any changes to the file or folder until it is unpinned.

Cloak/Uncloak

The Cloak command allows you to specify that a folder or file should be ignored during get operations unless it is specifically selected.


Tools

Search Repository

The Search Repository command allows you to search for files that match specific criteria.

Run Last Search on Selected Folder

The Run Last Search on Selected Folder command will run the last repository search on the currently selected repository folder.

Find In Files

The Find in Files command allows you search for files containing a given text string.

Merge Branches

The Merge Branches command allows you to merge changes from any folder to any other folder.

Options

The Options command allows you to set global options by opening the Options dialog box.

Change Password

The Change Password option allows you to change passwords.

Abort Current Operation

The Abort command cancels any current server operation. It is only available during attempts to contact the Vault Standard server. The Abort command can also be found on the Toolbar.


Help

Contents

The Contents command will bring up the Help files. The Contents command can also be found on the Toolbar.

Search

The Search command will bring up the Search page for the Help files.

Technical Support

The Technical Support command will provide you with support contact information and links to the FAQ lists. It will also list your system and version information that will be relevant for tech support issues.

About Vault Standard

The About SourceGear Vault Standard dialog will show you the version number and the current locale.


Folder Tree Context Menu

Create Folder

The Create Folder command is used to create a new empty folder within the open repository. The Create Folder command can also be found on the Toolbar..

Add Files/Folders

The Add Files/Folders command allows you to add new files or folders to the open repository by selecting files or folders accessible on the local machine. The Add Files command can also be found on the Toolbar.

Detect New Files/Folders

The Detect New Files/Folders command allows you to see which items exist in your local working folder that do not exist in Vault Standard, therefore allowing you to easily add new items to the repository.

Set Working Folder

The Set Working Folder command allows you to set a folder on the client machine in which to retrieve repository files. The Set Working Folder command can also be found on the Toolbar.

A working folder must be set in order to Get Latest , Check Out or Edit.

Explore Working Folder

The Explore Working Folder command allows you to open a Windows Explorer window on the corresponding working folder. If there is no working folder set or the working folder does not exist, the command will not be available.

Get Latest Version

The Get Latest Version command allows you to retrieve all the latest files within the folder from the Vault Standard server and place them in the working folder. If there is no current working folder, the Set Working Folder dialog box is displayed first since a working directory must exist before files are retrieved. The Get Latest Version command can also be found on the Toolbar.

Check Out

The Check Out command allows you to check out the latest version of a files in the selected folder. You can then modify the files. The Check Out command can also be found on the Toolbar.

Check In/Commit

The Check In/Commit command allows you commit changes made to local files found in the selected folder or one of its sub-folders back into the repository. The Check In command can also be found on the Toolbar.

Undo Check Out

The Undo Check Out command allows you to undo the check out and not modify the contents of the file found in the selected folder or its subfolders in the repository or change the version number. The Undo Check Out command can also be found on the Toolbar.

Show Differences

The Show Differences command opens the Diff dialog box to examine the differences between versions of a folder. The Show Differences command can also be found on the Toolbar.

Show History

The Show History command opens the History Explorer to examine past versions to a tree or repository. The Show History command can also be found on the Toolbar.

History Favorites->Edit Favorites

The History Favorites->Edit Favorites command opens the Edit History Favorites dialog that allows you to manage saved queries.

History Favorites->(Saved Query)

The History Favorites->(Saved Query) command invokes a specific named query and displays it in the History Explorer dialog..

Search Repository

The Search Repository command allows you to search for files that match specific criteria.

Run Last Search on Selected Folder

The Run Last Search on Selected Folder command will run the last repository search on the currently selected repository folder.

Find In Files

The Find in Files command allows you search for files containing a given text string.

Show Labels

The Show Labels command opens the Show Labels dialog to examine labels that have been applied to the currently selected folder, labels that have been created recursively below that folder or labels inherited by that folder.

Share

The Share command allows you to make the selected folder appear in two distinct places in the repository. The Share command can also be found on the Toolbar.

Branch

The Branch command allows you to either Share Branch or Copy Branch . A Share Branch allows you to break a link for a shared item; creating a separate item at the location it was shared. A Copy Branch allows you to branch any item, whether it is shared or not. The Branch command can also be found on the Toolbar.

Label

The Label command allows you to tag a version of a file or folder with a text string. The Label command can also be found on the Toolbar.

Pin/Unpin

The Pin command allows you pin a folder to its current version, disallowing any changes to the folder until it is unpinned.

Cloak/Uncloak

The Cloak command allows you to specify that a folder should be ignored during recursive operations. For example, Get Latest Version operation will not get files from a cloaked folder unless the cloaked folder is specifically selected.

Delete

The Delete command allows you to delete the selected folder from the repository. The Delete command can also be found on the Toolbar.

Note

The Delete command is non-destructive. The items still exists in the history of the repository and can be recovered by clicking the Undelete command found in the Folder Properties.

Rename

The Rename command allows the name of the selected folder to be changed. The item will be immediately renamed unless Auto-Commit has been turned off in the Check In Options.

Move

The Move command allows the location of the selected folder to be changed. The item will be immediately moved unless Auto-Commit has been turned off in the Check In Options.

Properties

The Properties command allows you to view and modify the properties of the selected folder (Folder Properties).


File List Context Menu

View File

The View File command allows you to view the latest version of a selected file without checking out or replacing the local copy of the file. The View File command can also be found on the Toolbar.

Edit File

The Edit File command allows you to check out and edit a selected file in a single operation. The Edit File command can also be found on the Toolbar.

Get Latest Version

The Get Latest Version command allows you to retrieve a copy of the file from the Vault Standard server and place it in your working folder. If there is no current working folder, the Set Working Folder dialog box is displayed first since a working directory must exist before files are retrieved. The Get Latest Version command can also be found on the Toolbar.

Check Out

The Check Out command allows you to check out the latest version of the selected file. You can then modify the file or folder. The Check Out command can also be found on the Toolbar.

Check In/Commit

The Check In/Commit command allows you to commit changes made to local files back into the repository. The Check In/Commit command can also be found on the Toolbar.

Undo Check Out

The Undo Check Out command allows you to check in a file and not modify the contents of the file in the repository or change the version number. The Undo Check Out command can also be found on the Toolbar.

Show Differences

The Show Differences command opens the Diff dialog box to examine the differences between versions of a file. The Show Differences command can also be found on the Toolbar.

Show Labels

The Show Labels command opens the Show Labels dialog to examine labels that have been applied to the currently selected file.

Show History

The Show History command opens the History Explorer to examine past versions to a tree or repository. The Show History command can also be found on the Toolbar.

History Favorites->Edit Favorites

The History Favorites->Edit Favorites command opens the Edit History Favorites dialog that allows you to manage saved queries.

History Favorites->(Saved Query)

The History Favorites->(Saved Query) command invokes a specific named query and displays it in the History Explorer dialog..

Show Merge

The Show Merge command allows you to examine how Vault Standard automatically resolved the conflicts between two files, and to manually merge a file if it still needs merged.

Resolve Merge Status

The Resolve Merge Status command resets the status of a file from Needs Merge to Edited, which allows you to check in the file. If there are conflicts between the repository version and the working folder version, the merge will revert to the common ancestor of the lines which are in conflict. Use this command with caution.

Share

The Share command allows you to make files appear in two distinct places in the repository. The Share command can also be found on the Toolbar.

Branch

The Branch command allows you to either Share Branch or Copy Branch . A Share Branch allows you to break a link for a shared file; creating a separate file at the location it was shared. A Copy Branch allows you to branch any file, whether it is shared or not. The Branch command can also be found on the Toolbar.

Label

The Label command allows you to tag a version of a file with a text string. The Label command can also be found on the Toolbar.

Pin/Unpin

The Pin command allows you pin a file to its current version, disallowing any changes to the file until it is unpinned.

Cloak/Uncloak

The Cloak command allows you to specify that a file should be ignored during get operations unless it is deliberately selected. For example, if a file is Cloaked, Get Latest Version on the file’s parent folder will not retrieve the file.

Cloaked files will appear italicized in the File List.

Delete

The Delete command allows you to delete the selected files from the repository. If multiple files are selected, they will all be deleted at the same time. The Delete command can also be found on the Toolbar.

Note

The Delete command is non-destructive. The file or folder still exists in the history of the repository and can be recovered by clicking the Undelete command found in the Folder Properties.

Rename

The Rename command allows the names of the selected file(s) to be changed.

Properties

The Properties command allows you to view and modify the properties of the selected file ( File Properties ).


Pending Change Set Context Menu

Select All

Allows you to select all the entries in the Pending Change Set.

Copy

Copies all the currently selected entries in the Pending Change Set to the clipboard in a text format.

Edit Item Comment

The Edit Item Comment allows you to add or edit the comment associated with this item (not the overall changeset comment).

Commit

The Check In/Commit command allows you to bring up the Check In/Commit dialog box containing the selected items in the pending list and then commit them to the repository.

Undo

The Undo command allows you to check in a file and not modify the contents of the file in the repository or change the version number. The Undo command can also be found on the Toolbar.

Shelve Selected Operations

The Shelve Selected Operations command allows you to create a Shelve Set and store it in the Vault databases without first needing to check in your changes. The Shelve Set can later be unshelved so you can work on it further. The Shelve All command can be found on the Pending Change Set Toolbar.

Show Differences

The Show Differences command opens the Diff dialog box to examine the differences between versions of a file. The Show Differences command can also be found on the Toolbar.

Show Merge

The Show Merge command allows you to examine how Vault Standard automatically resolved the conflicts between two files.

Resolve Merge Status

The Resolve Merge Status command resets the status of a file from Needs Merge to Edited, which allows you to check in the file.


Search Context Menu

Different commands are available on Search Results List context menu depending on the type of search performed, the status of the files selected and the number of files selected. The following tables describe the availabiity of the different commands.

Search for File State -> Not in Source Control

Command

Availability

Refresh Results

Available if a search has been performed.

Select All

Available if the result list has items

Copy

Available if at least one item is selected

Add File

Available if at least one item is selected

Search for File State -> Deleted

Command

Availability

Refresh Results

Available if a search has been performed

Select All

Available if the result list has items

Copy

Available if at least one item is selected

Undelete

Available if at least one item is selected

All Other Searches

Command

Availability

Refresh Results

Available if a search has been performed

Select All

Available if result set is greater than zero

Copy

Available if at least one item is selected

Get Latest

Available if at least one item is selected

Check Out

Available if at least one item is selected and you do not have any of the selected items checked out on the current machine

Check In

Available if at least one item is selected and if all the selected files are Checked Out, or in an Edited or Needs Merged state

Undo Change

Available if at least one item is selected and if all the selected files are Checked Out, or in an Edited or Needs Merged state

View

Available if only one item is selected

Edit

Available if only one item is selected

Show Differences

Available if only one item is selected

Show Merge

Available if only one item is selected and the selected item is in a Needs Merged state

Resolve Merge Status

Available if only one item is selected and the selected item is in a Needs Merged state

Delete

Available if at least one item is selected

Pin

Available if at least one item is selected and the search criteria did not include pinned files

Unpin

Available if at least one item is selected and the search criteria did not included unpinned files

Share

Available if at least one item is selected

Branch

Available if at least one item is selected

History

Available if only one item is selected


Show Label Menus

The following menus and menu items appear in the Show Labels dialog.


Label
Delete

The Delete command allows you to delete a selected label. You will be prompted to confirm the label deletion. Once confirmed, the label is removed from the repository.

This command is only available on labels that were created at the same file or folder the Show Labels command was invoked on.

Rename

The Rename command allows you to rename a label. The “rename” must maintain label “uniqueness” for all items in the label

This command is only available on labels that were created at the same file or folder the Show Labels command was invoked on.

Promotion

The Promotion command brings up the Label Promotion dialog, which allows you to add or delete files to or from the label, and also allows you to change the version numbers of files associated with the label.

This command is only available on labels that were created at the same file or folder the Show Labels command was invoked on.

Close

Closes the dialog


View
Refresh

The Refresh command allows you to re-query the label to get updated results.


Action
Diff

Invokes the diff command on the item listed in the menu item that is associated with the selected label.

View

Views the item listed in the menu item that is associated with the selected label. For a folder, this invokes a window that allows you to see the tree structure of the folder at the time it was labeled.

Get

Gets the item listed in the menu item that is associated with the selected label.

A working folder is required to Get a label to the local disk. The Get dialog is displayed when getting the item, and you can choose to get the item to a different folder from that dialog.

If the folder the label is retrieved to is a working folder, it will update the state files to reflect the versions of the label, and will honor the Get options that apply to history Gets, for issues like overwriting existing files, timestamps, etc.

Share

Shares the item listed in the menu item that is associated with the selected label at the version associated with label. This works same way as if it were shared from history, in that it shares the item, then pins it to the version it was shared from.

You can only share an item that is part of a label that has not been promoted.

Branch

Branches the item listed in the menu item that is associated with the selected label. This works same way as if it were branched from history at the version associated with the label.

You can only branch an item that is part of a label that has not been promoted.

Pin/Unpin

Pinning / Unpinning an item associated with the selected label will operate as if the main object is pinned or unpinned using the label’s version.

You can only pin or unpin an item that is part of a label that has not been promoted

Edit Comment

Invokes a dialog that allows you to change the text of the comment is associated with the selected label. You can only edit label comments if you are the creator of the label or the “admin” user.


Label Promotion Menus

The following menus and menu items appear in the Label Promotion dialog.


File
Delete

The Delete command marks the currently selected file or folder to be deleted from the label. Once deleted, the file or folder is not retrieved as part of the label. The deletion actually happens when the Save command is invoked.

This command is not available on the label root.

Add

The Add command allows you to add files or folders to the label. Only files or folders that currently exist at the selected folder in the repository can be added to the label. You can select any folder in the label to add files or folders to. If there are no new files or folders to be added, a dialog will be displayed telling you so.

The add of the files or folder actually happens when the Save command is invoked.

This command is not available when a file is the current selection.

Change Version

The Change Version command allows you to change the version of a file associated with the label. When invoked, a dialog is displayed showing all the versions of the selected file, and you can choose which new version you want to associate with the label.

The version number change actually happens when the Save command is invoked

This command is not available when a file is the current selection.

Save

The Save command saves the label’s edited contents. The changes to be saved are listed in the bottom pane of the window

Close

The Close command will close the Label Promotion window, offering to save any unsaved changes first.


View
Refresh

The Refresh command gets the latest version of the label from the server, and updates the tree view and file list.


History Menus

The following menus and menu items appear in the History Explorer dialog.


Action
Diff

The History Diff command allows you to compare a version with a previous version or the working folder. If two versions have been selected, the command retrieves both versions and compares them against each other using the default Diff Program. If only one version is selected, the History Diff dialog will be displayed to allow you to choose which version you want to diff against.

View

If a file is selected, the History View command allows you to retrieve the selected version and display its contents by launching the appropriate editor.

View is not supported for an entire folder.

Get

The History Get command gets the version that corresponds to the current selection. For example, if the current selection is a file check in, it retrieves the version associated with that check in. If the current selection is a folder, it retrieves the files (and their versions) that existed at the time of that folder version. Files are retrieved to their working folders by default.

Details

The Details command allows you to see the details for the entire check in, including the other files included in that file version’s check in, of the selected file by displaying the Version Details dialog box.

Pin

The Pin command allows you to pin the selected item.

Unpin

The Unpin command allows you to unpin the selected item.

Share

History Share works similarly to the regular Share command except that it works on a historical version of a file or folder instead of sharing the most recent version.

In the case of a file, it will share the file to a new location, and then pin it to the version you have selected in the list. For folders, it will share the folder to a new location and pin the folder to the version that was selected.

A History Share will always pin the file or folder being shared even if it is the most recent version. If the file or folder being shared is already shared, it will merely add the new file or folder as another link in the shared file.

Branch

The Branch command allows you to branch on the selected file or folder at the version that is selected. You cannot branch a deleted file or folder.

Note

A branch on a previous version of an item is always a Copy Branch. A branch on the current version follows the normal rules of branch. See Branch Items for more information.

Label

The Label command allows you to label the selected file or folder at the version that is selected. You cannot label a deleted file or folder.

Rollback

The History Rollback command is a non-destructive way to make a previous version the current version. It checks out the file at the version selected and checks in that file as the latest version. A rollback does not break a share.

Rollback is not available when the file is pinned.

Check Out

The History Check Out command is used to check out a file while simultaneously retrieving the selected version. This only allows a single checkout at a time.


Help
Contents

The Contents command will bring up the Help files opened to the History Explorer .

About Vault Standard

The About SourceGear Vault Standard command will show you the version number and the current locale.


Dialog Boxes


Add Files/Folders

The Add Files/Folders dialog box allows you to add new files or folders to the repository by selecting files that are accessible to the local machine.

The Add Files/Folders dialog box can be opened:

  • From the File menu, select Add Files/Folders

  • Right-click on selected folder to bring up the Folder Tree Context Menu, select Add Files/Folders

  • Select Add Files/Folders on the Toolbar

  • Ctrl+N


Tree View of Local File System

The top pane contains a tree control and a file list of the local file system. If a working folder exists at the node this command was invoked on, the tree control will have that working folder selected. Selecting a node in the tree will fill the file list with the files in that local folder.

Checking a folder will automatically check all the folders and files under that folder that meet the exclusion rules, and add that folder to the File/Folder to be Added list. If not all files/folders underneath a folder are checked, the folder’s checkbox will be partially checked.

Checking a partially checked folder will fully check all files and folders under that folder. Checking a fully checked folder will uncheck all files and folders, and remove the entry from the Files/Folder to be Added list.


Files/Folders to be Added

The Files/Folders to be Added is the list of pending folders or files that are to be added from the local directory. Following are the columns in this list.

  • Items – The local path of the file or folder to be added.

  • Properties – For files, the size of the file being added. For folders, the total size, and the number of folders and files included in the folder being added.

  • Repository Path – The path in the repository the items will be added.


Exclude

Click Exclude to display a dialog that allows you to view/edit the list of files and folders to exclude when checking a folder. This list is defined in the Admin Web Client and making changes to it here does not update the default list.

Changing this list does not go back and re-apply the exclusion rules to already checked folders, since it is possible you could have already made changes to the file list that cause it to not follow the exclusion rules. If you want to re-apply the exclusion rules, you need to uncheck the folder, then check it again.


Browse

Click Browse to add additional drives or shared network folders to the Local File System tree view. This allows you to add files from any drive that can be accessed from the local machine. New drives are rooted at the top of the tree view.


Remove

Click Remove to remove the selected files or folders from the pending list. This will update the state of the tree and file list to reflect that the items are not to be added.


Comment

Type a comment in the Comment dialog box. The comment applies to all files being added. If the Auto-Commit is on, they become the changeset comment.


OK

Click OK to add the files and folder to the Pending Change Set window.

If Auto-Commit has not been selected, the files and folders will be added to the repository as part of the next check in transaction. The comment is applied individually to each file.

If Auto-Commit has been selected (default), the files and folders will be added to the Vault Standard repository immediately. The comment will become the changeset comment.

Please see Auto-Commit for more information.


Cancel

Click Cancel to exit the Add Files dialog box without making any changes.


Blame

The Blame window shows the last user to modify any given line in a file. This is useful for determining why a build broke or to just generally assign credit or blame to content changes in a file.

The blame window has the following columns:

  • Line – The line number of the given line.

  • User – The user who made the last change. If the same user made changes for a block of lines, only the first line will display the user’s name and all the remaining lines in that block will be in the same shading to indicate it is the same user (without repeating the user’s name).

  • Version – The version number of the file that the line last changed on. Each version number is linked to a footnote table at the bottom of the page that shows which versions have changed content, which user checked that version in, and what the comment was for that check in.

  • File Contents – The actual line in the file.


Change Password

The Change Password dialog box allows a user to change his password.

The Change Password dialog box can be opened:

  • From the Tools menu, select Change Password

Old Password

Type your current password in the Old Password box.

New Password

Type a new password in the New Password box.

Verify

Type the new password again in the Verify box.

OK

Click OK to save the changes and close the Change Password dialog box.

Cancel

Click Cancel to close the Change Password dialog box without changing the password.


Check In/Commit

The Check In/Commit dialog box allows a user to check in all pending changes to files and folders. For more information, please see the section for checking in Files or Folders.

The Check In/Commit dialog box can be opened:

  1. From the Source menu, select Check In/Commit

  2. Right-click on selected file to bring up the File List Context Menu, select Check In/Commit

  3. Right-click on selected folder in bring up the Folder Tree Context Menu, select Check In/Commit

  4. Select Check In or Commit All on the appropriate Toolbar

  5. Ctrl+I

  6. In the Pending Change Set, click the Commit button or use Ctrl + M

Changes

The Changes box contains a list of all files (added, deleted or modified) that are included in this check in. The following are the columns of the list.

  • Item

  • Type

  • Details

Note

If a file’s status is Needs Merge, it must be merged prior to being committed to the repository, which can be accomplished by invoking the Show Merge command. If the file is already merged, invoke the Resolve Merge Status command to reset the file’s status to Merged.

Check All

Click Check All to select all the items in the list.

Uncheck All

Click Uncheck All to clear all the checkboxes in the list

Keep Checked Out

Check the Keep Checked Out checkbox to perform a check out operation on each file after the check in has completed.

Remove Local Copy

Check the Remove Local Copy checkbox to remove the checked in files from the working folder.

Update Bugs

If you have a FogCreek FogBUGZ server configured, Update Bugs allows you notify the bug tracking system that files relating to item numbers were checked in.

Type the case number in the Update Bugs box.

Note

The update bugs section of the checkin dialog is only enabled if files in the checkin transaction have a status of added or modified.

When the file is commited, the files that were checked in will be associated with the items in the bug tracking system.

Multiple case numbers may be entered, separated by a comma or semicolon.

For more information, please see FogBUGZ in the Bug Tracking Integration section.

Diff

The Diff button is available when a selected file has been modified. Click on the button to bring up the Diff window to see your changes.

Comment

Type a comment in the Comment box. This will apply to all files checked in with the changeset. This is optional.

OK

Click OK to commit the selected items to the Vault Standard repository and close the Check In/Commit dialog box.

Cancel

Click Cancel to close the Check In/Commit dialog box. No items will be checked in.


Check Out

The Check Out dialog box allows you to check out a file from the Vault Standard repository. Checking out a file marks your intention to edit it and ensures it has write permission locally. Proceeding with a Check Out retrieves the latest version of the file. For more information, please see the section for checking out Files or Folders.

The Check Out dialog box can be opened:

  • From the Source menu, select Check Out

  • Right-click on selected folder to bring up the Folder Tree Context Menu, select Check Out

  • Right-click on file to bring up the File List Context Menu, select Check Out

  • Select Check Out on the Toolbar

  • Ctrl+O

You must have a working folder defined to check out a file. If a working folder is not set for the selected file or folder, the Set Working Folder menu dialog box will appear first. Select a working folder and continue with the Check Out command. Click Cancel on the Set Working Folder menu dialog box to abort the operation.


File Options


Set File Time

The Set file time list allows you to select the timestamp to give the local file after it is retrieved from the repository. Select one of the following options.

  • Current – the current client time the file is download from the server.

  • Modification – the time the file was last modified on the client before it was checked in. This time depends on the clock of the client machine where it was checked in.

  • Check In – the server time the file was checked in on the server.


Modified Local Copy

This option tells Vault Standard how to handle files that have been modified locally since they were retrieved or exist but have a status of Unknown. This option doesn’t apply to local files that are known versions in the repository. Select one of the following options:

  • Overwrite Working Copy – This overwrites the local file. If the file has a status of Unknown, it will be backed up in the _sgbak directory before being overwritten

  • Do Not Overwrite/Merge Later – This will not overwrite an existing file if it has been changed locally. Vault Standard will still download a new repository version into the hidden state folder if one exists, allowing you to manually merge the file later (in which case the file’s status becomes Needs Merge).

  • Attempt Automatic Merge – Vault Standard will attempt to merge the changes from the server copy into the working copy. If it can do so without irresolvable conflicts, then it will do so. All three files will be archived so you can examine precisely what was done in the automatic merge step. However, if the file cannot be merged automatically, the behavior is identical to that of the Do Not Overwrite setting above. The working copy is untouched, and you must resolve the conflict later before Check In is allowed. A message is written in red in the Messages pane for each file that could not be merged.

The default for this option is Attempt Automatic Merge.


Request Exclusive Lock

The Request Exclusive Lock checkbox is checked or unchecked as per your setting in the General Options dialog.

An exclusive lock on a file means that no one else can check the file in or out while the current user has it checked out.

This option is disabled and checked for non-mergeable files which must be checked out exclusively since they cannot be merged.


Recursive

Check the Recursive checkbox to check out all files and subfolders of the selected folder.


Only Show this Dialog When the Shift Key is Down

If you select this option, the dialog box will be disabled and will not appear unless the shift-key is being held down. The default selections will apply to any item checked out. See Command Dialogs Options to change the default selections.


Comment

Enter a comment in the Comment box. This comment will be the default check in comment for the file that was checked out (or all files if this was a recursive operation). This is optional.


OK

Click OK to check out the selected items and close the Check Out dialog box.


Cancel

Click Cancel to close the Check Out dialog box. Nothing will be checked out.


Choose Repository

The Choose Repository dialog box allows you to choose a repository from the connected server. For more information, please see Working with Repositories.

The Choose Repository dialog box can be opened:

  1. From the File menu, select Choose Repository

  2. When connecting to a server, the Choose Repository dialog box will automatically appear

  3. Ctrl+P

Available Repositories

The Available Repositories box lists the repositories you have access to in the currently connected Vault Standard server. The repository’s version and number of files and folders are also listed. Access is set by the administrator in the Admin Web Client.

OK

Click OK to choose the selected Vault Standard repository and close the Choose Repository dialog box.

Cancel

Click Cancel to close the Choose Repository dialog box. If a repository is already opened, the current repository remains open. If no repository is open because you have just logged into a new server, the client is still logged into the server and you can still choose to open a different repository. Go to the File menu and select Choose Repository.


Connect to Server

The Connect to Server dialog box connects you to the Vault Standard server. For more information, please see Working with Repositories.

The Connect to Server dialog box can be opened:

  1. From the File menu, select Connect to Server

  2. Upon starting Vault Standard

You can only be connected to one server at a time. Therefore, if connect to a different server during a session, you will be disconnected from the current server.

Username

Type your User name. You must be an active Vault Standard user as defined in the Vault Standard Admin Web Client.

Password

Type your Password.

Vault Standard Server

Type the name of the Vault Standard server. This is the host name of the server and not a URL. You do not need to use http://. For example you might use myvaultserver to connect within the network or myvaultserver.mydomain.com over the Internet. You can also connect using the Vault server IP address as the server name. If your IIS is using a non-standard port, indicate the port number as in this example: myvaultserver.mydomain.com:888.

Use SSL

Check the Use SSL checkbox if you are using Secure Sockets Layer (SSL) for security.

Select Profile

Allows you to select an existing profile. If you select a profile, the information from that profile will be automatically placed in the login fields.

Edit Profiles

Click to bring up the Edit Profiles dialog, which allows you to enter and edit profiles for use in automatically logging in.

Automatically Connect using this profile

Check the Automatically Connect using this profile checkbox to automatically connect to the server specified by the current profile the next time Vault Standard is started. This option is available only if you are currently using a profile, and if that profile is configured to remember the user’s password (since the password must be supplied to automatically login).

OK

Click OK to attempt a login to the specified server. The Connect to Server dialog box will close and the Choose Repository dialog box will open unless you are using a profile that automatically connects to a repository, in which case that profile will be automatically chosen.

Cancel

Click Cancel to close the Connect to Server dialog box. If you are not currently logged in, the client remains in an unconnected state.


Copy Branch

A Copy Branch allows you to branch any file or folder, whether it is shared or not. For more information, please see Branch Items.

To open the Branch dialog box select a file or folder then either:

  • From the Source menu, select Branch

  • Select Branch on the Toolbar

Specify a folder/file name

Select a folder in the tree to place the branched version, and if desired, provide a new name for the copy of the file.

Comment

Type a comment for the branch operation in the Comment box. This is optional.

OK

Click OK to branch the select file or folder and return to the main window.

Cancel

Click Cancel to exit the Branch dialog box without making any changes.


Create Folder

The Create Folder dialog box allows you to create a new empty folder within the repository. For more information, please see Create, Add and Delete Folders.

The Create Folder dialog box can be opened:

  1. From the File menu, select Create Folder

  2. Right-click on folder to bring up the Folder Tree Context Menu, select Create Folder

  3. Select Create Folder on the Toolbar

  4. Press the INSERT key

New Folder Name

Type a new folder name in the New Folder Name box.

OK

Click OK to create the folder and close the Create Folder dialog box.

If Auto-Commit has been selected (default), the folder will be created in the Vault Standard repository immediately. If Auto-Commit has not been selected, the folder will be created in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.

Cancel

Click Cancel to close the Create Folder dialog box. A new folder will not be made.


Detect New Files/Folders

The Detect New Files/Folders within Working Folder dialog allows you to see which files and folders exist in your local working folder that do not exist in Vault Standard, therefore allowing you to easily add new items to the repository.

The Detect New Files/Folders dialog can be opened:

  1. From the File menu, select Detect New Files/Folders

  2. Right-click on selected folder to bring up the Folder Tree Context Menu, select Detect New Files/Folders

  3. Ctrl+T

Tree View of Local File System

The top pane contains a tree control and a file list of the local file system, rooted at the working folder where the command was invoked. The tree is actually the repository tree, and if a node is selected, the working folder at that node is used to display the list of files that exist in the working folder, but not in the repository at that level. In addition, any working folder's subfolder, which is not currently in the repository, will be displayed in the tree control but with a dimmed color.

Checking a controlled folder will recursively check all the files under that folder that meet the exclusion rules. All files that meet the exclusion rules are added as individual entries in the Files/folders to be Added list at the level in the repository that corresponds to the working folder.

Checking a non-version-controlled subfolder will create a new pending changeset entry in the Files/folders to be Added list for the subfolder in addition to any sub-items meeting the exclusion rules. Note, a check may be applied to the non-version-controlled subfolder at any level. The resulting folder to be created will include any non-version-controlled parent folders necessary to maintain the folder structure's integrity.

If not all files/folders underneath a folder are checked, the folder’s checkbox will be partially checked. Checking a partially checked folder will fully check all its subfolders and subfiles. Checking a fully checked folder will uncheck all its subfolders and subfiles, and remove the entry from the Files to be Added list.

Files to be Added

Files to be Added is the list of pending files that are to be added from the local directory. The following columns are in this list:

  • Items – The local path of the file or folder to be added.

  • Properties – For files, the size of the file being added. For folders, the total size, and the number of folders and files included in the folder being added.

  • Repository Path – The path in the repository to which the items will be added.

Exclude

Click Exclude to display a dialog that allows you to view/edit the list of files and folders to exclude when checking a folder. This list is defined in the Admin Web Client and making changes to it here does not update the default list.

Changing this list does not go back and re-apply the exclusion rules to already checked folders, since it is possible you could have already made changes to the file list that cause it to not follow the exclusion rules. If you want to re-apply the exclusion rules, you need to uncheck the folder, then check it again.

Remove

Click Remove to remove the selected files or folders from the pending list. This will update the state of the tree and file list to reflect that the items are not to be added.

Comment

Type a comment in the Comment dialog box. The comment applies to all files being added. If the Auto-Commit is on, they become the changeset comment.

OK

Click OK to add the files and folder to the Pending Change Set window.

If Auto-Commit has not been selected, the files and folders will be added to the repository as part of the next check in transaction. The comment is applied individually to each file.

If Auto-Commit has been selected (default), the files and folders will be added to the Vault Standard repository immediately. The comment will become the changeset comment.

Please see Auto-Commit for more information.

Cancel

Click Cancel to exit the Add Files dialog box without making any changes.


Diff

The Diff command allows you to compare working files and folders to previous versions of themselves.

The Diff dialog box can be opened:

  1. From the Tools menu, select Show Differences

  2. Select Diff on the Toolbar

  3. Right-click on folder to bring up the Folder Tree Context Menu, select Show Differences

  4. Right-click on file to bring up the File List Context Menu, select Show Differences

Compare the working folder/file to:

  • The last version retrieved from the repository – This compares the working file or folder to the version that you started editing from which is the version that was retrieved from the repository.

  • The current version in the repository now – This compares the working file or folder to the current version in the repository that may have changed since you started editing.

  • A label applied to this folder/file – This compares the working file or folder to a version of the same file or folder that is part of a label that was previously applied. The Browse button will display the list of available labels that can be compared to the working file or folder.

  • Any local folder/file – This compares the working file or folder to a file or folder on the local disk. The browse button will display a local file/folder chooser that allows you to choose which file or folder to compare against the working file or folder.

  • Any repository folder/file – This compares the working file or folder to the current version of any file or folder in the repository. The Browse button will display the current repository tree and allow you to select a repository file or folder to compare against the working file or folder.

Recursive

When a folder has been selected, the Recursive checkbox will be available. Check Recursive to view the difference in the selected folder and all the subfolders. Uncheck Recursive to view the differences just in the selected folder.

The default is Checked.

Only show this dialog when the shift key is down

If you select this option, the dialog will be disabled and will not appear unless the shift-key is being held down. The default selections will apply to any item selected. See History/Labels Options to change the default selections.

OK

Click OK to bring up the default Diff Program.

Cancel

Click Cancel to close the Diff dialog box.


Delete

The Delete dialog box allows you to delete files or folders from the repository. The Delete command is non-destructive and the items still exists in the history of the repository. The items can be recovered by clicking the Undelete command found in the Folder Properties dialog box.

The Vault Standard client does not allow operations that destroy history. The Obliterate command is available in the Vault Standard Admin Web Client, which actually destroys the deleted file.

The Delete dialog box can be opened:

  • From the File menu, select Delete

  • Right-click on selected folder to bring up the Folder Tree Context Menu, select Delete

  • Right-click on selected file to bring up the File List Context Menu, select Delete

  • Select Delete on the Toolbar

Delete file(s) from working folder

If you are deleting a file which is already in your working folder, this checkbox will become enabled. When checked, it will delete the file from the working folder as well as the repository. The default value of this checkbox is controlled by the -->Perform file deletes in working folder option.

Are you sure you want to delete the following files?

A list of the selected files or the folder will appear in the box. If a folder is selected, the folder and all of its contents, recursively, will be deleted.

OK

Click OK to delete the items and close the Delete dialog box.

If Auto-Commit has been selected (default), the files will be deleted in the Vault Standard repository immediately. If Auto-Commit has not selected, the files will be deleted in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.

Cancel

Click Cancel to close the Delete dialog box. The item will not be deleted.


Edit File

The Edit File command edits a file by launching an external editor and allows you to check the file out if it is not already checked out. For more information, please see Editing Files.

The Edit File dialog box can be opened:

  • From the Edit menu, select Edit File

  • Select Edit on the Toolbar

  • Right-click the selected file to bring up the File List Context Menu, then select Edit

Use the system default

Select Use system default for this file type to use the default editor.

Use

Select Use and type the full path to the editor to use a different editor application. Use the Browse button to find the editor if necessary. Once a different application is selected, it will become the default.

The default editor for Windows is Notepad. To change the default application, see External Programs Options.

Check out file before editing

Select Check out file before editing to check out the file from the Vault Standard server. This option is disabled if the file is already checked out.

If you have the Requires Check Out before Check In option enabled in the Check In Options, the default will be checked.

Only show this dialog when the shift key is down

If you select this option, the dialog will be disabled and will not appear unless the shift-key is being held down. The default selections will apply to any item selected. See External Programs Options to change the default selections.

OK

Click OK to launch the external application and edit the selected file.

Cancel

Click Cancel to abort the operation.


Editing a History Favorite Query

Select a history favorite from the list and choose Edit to edit the query associated with the favorite. This will display the History Query Filter dialog with the currently filtered items selected. Make your changes to the filter options and then click the Save button.


Edit Profiles

The Edit Profiles command allows you to create and edit profiles for use in connecting to a Vault Standard server and repository. For more information, please see Profiles.

The Edit Profiles dialog box can be opened from the Edit Profiles button on the Connect To Server dialog.

Profile List

The Profile List contains the list of profiles that have already been defined. Selecting a profile in the list will populate the Login Information and Repository Information boxes with the data specified for that profile.

New

Click New to create a new, empty profile. You will be prompted to enter the profile name.

Delete

Click Delete to delete the selected profile.

Username

Contains the Username associated with the selected profile.

Password

Contains the Password associated with the selected profile. This is only enabled if the Remember Password checkbox is enabled. If this field has a value and the Remember Password checkbox is unchecked, the password will be removed on Save and the profile will no longer contain a password.

Vault Standard Server

Contains the Vault Standard Server associated with the selected profile, as it would be entered in the Connect To Server dialog.

Use SSL

If checked, this will connect to the server using SSL for the selected profile.

Remember Password

If checked, the password specified in the Password field will be saved and remembered, allowing the user to automatically connect to the server using this profile. If unchecked, the user will need to enter the password for each connection using this profile.

Default Repository

Contains the name of the repository to select by default after a connection is made to the server for this profile.

Automatically Choose This Repository

If checked, the Default Repository will be automatically chosen after connecting to the server for this profile. The Choose Repository dialog will not be displayed at all when this profile is used. This is only enabled if there is a value in the Default Repository List

Get Repository List

Brings up a dialog containing a list of repositories in the Vault Standard server associated with this profile. Note that this uses values specified in the Username, Password, and Vault Standard Server fields to login to that server in order to retrieve the repository list, so if they do not contain valid values, the repository list cannot be retrieved.

Save

Click Save to save any changes you have made to the profiles while in the dialog and then exit.

Cancel

Click Cancel to abort the operation.


File Properties

The File Properties dialog box allows you to view and modify the properties of a file. The dialog box has five tabs: General, Check Outs, Share Links, Visual SourceSafe Information, and Backup Files.


General

Name

The name is the full repository path of the selected file.

Type

The type of the selected file is displayed. This can be changed by selecting one of the following.

  1. Binary – Marks the file as not able to be merged. The file will require exclusive check outs and no attempt will be made to merge different versions together.

  2. Mergeable – Marks the file as able to be merged and not needing to be locked exclusively.

  3. Use default for this file type – File extensions are used to determine default types for mergeable files. This options uses the system default the file.

You must click Apply in order for this change to take effect.

EOL Conversion

The EOL (End of Line) of the selected file is displayed. The can be changed by selecting either:

  1. None

  2. Native – Native chooses the format of OS the client is currently running on

  3. Windows (CLRF)

  4. Unix (LF)

  5. Mac (CR)

You must click Apply in order for this change to take effect.

Local Copy Information

The Local Copy Information box contains the following information.

  1. Version – the version number of the file when it was checked out

  2. Modified Date – the last modified date time of the file in the working directory

  3. Size – the size in bytes of the file in the working directory

  4. Status –the status of the file as shown in the file list

If there is no local copy, this will be blank.

Latest in Repository Information

The Latest in Repository Information box contains the following information.

  1. Version – the most recent repository version number of the file

  2. Modified Date – the last modified date time of the file in the repository

  3. Check in Date – the check in date time of the file in the repository

  4. Size – the size in bytes of the file in the repository

  5. Status – this displays only if the file is pinned and will display which version the file is pinned at

Comment

The Comment box contains the comment of the transaction which created the file’s version.

Apply

Click Apply to apply any changes made to any of the properties. The property changes increment the version number of the file.

Note

If the file is currently pinned, the edit is not allowed.

Close

Click Close to exit the Properties dialog box. If you have edited a property but not applied it, you will get a warning asking you whether you want to apply the change.


Check outs

The Check outs tab displays checkout information about the selected file. No items on this tab can be edited.

User

The User box lists all users who currently have the selected file checked out and includes the machine they have it checked out to.

The properties reflect the values for each user as they are selected.

Version

The Version is the repository version at the time the selected user checked out the file.

Date

The Date is the repository server’s date time when the selected user checked out the file.

Folder

The Folder is the folder and file name of the file that was checked out by the selected user.

Comment

The Comment is the check out comment the selected user entered.


Visual SourceSafe Information

This properties tab displays information about a file which was imported from Visual SourceSafe. If the file was not imported, this tab will not be displayed.

Path

The path of the original file in VSS.

Import Date

The date of the import run which originated the file.

Import User

The user that performed the import operation.


Share Links

The Share Links tab contains all links of the shared file in a list that you have access to. No items on this tab can be edited.


File Properties Backup Files

The File Properties Backup Files tab contains a list of all the available backup files for the selected file.

Date

The Date is the timestamp of the backup file.

Baseline Version

The Baseline Version is the repository version the file was based off of when the backup was made.

The File Properties Backup Files list context menu contains the following commands:

Diff

The differences between the backup file and the current working folder version can be viewed by selecting Diff from the context menu.

View

The backup file can be viewed by selecting View from the context menu.

Restore

Selecting Restore from the context menu will overwrite the working folder version of the file with the selected backup file.

Delete

Any backup file may be permanently deleted by selecting Delete from the context menu.

Select All

Selects all the items in the bottom table where operations are performed.


The Find Shelvesets Dialog

This dialog is used to browse the shelvesets for a repository and get basic details about them. It can be opended by clicking the Unshelve button in the Pending Changes control, or selecting the View Shelved Changes menu item in the View menu. The controls are as follows:

User

This dropdown will display a list of all active users with access to the repository. Your user name is selected by default in this dialog. Selecting the first item in the dropdown (named “all”) will show all shelvesets from all active users in this repository.

Find

Clicking this button will populate the Shelveset list for the user selected in the user dropdown.

Results

This list will display all of the shelvesets for a selected user. If you don't have Read access to any of the shelved changes in a shelveset, it will not be included in the results. The path column displays the parent path of the items that are shelved (for example $/trunk/src or $/branches/1.0). Selecting a shelveset in this list will activate the Details button. You can unshelve the selected shelveset through the Shelveset Details dialog (opened by selecting a shelveset and clicking the Details button). The following operations are available in the context menu:

Details

View the details for the shelveset. (Double-clicking an item will also activate this action.)

Rename

Rename the shelveset. Renaming a shelveset will not affect the shelveset creation time. You may only rename your shelvesets. (F2 is a shortcut for this action.) No two shelvesets may have the same owner and shelveset name.

Delete

Delete the shelveset. You many only delete your shelvesets. (The delete key is a shortcut for this action.)

Diff

Perform a diff of the shelveset against a tree

Diff against working folder

Diff the shelveset against the working folder (both folders will be rooted at the deepest path in the shelveset).

Diff against baseline

Diff the shelveset against the baselines (at the time of the shelve operation).

When Diffing shelvesets, the Find Shelvesets dialog expands to allow you to select two shelvesets. The Diff function will fetch both shelvesets to a temporary directory and perform a folder diff.


Folder Properties

The Folder Properties dialog box allows you to view and modify the properties of a folder. Right-click on a folder in the tree and select Properties . . .

The dialog box has four tabs: General, Deleted Items, Share Links, and Backup Files.


General

Name

The Name displays the name of the selected folder.

This project is cloaked for me

Check the This project is cloaked for me checkbox to cloak the folder. This will update the state of the folder immediately.

Contains

The Contains box shows:

  • the number of files and the number of files deleted

  • the number of subprojects and the number of sub-folders deleted

  • the Tree Size which is the total size of all files recursively in the folder

  • the Disk Space Needed which is the amount of disk space required to do a Get to a working folder, which is double the tree size, since the state folder keeps a baseline copy of each file on the local disk.

Latest in Repository

The Latest in Repository box shows the version number and date of the selected folder.

Comment

The Comment box contains the comment that was entered when the user created the folder.

Close

Click Close to close the Folder Properties dialog box.


Deleted Items

Deleted Items

The Deleted Items tab contains a list of all items that have been deleted at this folder level.

Date Time

Since a deleted item may have the same name as another deleted item, there is a column with the date and time that each item was deleted.

Undelete

Click Undelete to remove a selected item from this list.

Close

Click Close to close the Folder Properties dialog box.


Links

Share Links

The Share Links tab contains all links of the shared folders in a list that you have access to. No items on this tab can be edited.


Folder Properties Backup Files

The Backup Files tab has two sections. At the top is a tree representation of all items that have stored backup files in an _sgbak directory at this folder level. The bottom section is a table which will list files selected from the tree. The backup files for each file in the tree are shown as children of the file. The creation date/time are shown with the name of each backup file. Selecting a backup file in the tree and clicking Add will add the backup file to the table below the tree. From this table, backup files may be deleted or restored.

Backup Files Tree View

In the Tree View of the Backup Files tab you can select files to add to the Backup Files Table below. They can then be restored to the working folder or deleted. Right-click on a backup file to to Add, Diff, or View the file.

Add All

To add all the backups under a particular node in the tree to the table, right-click the node and select Add All from the context menu at the folder level.

Add

A backup file may be added to the list by either selecting it in the tree and clicking the Add button or right-clicking the file in the tree and selecting Add from the context menu.

Backup Files Table

The Backup Files Table located at the bottom of the dialog is divided into columns with information about the backup file.

Relative Path

This column displays the path to the file within the folder.

Date

The Date is the timestamp of the backup file.

Baseline Version

The Baseline Version is the repository version the file was based on when the backup was made.

Backup Files Table Command Buttons

The command buttons located on the bottom are used to interact with the Backup Files Table items.

Restore All

Click Restore All to overwrite the working copy of every file in the Backup Files Table with the chosen backup file.

Delete All

Click Delete All to delete every backup file in the list.

Clear All

Click Clear All to clear the contents of the Backup Files Table.

Backup Files Table Context Menu

For finer control of exact list items in the Backup Files Table use the following context menu commands on selected items in the Table:

Clear

A backup file may be removed from the list by selecting the file and choosing Clear on the context menu. This option is also available with multiple selections.

View

A backup file from the list can be viewed by selecting View from the context menu.

Diff

The differences between a backup file in the list and the current working folder version can be viewed by selecting Diff from the context menu.

Delete

Any backup file may be permanently deleted by selecting Delete from the context menu. This option is also available with multiple selections.

Restore

Selecting Restore from the context menu will overwrite the working folder version of the file with the selected backup file. This option is also available with multiple selections.

Select All

Select all items in the table of backup files.


Folder Versions

The Folder Versions dialog box shows all versions of the TOP folder in a list. Each version of a folder corresponds to a changeset that changed some part of the folder or its descendants. This dialog box lists the versions and allows you to view the changeset that caused the folder to increment its version number. For more information, please see History Explorer.

To open the dialog box, select a file or folder, then:

  • From the Query menu in the History Explorer, select View Folder Tree by version.

Folder Tree Versions for:

The name of the selected file or folder is displayed at top. The list shows all the versions for the selected item. The columns include:

  • Version

  • Date

  • User

  • Comment

Select a version to make the controls on the dialog box available. You can also double-click an item in the list to get the details for that transaction.

Close

Click Close to close the Tree Version dialog box.

Details

Click Details to view the Version Details.

Diff

Click Diff to bring up the default Diff Program on two selected versions or to show the diff between that version and its previous version if only one version is selected.

Share

Click Share to bring up the Share dialog box for the selected version of the tree. This will share the folder, then pin the new share link it to the version selected.

Branch

Click Branch to open the Copy Branch dialog box and branch the selected version.

Label

Click Label to open the Label dialog box and label the selected version.

Pin/Unpin

Click Pin to pin the selected version. If the selected version is already pinned, the button will say Unpin. Click Unpin to unpin the selected version.

View Tree

Click View Tree to view the tree at the time of the selected version. This brings up a window with a tree view and file list containing the entire folder tree for that selected version. This allows you to get selected files or folders from within that tree.

Get Tree

Click Get Tree to open the Get Latest Version dialog box. Click OK to download the entire tree associated with the version.


Get Latest Version

The Get Latest Version dialog box allows you to get the latest version of files and folders from the Vault Standard repository.

The Get Latest Version dialog box can be opened:

  1. From the Source menu, select Get Latest Version

  2. Right-click on folder to bring up the Folder Tree Context Menu, select Get Latest Version

  3. Right-click on file to bring up the File List Context Menu, select Get Latest Version

  4. Select Get Latest Version on the Toolbar

  5. Ctrl+G

A working folder must be set to get the latest version of a file or folder. If a working folder is not set for the selected file or folder, the Set Working Folder menu dialog box will appear. Select the working folder and click OK to continue with the Get Latest Version command.

To

The To box defaults to the working folder but can be changed by typing a new folder in the box or using the Browse button to locate a new folder.

Note

Changing the To: folder does not reset the working folder – it just overrides where files go for a particular Get Latest Version.

Modified Local File

The Modified Local File option tells Vault Standard how to handle files that have been modified locally since they were retrieved or exist but have a status of Unknown. This option doesn’t apply to local files that are known versions in the repository. Select one of the following options.

  • Overwrite Working Copy – This overwrites the local file. If the file is not in your working directory (because you changed the To: field in this dialog), it will simply be overwritten. If the file is in your working folder and has a status of Unknown, it will be backed up in the _sgbak directory before being overwritten

  • Do Not Overwrite/Merge Later – This will not overwrite an existing file if it has been changed locally. If the download is to the working folder, it will still download a new repository version into the hidden state folder allowing you to manually merge the file later (in which case the file’s status becomes Needs Merge). If the download is not to the working folder, the file will simply not be retrieved.

  • Attempt Automatic Merge – Vault Standard will attempt to merge the changes from the server copy into the working copy. If it can do so without irresolvable conflicts, then it will do so. All files will be archived so you can examine precisely what was done in the automatic merge step. However, if the file cannot be merged automatically, the behavior is identical to that of the Do Not Overwrite setting above: the working copy is untouched, and you must resolve the conflict later before check in is allowed. A message is written in red in the Messages pane for each file that could not be merged.

  • If the file is being retrieved to a folder other than the working folder, this option is disabled altogether since the working folder is required for merges. Overwrite becomes the default in this case.

The default is Attempt Automatic Merge.

Prompt for modified files

The Prompt for modified files option tells Vault Standard whether to prompt you before overwriting a file that has been modified locally, or has an Unknown status.

If checked, any file that you have modified locally (has an Edited, Needs Merge, or Merged status), or any file that Vault Standard can’t reproduce (Unknown status) will not be overwritten unless you explicitly tell Vault Standard to do so with a prompt dialog that is displayed during the Get.

If not checked, no dialog will be displayed, and the value of the Modified Local File option will be used to determine whether to overwrite the file, leave the file, or attempt to automatically merge it (if it is currently Edited).

Set file time

The Set file time list allows you to select the time to be associated with the selected file or folder. Select one of the following options.

  • Current – The current client time the file is download from the server.

  • Modification – The time the file was last modified on the client before it was checked in. This time depends on the clock of the client machine where it was checked in.

  • Check In – The server time the file was checked in on the server.

Repository deletions

Select Repository Deletions options to determine when to delete files locally that were deleted in the repositories. This option will apply to folders recursively. This is enabled only when the Get Latest Version is on a folder.

Select one of the following options.

  • Remove working copy – The local file will be removed if it was deleted in the repository, regardless of the state of the file.

  • Do not remove working copy – The local file is left untouched.

  • Remove working copy only if unmodified – The local file is removed only if it is not a known version in the repository.

This option also applies to renames and moves.

  • Do not remove working copy – the file will be copied and renamed or moved.

  • Remove working copy – file will be renamed or moved.

  • Remove working copy only if unmodified – if the file has been edited, the file will be copied and renamed or moved.

Make Writable

Select one of the following options.

  • Make binary files read-only

  • Make all files read-only

  • Make all files writable

Recursive

Check the Recursive checkbox to get the entire content, files and subfolders, of a folder. This is enabled only when the Get Latest Version is on a folder.

Only show this dialog when the shift key is down

If you select this option, the dialog will be disabled and will not appear unless the shift-key is being held down. The default selections will apply to any item selected. See Local Files Options to change the default selections.

OK

Click OK to retrieve the items.

Cancel

Click Cancel to close the Get Latest Version dialog box and no action will be taken.


Label Diff

The Label Diff dialog box allows you to compare a file or folder with a version of a file or folder associated with a label. This dialog is only displayed when a single file or folder is selected in the Show Labels dialog.

Select one of the following options. The default is Diff against current version in the repository now. See History/Labels Options to change the default.

Diff against current version in repository now

Check the Diff against current version in repository now checkbox to compare the labeled file or folder selected against the most recent version checked into the repository.

Diff against working folder version

Check the Diff against working folder checkbox to compare the labeled file or folder selected against the file in the working folder.

If a working folder is not set for the selected file or folder, the Set Working Folder menu dialog box will open first. Select the working folder and click OK to continue with the Diff command.

Any local folder/file

Check the any local folder/file to compare labeled file or folder selected to a file or folder on the local disk. The browse button will display a local file/folder chooser that allows you to choose which file or folder to compare against the selected file or folder version.

Any repository folder/file

Check the any repository folder/file to compare the file or folder selected to the current version of any file or folder in the repository. The Browse button will display the current repository tree and allow you to select a repository file or folder to compare against the selected file or folder version.

Only show this dialog when the shift key is down

If you select this option, the dialog will be disabled and will not appear unless the shift-key is being held down. The default selections will apply to any item selected. See History/Labels Options to change the default selections.

OK

Click OK to bring up the default Diff Program.

Cancel

Click Cancel to close the Label Diff dialog box.


Label File or Folder

A Label allows you to create a textual tag associated with a version of a file or complete folder structure. For more information, please see Working with Labels.

To open the Label dialog box select a folder or file then do one of the following:

  • Select a folder or file on the Main Window, and invoke the Label command from either the main menu or the context menu.

  • Select an individual file or group of files on the Main Window, and invoke the Label command. In the case of multiple selected files, the client will create individual file label requests to the server.

  • Highlight an object’s historical line item from the History Explorer, and invoke the Label command.

Item

Contains the item being labeled, and the version number that will be associated with the label.

Label

The Label field allows you to enter the label, or textual tag, that you want associated with the version of the file or folder selected.

A label name must be unique for any item being labeled. For folder labels, this includes all subfolders and files. For example, if a sub-file already has a label “Foo”, the folder cannot have the label “Foo” applied to it, because it would cause a name conflict for the sub-file.

Comment

The Comment field allows you to associate a comment with the label, which will be displayed in the Show Labels dialog and the Show History dialog for the label item.

OK

Click OK and close the Label dialog box. The label will be applied immediately.

Cancel

Click Cancel to close the Label dialog box. The label will not be made.


Label Promotion

The Label Promotion dialog allows you to make changes to a folder label by adding files or folder, deleting files or folders, or changing the version number of individual files associated with the label.

Note

Once you promote a label, you can no longer apply commands to that label that require a unique version number, such as Share, Branch, or Pin.

See the menu items section for information on the menu items available from this dialog.

The Label Promotion dialog can be opened from the Show Labels dialog.

Folder

Displays the name of the folder this label was applied to.

Label Name

Displays the name of the label. You can modify the label name from this textbox, and doing so will list the change in the Changes pane at the bottom. You can undo this change this by pressing the Revert button.

Folder Tree

The folder tree contains the folder structure at the time the label was applied (or the current label structure if the label has since been promoted). It is rooted at the folder for which the label was applied.

A context menu exists for folder entries that allow you to add or delete folders to the label.

File List

The file list contains the files and their versions numbers for the currently selected folder that are associated with the label.

A context menu exists for folder entries that allow you to delete files from the label or change the version number associated with the label.

Changes Pane

The Changes pane lists all unsaved changes you have made to the label. These changes get applied to the label only after you save them.

A context menu exists for the Changes pane that allows you to undo any changes before saving them.


Move

The Move dialog box allows you to move files or folders from one folder to another.

The Move dialog box can be opened by first selecting a file or folder to be moved, then:

  • From the File menu, select Move

  • Right-click on folder to bring up the Folder Tree Context Menu, select Move

  • Right-click on file to bring up the File List Context Menu, select Move

Select a folder into which file should be moved

Select a folder from the tree.

OK

Click OK to move the items and close the Move dialog box.

If Auto-Commit has been selected (default), the folder will be moved in the Vault Standard repository immediately. If Auto-Commit has not been selected, the folder will be moved in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.

Cancel

Click Cancel to close the Move dialog box. The items will not be moved.


Rename

The Rename dialog box allows you to rename a file or folder. For more information, please see either Renaming Files or Renaming Folders.

The Rename dialog box can be opened:

  • From the File menu, select Rename

  • Right-click on folder to bring up the Folder Tree Context Menu, select Rename

  • Right-click on file to bring up the File List Context Menu, select Rename

  • Select Rename on the Toolbar

  • Press F2

Old Name

The Old Name is the current name of the file or folder.

New Name

Type a new name into the New Name box.

OK

Click OK to rename the item and close the Rename dialog box.

If Auto-Commit has been selected (default), the folder will be renamed in the Vault Standard repository immediately. If Auto-Commit has not been selected, the folder will be renamed in the repository as part of the next check in transaction.

Please see Auto-Commit for more information.

Cancel

Click Cancel to close the Rename dialog box. The items will not be renamed.


Save History Results

The Save History Results command opens the customary Save As window to allow you to export the results of the query for other uses. This command will retrieve and export all of the results, not just the ones currently being viewed. Choose either HTML, tab-delimited text or comma-separated.

For more information, please see History Explorer.


Set Working Folder

the Set Working Folder menu dialog box allows you to select a local folder in which to edit files from a corresponding repository folder. Working folders are automatically inherited in subfolders if no explicit working folder association exists for the subfolder.

To open the Set Working Folder menu dialog box, select a file or folder, then do one of the following:

  • Select Set Working Folder on the Toolbar

  • From the File menu, select Set Working Folder

  • Right-click the selected file to bring up the File List Context Menu, then select Set Working Folder

  • Right-click the selected folder to bring up the Folder Tree Context Menu, then select Set Working Folder

Select a working folder for the repository folder

Select a folder accessible to the local machine to place the checked out files.

Add new folder

Click Add new folder to create a new local folder to use as the working folder.

OK

Click OK to set the working folder and close the dialog box.

Cancel

Click Cancel to close the dialog box without setting a working folder.


Unset Working Folder

To Unset a working folder, select the folder and click on Set Working Folder. In the Add new folder box, delete the folder name. Click OK to unset the working folder.


Share

The Share command allows you to make files or folders appear in two or more distinct places in the repository. For more information, please see Share Items.

To open the Share dialog box, select a file or folder, then do one of the following:

  • Select Share on the Toolbar

  • From the File menu, select Share

  • Right-click the selected file to bring up the File List Context Menu, then select Share

  • Right-click the selected folder to bring up the Folder Tree Context Menu, then select Share

Please specify a folder

Select a folder from the connected repository tree to place the shared file.

Comment

Type a share comment in the Comment box. This is optional.

OK

Click OK to share the file or folder and close the dialog box

Cancel

Click Cancel to close the dialog box without sharing a file or folder.


Share Branch

A Share Branch allows you to break a link for a shared file creating a separate file at the location it was shared. For more information, please see Share Items.

To open the Share Branch dialog box select a file or folder then either:

  • From the Source menu, select Branch

  • Select Branch on the toolbar

Items

Lists all the files or the folder that will be branched from the share.

Comment

Type a comment for the branch operation in the Comment box. This is optional.

OK

Click OK to branch the select file or folder and return to the main window.

Cancel

Click Cancel to exit the Share Branch dialog box without making any changes.


The Shelve Changes Dialog

This dialog is used to create a shelveset from a set of pending changes. In this dialog, you will see the list of currently pended changes. If you brought this dialog up using the context menu in the Pending Changes control, you will only see the list of changes that you had selected there. You may enter the following information about your new shelveset.

Shelveset name

This name must be unique among all of your shelvesets. If you reuse a shelveset name, you will be prompted to confirm that you wish to delete the existing shelveset and create a new one with the contents you select here.

Changes

In the change list section, any changes that are checked will be included in the shelveset. The following actions are available in the context menu for the changes list.

Diff

View the differences between your changed file and the baseline version.

Check All/Uncheck All

These buttons will allow you to check all of the changes in the list or uncheck them.

Comment

You may enter a comment that will be retained inside this shelveset.

Undo changes in my working folder

This checkbox will inform Vault Standard to undo the changes after the shelveset has been uploaded. The default is unchecked. You may change the default setting for this checkbox in the Options dialog.


The Shelveset Details Dialog

This dialog will display the contents of a shelveset and allow you to unshelve it. For more help on unshelving a shelveset, see “How do I unshelve my changes?”. Please note that a shelveset may contain changes to paths that you have been denied permission to see by the Folder Security settings in the admin web client. This dialog will only show changes that you have permission to view. A warning dialog will be shown to alert you when items you did not have permission to view have been omitted from the details you are about to view. Unshelving the shelveset will only unshelve changes that you have permission to view.

Shelveset Name/Creator/Date/Comment

The attributes of the shelvesets when it was created.

Web Client link

This is a direct link to shelveset in question. This link can be shared among users to facilitate code reviews.

Shelveset contents

This lists all of the shelved changes in the shelveset. When the unshelve button is clicked, only items which are checked in this control will be unshelved. The details available are Name, Details, Type, Repository Path, and Comment. The repository path is the repository path at the time of shelve. The following operations are available from the context menu:

Diff

If a pending change has file content changes associated with it, you may choose this menu item to bring up the Diff dialog.

View

This item will allow you to view edited or new files (add file operations). Choosing this dialog will bring up the View dialog.

Automatically delete shelveset after I unshelve it

This checkbox will cause the client to delete the shelveset after it has been successfully unshelved. If any of the files could not be unshelved or if there were any namespace conflicts during the unshelve process, the shelveset will not be deleted. For more details on some more situations which will override this setting, see “How do I unshelve my changes?”. This checkbox is only enabled if you are the owner of the shelveset. This checkbox will be disabled unless all changes in the Shelveset contents are checked for unshelving. This checkbox will also be disabled if changes have been omitted from the contents due to permissions.

Set File Time

You can select the timestamp for unshelved files. The file time can be Modification or Current.

  1. Modification - the time the file was last modified.

  2. Current - the time the file was unshelved.


Show History For

The Show History For dialog box allows you to specify which portion of the repository is to be included in the query. For more information, please see History Explorer.

To open the Show History For dialog box, do one of the following:

  • Click on Change Top Object on the History Query Filter/Sort dialog box

  • On the History Explorer window, from the Query menu, select Top

Select a file or folder

Select a file or folder from the tree.

If a file is selected for the Top of the query, then that file is the only object of interest. If a folder is selected for the Top of the query, then the query includes all changes to that folder and all of its contents, recursively.

OK

Click OK to set the Top and close the History Top dialog box and return to the History Explorer. The new selection will appear.

Cancel

Click Cancel to close the History Top dialog box. The History Top of the query will not change.


Show Labels

The Show Labels dialog displays labels in two ways:

  • View labels that have been applied to a selected file or folder. This includes labels that the selected file or folder inherited from labels applied to folders above it.

  • View labels that have been directly applied to folder or its descendants. This is for searching recursively below the selected folder for labels that have been applied to other files or folders below it.

To open the Show Labels dialog box, invoke the Show Labels command from the Main Window menu, or the main window folder or file context menus.

See the menu items section for information on the menu items available from this dialog.

Labels List

The List View box contains a list of all the labels in the current pane (see below for the panes or views available). It has the following columns.

Labels Pane

The Labels Pane displays the labels that have been applied to the selected file or folder. It contains a labels list and the following fields:

Show Inherited Labels

When checked, Show Inherited Labels will display labels that were applied to this item from folders above the currently selected file or folder in the tree. If unchecked, it shows only labels that were directly applied to the selected file or folder.

Recursive Labels Pane

The Recursive Labels Pane displays the labels that have been directly applied to the selected folder or its descendants. It contains the following fields:

Act Recursively

When checked, the Act Recursively will display label recursively, which is the default. When unchecked, it will only show labels that were directly applied to the selected file or folder.

Filter Items

Filter Items allows you to filter labels in the list to view only file label, only folder labels, or both.


Show Line History

The Show Line History wizard allows you to search through the history of a file to find all changes to a line, or group of lines. There are two pages in the wizard, which are repeated.

  1. The Select a Region page, which lets you select the line or region that you wish to find the latest change. When focus is in the central Text box, you may use the following keyboard shortcuts:

  2. The Results page, which will query the server for the latest version of the file in which any of the lines in the selected region changed. This page will list the user, version number, date and comment for the transaction which changed the lines. You may click the Diff Against Previous button to load the diff tool to display the changes which were made in the transaction. If you click the Next button, you will be taken to the Select a Region page populated with the version before the change was made. This allows you to continue to search for the ways in which this line changed throughout history.


Snapshot Folder

A Snapshot is similar to a Branch, but with a few differences. See Snapshots for more information.

To open the Snapshot dialog box select a folder then From the Source menu, select Snapshot

Specify a folder name

Select a folder in the tree to place the snapshot, and if desired, provide a new name for the copy of the folder.

Comment

Type a comment for the snapshot operation in the Comment box. This is optional.

OK

Click OK to create a snapshot of the folder and return to the main window.

Cancel

Click Cancel to exit the Snapshot dialog box without making any changes.


Undo Check Out

The Undo Check Out dialog box unlocks a selected file or folder that is currently checked out. It does not modify the contents of the file or folder in the repository.

The Undo Check Out dialog box can be opened:

  • From the Source menu, select Undo Check Out

  • Right-click on selected folder to bring up the Folder Tree Context Menu, select Undo Check Out

  • Right-click on the selected file to bring up the File List Context Menu, select Undo Check Out

  • Select Undo Check Out on the Toolbar.

  • Press F2

If a folder is selected and there are files checked out in that folder (recursively), the undo command will be available to undo the checkouts in that folder.

Local copy

Select what to do with the file in the working folder from one of the three choices.

  1. Revert – Replace the file in the working folder with the latest version in the repository

  2. Revert (touch file) – Replace the file in the working folder with the latest version in the repository, and set the file's timestamp to the system's current date and time.

  3. Leave – Do not change the contents of the file in the working folder

  4. Delete – Delete the file from the working folder

OK

Click OK to undo the check out of the selected item and close the Undo Check Out dialog box.

Cancel

Click Cancel to close the Undo Check Out dialog box.


Version Details

The Version Details dialog allows you to view the history details of a selected item’s changeset transaction. It shows all the items that were included in the same changeset as the selected item. For more information, please see History Explorer.

This dialog box can be opened from either the History Explorer or the Folder Versions screen by double-clicking an item or invoking the Details command.

The details that can be viewed, but not edited, are:

  • File/folder

  • User

  • Version

  • Date

  • Files Modified as part of the version

In addition, the Change Set Comment is displayed, and can be edited if the user who made the change is the one viewing the details (or the user is the Admin user).


View File

The View File dialog box allows you to view the repository copy of a file without checking it out. For more information, please see Viewing Files.

The View File dialog box can be opened:

  • From the Edit menu, select View File

  • Right-click on selected file to bring up the File List Context Menu, select View

  • Select View on the Toolbar.

Select External Viewer application

The default choice for viewer is determined in the External Programs Options

Use system default for this file type

Check the Use system default for this file type if you would like to use the system default program for files of the same type as the selected file.

Use

Check Use if you would like to use a specific viewer to view the file. Type the viewer name in the box or click Browse to select an available viewer. Once a different application is selected, it will become the default. The default is Notepad.

Only show this dialog when the Shift key is down.

If you select Only show this dialog when the Shift key is down, the dialog will be disabled and will not appear unless the shift-key is being held down. The default selections will apply to any item selected. See Local Files Options to change the default selections.

OK

Click OK to view the selected file and close the View dialog box.

Cancel

Click Cancel to close the View dialog box.


Keyword Expansion

Keywords allow you to specify strings in your source control files that get expanded to contain dynamic content in the file when retrieved to a client.

Keywords must be enabled in the Admin Web Client before they will work on files. Also, they only work on file types that are specified in the Admin Web Client.

Following is a list of supported keywords. This list is identical to the list in Visual Source Safe with the addition of UTCDate and UTCModtime.

Type this keyword | To add the following
$Archive: $ | Vault Standard archive file location
$Author: $ | User who last changed the file
$Date: $ | Date and time of last check in
$Header: $ | Logfile, Revision, Date, Author
$History: $ | File history
$JustDate: $ | Date, without the time addendum.
$Log: $ | File history, RCS format
$Logfile: $ | Same as Archive
$Modtime: $ | Date and time of last modification
$Revision: $ | Vault Standard version number
$UTCDate: $ | Same as Date, but time is given in UTC
$UTCModtime: $ | Same as Modtime, but time is given in UTC
$Workfile: $ | File name
$NoKeywords: $ | No keyword expansion for all keywords that follow

Keywords are case-sensitive and must not include any blank space between the first dollar sign and the colon. Blank space and/or arbitrary text can be included between the colon and the trailing dollar sign.


History Keywords

The History and Log keywords expand to the file’s current repository path. They result in additional lines being inserted in the file on the line following the keyword. These inserted lines are subsequently treated as text, so no further expansion or changes will occur in them (unless they, in turn, contain keywords).

You can specify optional start and end strings to be placed before and after the inserted lines. For example, “.c” files could be configured to place /* and */ around inserted lines to make them comments.


HTML Keywords

Two dollar signs can be placed in front of a keyword to specify that it should be formatted as HTML. For example:

$$Author: $

will expand to

$$Author: -->Fred<!-- $

This allows the keyword control characters to be hidden in a document as comments like this:

Last edited by: <!-- $$Author: -->Fred<!-- $ -->

Note that this does not apply to history lines inserted into a file.


Expanding Keywords

When a keyword is expanded, the new information is placed between the colon and the trailing dollar sign. Any existing text is replaced. For example:

$Author: this is some text $

will expand to (assuming Fred was the last person to change the file)

$Author: Fred $


Preserving Spacing

Blank space can be preserved inside a keyword by using two colons. For example:

$Author::   $

will expand to

$Author:: Fred   $

Note that this does not apply to history lines inserted into a file.


Time Formats

Dates and times are presented in ISO 8601 format. Time zones are always included, but can be displayed as a number offset ("-06:00" for CST) or "Z" (for UTC time). All times are in 24-hour format, so the AM/PM designator is no longer present.

An example in non-UTC format:

2003-06-30 13:25:57-06:00

An example in UTC format:

2003-06-30 19:25:57Z


Keyboard Shortcuts

Command | Shortcut
Add Files | Ctrl + N
Check In/Commit | Ctrl + I
Check In entire changeset | Ctrl + M
Check Out | Ctrl + O
Choose Repository | Ctrl + P
Create Folder | Insert
Delete | Delete
Exit | Alt + X or alt + F4
Get Latest Version | Ctrl + G
Refresh | F5
Rename | F2
Select All | Ctrl + A
Set Working Folder | Ctrl + D
Show Differences | Ctrl + F
Show History | Ctrl + H


Client Logging

Vault Standard clients can be configured to log certain operations to a file for support and debugging purposes. Vault Standard clients that can be logged include the Vault Standard GUI client, the IDE client, the command line client, and the Shadow Folder plugin (since it is actually a client of the Vault Standard server, too).

Note that the IDE client also has an additional log file (see below) that can be turned on that just logs the calls from Visual Studio, which can often be helpful in tracking down IDE issues.


Enabling Logging: Finding the Configuration File

Except for the Shadow Folder plugin, the log is disabled by defult (the Shadow Folder plugin only logs errors by default; you’ll need to edit the file to see more verbose messages). You can enable the log file by editing the application’s <app>.config file for the executing assembly. The locations of the <app>.config files for the various clients are found below.

  • Vault Standard GUI Client – VaultGUIClient.exe.config

    This file can be found in the folder where the Vault Standard client executables are installed, usually C:\Program Files\SourceGear\Vault Standard Client

  • Shadow Folder – Web.config

    This file can be found in the folder where the Shadow Folder plugin is installed, usually C:\Inetpub\wwwroot\VaultService\VaultShadowFolder

  • Visual Studio .Net 2003 – devenv.exe.config

    This file can be found in the folder where the Vault Standard client executables are installed, usually C:\Program Files\SourceGear\Vault Standard Client.

  • Visual C++ 6 – msdev.exe.config

    This file is not installed with the Vault Standard clients. Copy VaultGUIClient.exe.config to create msdev.exe.config in the folder where the Vault Standard client executables are installed, usually C:\Program Files\SourceGear\Vault Standard Client.

  • Visual Basic 6 – vb6.exe.config

    This file is not installed with the Vault Standard clients. Copy VaultGUIClient.exe.config to create msdev.exe.config in the folder where the Vault Standard client executables are installed, usually C:\Program Files\SourceGear\Vault Standard Client.


Enabling Logging: Editing the Configuration File

Open this file in Notepad or some other text editor. The logging sections can be found near the end of the file. The relevant settings look like:

<appSettings>
 <!--
  enableLogging turns on client-side logging to a file in your temp directory (%TEMP%).
 If you think you have this file configured properly, but no log file appears
 in your temporary directory, check the system event log (we send messages there if we
 can't open the log file).

 <enableLogging> settings:
  value="[true|false]" - When true logging is enabled, when false no messages will be logged.
 -->
 <add key="enableLogging" value="false" />
 <!--
 classesToLog lets you filter some log messages by class name. SourceGear support will be
 able to suggest the appropriate class names to use for specific problems. "all" will
 result in lots and lots (really) of messages.

 <classesToLog> settings:
  value="class1,class2,class3,..." - Log these classes; separate with commas.
  value="all" - Log all messages from all classes.
 -->
 <add key="classesToLog" value="" />
 <!--
 includeLoggingStackTraces includes stack traces with each log message in the client-side log.
 enableLogging must be set to "true" for this to have any effect.

 <includeLoggingStackTraces> settings:
  value="[true|false]" - When true stack traces are included, when false they are not.
 -->
 <add key="includeLoggingStackTraces" value="false" />
 <!--
 includeThreadInfo includes thread names and IDs with each log message in the client-side log.
 enableLogging must be set to "true" for this to have any effect.

 <includeThreadInfo> settings:
  value="[true|false]" - When true thread info is included, when false it is not.
 -->
 <add key="includeThreadInfo" value="true" />
</appSettings>

Set the enableLogging setting’s value to true to enable logging. However, this alone won’t be very useful, because you also need to enable specific classes for logging.


What Should I Log?

If you simply enabled logging but didn’t set any classesToLog, you’ll see very few messages in the log file. You’ll want to change the classesToLog setting’s value to something other than the default to start seeing helpful information. Here are some of the available logging classes, which you can combine in a comma separated list as per the comment’s example. Not all of them apply to all Vault Standard clients; for example, shadowfolder only applies to the Shadow Folder service. Remember than you’ll need to restart your client for these changes to take effect.

  • All – Enable all messages to be logged. This include very low-level (and numerous) events such as the mutex take/release, working folder creation/deletion, etc. The class string will appear in the log file with each message, so they can be grepped.

  • Mutex – Mutex creation, take, release, and disposal

  • Wf – Working folder creation, lock, unlock, disposal

  • Refresh – The work the client does to request, retrieve, apply a tree structure delta from the server, and save the results to disk.

  • Get – the work the client does to request files from the server, download them, and send them to the update thread..

  • Checkoutlist – Writes our the partial check out lists as they are received from the server, and the full in-memory list after they have been merged.

  • Mergebranches – Logs information about the merge branches process

  • Shadowfolder – Logs information about Shadow Folder operations.

You can always specify all if you are not sure where the problem is, but your log file may be huge.


Where is the Log File?

You can find the log file in the %TEMP% directory of the user running the Vault Standard client. If you’re running the standalone GUI client or the IDE client, simply open a Windows Explorer window and type %TEMP% into the location bar at the top and press Enter to find this folder. The file will be named something like “VaultGUIClient.txt”.

If you want to find the Shadow Folder’s log file, look in the temporary directory of the user the web service runs as. Usually, this is the ASPNET user, whose temp folder is something like C:\Documents and Settings\<machine name>\ASPNET\Local Settings\Temp. If you have configured the Shadow Folder service to run under an impersonated account, check that users’s Local Settings\Temp folder.


Special IDE Log File

In addition to the log file above, the IDE has an additional log file that just outputs calls from Visual Studio. This is often helpful in determing issues related to Visual Studio (instead of issues within the Vault Standard operations libraries).

To activate this log, create a registry entry named SCCLogFileName in HKEY_LOCAL_MACHINE\SOFTWARE\SourceGear\Vault Standard Client. The value of SCCLogFileName is the path to the log file that you want to create. Once this registry entry exists, the IDE will log entries to it, after the next restart of the IDE.


Examples


Branching a Folder

Branching a folder maintains shares between files and subfolders that are self-contained within the branch, but breaks shares to any link outside the new branch.

For example: If $/foo/a.txt, $/foo/bar/a.txt and $/xyz/a.txt are all shared, and $/foo is branched to $/fooBranch, then $/fooBranch/a.txt and $/fooBranch/bar/a.txt are shared in the new branch. They are not shared with the three original links for a.txt. If in the example the $/foo/a.txt was not part of the share in the trunk, then the file would not be shared at all in the branch because there would be no other links within the branch to share with. This works the same way for folder shares that would be self-contained within the new branch. Deleted links should be counted as actual links when determining whether an item should be shared in the branch.


Folder Shares

A Folder Share keeps two or more folders completely in-sync with each other so that any change to the folder or its contents (adds, deletes, check ins, renames, etc) is automatically updated in all folders that are part of the share. This has the effect of introducing a secondary share on all the files and subfolders within the shared folder to their counterparts in the other links of the shared folder.

For example, if $/foo/bar is shared with $/xyx/bar, you can share $/foo/bar/a.txt to $/a.txt, and $/a.txt automatically becomes shared with $/xyz/bar/a.txt too. A file share icon now appears on all three links. Breaking the share at either $/foo/bar/a.txt or $/xyz/bar/a.txt will break it from both places (due to the folder share), and $/a.txt will become unshared (although if a fourth link had been created, $/a.txt and the fourth link would remain shared with each other).


Primary and Secondary Shares

The example below should help understand the difference between primary and secondary shares:

Assume we start out with the following, one shared file (a.txt) with three links.

$/bar/foo/

$/bar/foo/a.txt (Shared)

$/bar/foo/b.txt

$/a.txt (Shared)

$/proj/a.txt (Shared)

$/xyz

Now, we apply a folder share at $/bar/foo with $/xyz:

$/bar/foo/ (Shared)

$/bar/foo/a.txt (Shared)

$/bar/foo/b.txt

$/a.txt (Shared)

$/proj/a.txt (Shared)

$/xyz/foo/ (Shared)

$/xyz/foo/a.txt (Shared)

$/xyz/foo/b.txt

Now $/bar/foo is shared with $/xyz/foo, so all files within it a secondarily shared. In addition, since a.txt already had a primary share, it inherits the primary share and has a primary share the other a.txt files as well.

Now if we add c.txt and delete b.txt from $/bar/foo, $/xyz/foo gets updated with those changes as well:

$/bar/foo/ (Shared)

$/bar/foo/a.txt (Shared)

$/bar/foo/b.txt (deleted)

$/bar/foo/c.txt

$/a.txt (Shared)

$/proj/a.txt (Shared)

$/xyz/foo/ (Shared)

$/xyz/foo/a.txt (Shared)

$/xyz/foo/b.txt (deleted)

$/xyz/foo/c.txt

Next, if we pin a.txt, and c.txt in $/bar/foo, then a.txt and c.txt both get pinned in $/xyz/foo as well at the same version. Note that $/a.txt and $/proj/a.txt do not get pinned too, because a pin operation only applies to a single primary link. However, they apply to all links in a secondary share.

$/bar/foo/ (Shared)

$/bar/foo/a.txt (Shared and pinned)

$/bar/foo/b.txt (deleted)

$/bar/foo/c.txt (pinned)

$/a.txt (Shared)

$/proj/a.txt (Shared)

$/xyz/foo/ (Shared)

$/xyz/foo/a.txt (Shared and pinned)

$/xyz/foo/b.txt (deleted)

$/xyz/foo/c.txt (pinned)

Likewise, if we unpin and branch a.txt in one of the shared folders, both of them get branched from the other a.txt links.

$/bar/foo/ (Shared)

$/bar/foo/a.txt

$/bar/foo/b.txt (deleted)

$/bar/foo/c.txt (pinned)

$/a.txt (Shared)

$/proj/a.txt (Shared)

$/xyz/foo/ (Shared)

$/xyz/foo/a.txt

$/xyz/foo/b.txt (deleted)

$/xyz/foo/c.txt (pinned)

Note that even though $/bar/foo/a.txt and $/xyz/foo/a.txt have their primary shares broken, they are still have secondary shares, so any change made to one is made to the other. They are just not shared with the other a.txt files any longer.

Finally, suppose we re-share $/bar/foo/a.txt with $/a.txt and then branch $/bar/foo from $/xyz/foo. This results in:

$/bar/foo/

$/bar/foo/a.txt (Shared)

$/bar/foo/b.txt (deleted)

$/bar/foo/c.txt (pinned)

$/a.txt (Shared)

$/proj/a.txt (Shared)

$/xyz/foo/

$/xyz/foo/a.txt (Shared)

$/xyz/foo/b.txt (deleted)

$/xyz/foo/c.txt (pinned)

$/bar/foo and $/xyz/foo are no longer shared and changes made to one do not get reflected in the other. However, the a.txt files in each are still shared with each other, because they had a primary share prior to the folder branch.


Query Description

The Query Description is displayed beneath the menu bar. The basic format of the description is:

[RECURSIVE] changes [ACTIONLIST] to [TOP], made by [WHO], [WHEN], including [WHICHFILES], with [COMMENTCRIT], sorted by [SORT].

  • [RECURSIVE] – Recursive or Non-recursive depending on selection in query.

  • [ACTIONLIST] – If the current query is filtering by actions, the actions are collected into a list and displayed.

  • [TOP] – The complete repository path and name of the file or folder which defines the top of the query.

  • [WHO] – If the current query is filtering by user, the list of the filtered users is displayed.

  • [WHEN] – If the current query is filtering by date, the filtered date is displayed.

  • [WHICHFILES] – If the current query is filtering by filename, the filter is displayed. For example: only files/folders with names containing ‘gr’

  • [COMMENTCRIT] – If the current query is filtering by comment, the filtered comment is displayed.

  • [SORT] – The name of the column on which this query is sorted, followed by the word ‘ascending’ or ‘descending’.


Rename and Working Folders

A folder rename will automatically alter the name of the current working folder on disk. The files in the selected folder will retain their status. However, if all checked out files in the folder or any subfolder are assigned to you, those check out locks will be removed. If there are checked out files in the folder any subfolder assigned to another user, a warning will be displayed.

For example, if $/foo has a working folder specified as C:\foo, then $/foo/bar inherits C:\foo\bar as its working folder. If $/foo/bar is renamed to $/foo/barnone, its new working folder is C:\foo\barnone. However, if $/foo/bar has a working folder of C:\Users\userA\workspace\barworkingfolder, then renaming $/foo/bar-rename will also change the name on disk to C:\Users\userA\workspace\bar-rename. In either case the files will all retain their current status.


Share Branch

If the Share Branch is on a shared folder, it is implied recursive. If a folder branch is applied to a Secondary Share on a folder, the operation is a Copy Branch rather than a Share Branch, meaning you can only Share Branch from a Primary Share.

For example: If a share was done on $/foo and a branch is applied to $/foo/subfolder, then the Copy Branch command is invoked on $/foo/subfolder, and you would choose another location to copy the folder to. $/foo/subfolder would remain shared after such a branch. Breaking the share must be done at $/foo. This applies to any files as well. For example, $/foo/abc.txt would invoke a Copy Branch on abc.txt, not a Share Branch.


Naming Syntax, Conventions and Limitations


User names

Length of user login = 64

User names can consist of any alphanumeric characters, plus dashes and underscores.

A user name cannot consist entirely of periods or spaces.


User passwords

Length of password = 128 chars

Can be empty.


Repositories

Length of repository name = 256 chars


Label Names

Length of label names = 256 chars


File Names

Length of a single file or folder name= 256 chars

Filenames are case-insensitive, so for example, files called File.txt and FILE.txt cannot exist in the same folder.

Filenames can consist of any characters except: / \ : * ? “ < > |

A file or folder name cannot consist entirely of periods or spaces, nor can it end in a period.


Paths

Length of an entire path in tree = 1024 chars


Groups

Length of a group name = 32

Length of group description = 256


Size of File Stored in Database

Limited to SQL or MSDE limits for binary large objects (image column type).


Number of Versions of a Given File

2^63-1